#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(kvm_trylock_all_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_lock_all_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_unlock_all_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_set_internal_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(__kvm_faultin_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_prefetch_pages, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_kick, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_DATA(kvm_rebooting, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_get_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_populate, "_gpl", "");
KSYMTAB_DATA(kvm_caps, "_gpl", "");
KSYMTAB_DATA(kvm_host, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_DATA(report_ignored_msrs, "_gpl", "");
KSYMTAB_DATA(enable_vmware_backdoor, "_gpl", "");
KSYMTAB_DATA(enable_pmu, "_gpl", "");
KSYMTAB_DATA(kvm_nr_uret_msrs, "_gpl", "");
KSYMTAB_DATA(allow_smaller_maxphyaddr, "_gpl", "");
KSYMTAB_DATA(enable_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_add_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_find_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_spurious_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_deliver_exception_payload, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_p, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_complete_insn_gp, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_emulated_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_require_dr, "_gpl", "");
KSYMTAB_FUNC(load_pdptrs, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_lmsw, "_gpl", "");
KSYMTAB_FUNC(kvm_load_guest_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_load_host_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_xsetbv, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr3, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_get_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_update_dr7, "_gpl", "");
KSYMTAB_FUNC(kvm_set_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdpmc, "_gpl", "");
KSYMTAB_FUNC(kvm_valid_efer, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_efer_bits, "_gpl", "");
KSYMTAB_FUNC(kvm_msr_allowed, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wrmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_invd, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invalid_op, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_mwait, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_monitor, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_set_msr_irqoff, "_gpl", "");
KSYMTAB_FUNC(kvm_read_l1_tsc, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_multiplier, "_gpl", "");
KSYMTAB_FUNC(kvm_service_local_tlb_flush_requests, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_read, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_write, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_virt, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_virt_system, "_gpl", "");
KSYMTAB_FUNC(handle_ud, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wbinvd, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_realmode_interrupt, "_gpl", "");
KSYMTAB_FUNC(__kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_event_vectoring_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_skip_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(x86_decode_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction_from_buffer, "_gpl", "");
KSYMTAB_FUNC(kvm_fast_pio, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_init, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(____kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_update_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_set_or_clear_apicv_inhibit, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt_noskip, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_hlt, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_ap_reset_hold, "_gpl", "");
KSYMTAB_FUNC(kvm_task_switch, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_reset, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_deliver_sipi_vector, "_gpl", "");
KSYMTAB_FUNC(__x86_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_is_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_get_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_set_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_start_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_end_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_assigned_device, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_register_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_unregister_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_no_poll, "_gpl", "");
KSYMTAB_FUNC(kvm_spec_ctrl_test_value, "_gpl", "");
KSYMTAB_FUNC(kvm_fixup_and_inject_pf_error, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_memory_failure, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invpcid, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_write, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_read, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_string_io, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_rmp_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_injectable_intr, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_get_extint, "_gpl", "");
KSYMTAB_DATA(kvm_has_noapic_vcpu, "_gpl", "");
KSYMTAB_FUNC(__kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_clear_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_hwapic_isr, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_find_highest_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_ppr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_match_dest, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_eoi_accelerated, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_send_ipi, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_readable_reg_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_wait_lapic_expire, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_expired_hv_timer, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_set_eoi, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_write_nodecode, "_gpl", "");
KSYMTAB_FUNC(kvm_alloc_apic_access_page, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msi_irq, "_gpl", "");
KSYMTAB_FUNC(kvm_intr_is_single_vcpu, "_gpl", "");
KSYMTAB_DATA(kvm_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry_index, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_cpuid, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_cpuid, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_cap, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_eventsel, "_gpl", "");
KSYMTAB_FUNC(pmc_write_counter, "_gpl", "");
KSYMTAB_FUNC(kvm_pmu_trigger_event, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_guest_mode_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_new_pgd, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_npt_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_ept_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_reset_context, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_obsolete_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_print_sptes, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invalidate_addr, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invlpg, "_gpl", "");
KSYMTAB_FUNC(kvm_configure_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_zap_gfn_range, "_gpl", "");
KSYMTAB_DATA(enable_mmio_caching, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_me_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_ept_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_smm_changed, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0xde6f088c, "_gpl");
SYMBOL_CRC(vcpu_put, 0x11e59cd6, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x77292088, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0xe641515b, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x3dcbd10c, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0x2c786840, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0x03113507, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0xf0a1933e, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0xde18713c, "_gpl");
SYMBOL_CRC(kvm_trylock_all_vcpus, 0xc66f029d, "_gpl");
SYMBOL_CRC(kvm_lock_all_vcpus, 0x3c9c5be2, "_gpl");
SYMBOL_CRC(kvm_unlock_all_vcpus, 0x892d3b1a, "_gpl");
SYMBOL_CRC(kvm_set_internal_memslot, 0x0eea9c8c, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0x134ddcf2, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0x97e3b184, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x8fc6b769, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0xb5fba1d2, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x7688d329, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x9b2d95bb, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0x85690609, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0x8dbe83cc, "_gpl");
SYMBOL_CRC(__kvm_faultin_pfn, 0xa58c50da, "_gpl");
SYMBOL_CRC(kvm_prefetch_pages, 0xcbe2f75a, "_gpl");
SYMBOL_CRC(__gfn_to_page, 0x29cdacdf, "_gpl");
SYMBOL_CRC(__kvm_vcpu_map, 0xceeb778d, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x429289e4, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0xa5bf6e55, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x760574bb, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0x8aa6022b, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0x3b9e7847, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0xd6025af7, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0x25c79132, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0x362fa3b6, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0xaa0c5f40, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0xd96ddd21, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0x8ab2a098, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x25742eaa, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0x22a92f06, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0x1f6b27e6, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0x8567f6c5, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0x00127555, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0xe609487a, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x550d1e64, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0xdbc4d82b, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0xf3fd9766, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0x888bc7bb, "_gpl");
SYMBOL_CRC(kvm_vcpu_kick, 0xc157bcf5, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x6de07d77, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0xf7e61c52, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0x5d0046b5, "_gpl");
SYMBOL_CRC(file_is_kvm, 0xd9825dd2, "_gpl");
SYMBOL_CRC(kvm_rebooting, 0x485cd7f6, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x044456ee, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0x7f879531, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0xabcfe83e, "_gpl");
SYMBOL_CRC(kvm_init, 0x0440b16b, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0x2668a4e6, "_gpl");
SYMBOL_CRC(kvm_gmem_get_pfn, 0x0817b44b, "_gpl");
SYMBOL_CRC(kvm_gmem_populate, 0x7a6f7916, "_gpl");
SYMBOL_CRC(kvm_caps, 0xcf509080, "_gpl");
SYMBOL_CRC(kvm_host, 0xb8bdeb6e, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_get_cs_db_l_bits, 0x296f8655, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_get_cs_db_l_bits, 0x53d9f927, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_cache_reg, 0x2bc2927b, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_cache_reg, 0x59387ba3, "_gpl");
SYMBOL_CRC(report_ignored_msrs, 0xc96d35f4, "_gpl");
SYMBOL_CRC(enable_vmware_backdoor, 0x1db1c372, "_gpl");
SYMBOL_CRC(enable_pmu, 0xb82c0987, "_gpl");
SYMBOL_CRC(kvm_nr_uret_msrs, 0x0b58a11d, "_gpl");
SYMBOL_CRC(allow_smaller_maxphyaddr, 0x9cf59e7a, "_gpl");
SYMBOL_CRC(enable_apicv, 0xce576a13, "_gpl");
SYMBOL_CRC(kvm_add_user_return_msr, 0x7fe19488, "_gpl");
SYMBOL_CRC(kvm_find_user_return_msr, 0x3ab2794c, "_gpl");
SYMBOL_CRC(kvm_set_user_return_msr, 0x053614ec, "_gpl");
SYMBOL_CRC(kvm_spurious_fault, 0x709cd8cb, "_gpl");
SYMBOL_CRC(kvm_deliver_exception_payload, 0xc26f7546, "_gpl");
SYMBOL_CRC(kvm_queue_exception, 0x1cc1c5ba, "_gpl");
SYMBOL_CRC(kvm_queue_exception_p, 0xe77c2140, "_gpl");
SYMBOL_CRC(kvm_requeue_exception, 0x4442fe7c, "_gpl");
SYMBOL_CRC(kvm_complete_insn_gp, 0x74276f27, "_gpl");
SYMBOL_CRC(kvm_inject_emulated_page_fault, 0xc0235a78, "_gpl");
SYMBOL_CRC(kvm_queue_exception_e, 0xc049072f, "_gpl");
SYMBOL_CRC(kvm_require_dr, 0x4b65a630, "_gpl");
SYMBOL_CRC(load_pdptrs, 0x155daf16, "_gpl");
SYMBOL_CRC(kvm_post_set_cr0, 0xb5a94763, "_gpl");
SYMBOL_CRC(kvm_set_cr0, 0xfe1991d5, "_gpl");
SYMBOL_CRC(kvm_lmsw, 0x29a12412, "_gpl");
SYMBOL_CRC(kvm_load_guest_xsave_state, 0xdb705a9a, "_gpl");
SYMBOL_CRC(kvm_load_host_xsave_state, 0x1db7ea38, "_gpl");
SYMBOL_CRC(kvm_emulate_xsetbv, 0x4251c5d3, "_gpl");
SYMBOL_CRC(kvm_post_set_cr4, 0x3b538002, "_gpl");
SYMBOL_CRC(kvm_set_cr4, 0xf16cc10c, "_gpl");
SYMBOL_CRC(kvm_set_cr3, 0x611aaf3f, "_gpl");
SYMBOL_CRC(kvm_set_cr8, 0xe0f33067, "_gpl");
SYMBOL_CRC(kvm_get_cr8, 0x9f2f98b6, "_gpl");
SYMBOL_CRC(kvm_update_dr7, 0x9dcde459, "_gpl");
SYMBOL_CRC(kvm_set_dr, 0x416dadb4, "_gpl");
SYMBOL_CRC(kvm_get_dr, 0x191c2601, "_gpl");
SYMBOL_CRC(kvm_emulate_rdpmc, 0x79512b5b, "_gpl");
SYMBOL_CRC(kvm_valid_efer, 0x0c72c93d, "_gpl");
SYMBOL_CRC(kvm_enable_efer_bits, 0x1d013832, "_gpl");
SYMBOL_CRC(kvm_msr_allowed, 0xe6217150, "_gpl");
SYMBOL_CRC(kvm_get_msr_with_filter, 0xdd12fc71, "_gpl");
SYMBOL_CRC(kvm_set_msr_with_filter, 0x8a97478a, "_gpl");
SYMBOL_CRC(kvm_get_msr, 0x917a385d, "_gpl");
SYMBOL_CRC(kvm_set_msr, 0xce23949c, "_gpl");
SYMBOL_CRC(kvm_emulate_rdmsr, 0x4d1a01fc, "_gpl");
SYMBOL_CRC(kvm_emulate_wrmsr, 0xd8c9863a, "_gpl");
SYMBOL_CRC(kvm_emulate_invd, 0x27cb4aa6, "_gpl");
SYMBOL_CRC(kvm_handle_invalid_op, 0x1c778958, "_gpl");
SYMBOL_CRC(kvm_emulate_mwait, 0x72721621, "_gpl");
SYMBOL_CRC(kvm_emulate_monitor, 0x87bcd494, "_gpl");
SYMBOL_CRC(handle_fastpath_set_msr_irqoff, 0xec92919e, "_gpl");
SYMBOL_CRC(kvm_read_l1_tsc, 0x0172156c, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_offset, 0x6303c089, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_multiplier, 0xef14fd98, "_gpl");
SYMBOL_CRC(kvm_service_local_tlb_flush_requests, 0x121952ea, "_gpl");
SYMBOL_CRC(kvm_set_msr_common, 0x084e620d, "_gpl");
SYMBOL_CRC(kvm_get_msr_common, 0x5bfac41f, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_read, 0xbdbaf4bf, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_write, 0xfed59f81, "_gpl");
SYMBOL_CRC(kvm_read_guest_virt, 0x317e6cad, "_gpl");
SYMBOL_CRC(kvm_write_guest_virt_system, 0x98fdccb7, "_gpl");
SYMBOL_CRC(handle_ud, 0xd7c86f52, "_gpl");
SYMBOL_CRC(kvm_emulate_wbinvd, 0xe16c22da, "_gpl");
SYMBOL_CRC(kvm_inject_realmode_interrupt, 0x62ebc02f, "_gpl");
SYMBOL_CRC(__kvm_prepare_emulation_failure_exit, 0x6fea1388, "_gpl");
SYMBOL_CRC(kvm_prepare_emulation_failure_exit, 0x1c9b8516, "_gpl");
SYMBOL_CRC(kvm_prepare_event_vectoring_exit, 0x533a20af, "_gpl");
SYMBOL_CRC(kvm_skip_emulated_instruction, 0x36de5a89, "_gpl");
SYMBOL_CRC(x86_decode_emulated_instruction, 0x582ec7a5, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction, 0xbe38659b, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction_from_buffer, 0xd163805f, "_gpl");
SYMBOL_CRC(kvm_fast_pio, 0xe0a55f0d, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_init, 0x7a3014bc, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_exit, 0x687b78fc, "_gpl");
SYMBOL_CRC(kvm_apicv_activated, 0x1920494c, "_gpl");
SYMBOL_CRC(kvm_vcpu_apicv_activated, 0xd1b17697, "_gpl");
SYMBOL_CRC(____kvm_emulate_hypercall, 0x962e139a, "_gpl");
SYMBOL_CRC(kvm_emulate_hypercall, 0x39bcf800, "_gpl");
SYMBOL_CRC(__kvm_vcpu_update_apicv, 0x5ee30ecc, "_gpl");
SYMBOL_CRC(kvm_set_or_clear_apicv_inhibit, 0x5d558710, "_gpl");
SYMBOL_CRC(kvm_emulate_halt_noskip, 0xd449e9fe, "_gpl");
SYMBOL_CRC(kvm_emulate_halt, 0xe87a8f21, "_gpl");
SYMBOL_CRC(handle_fastpath_hlt, 0xfbae0966, "_gpl");
SYMBOL_CRC(kvm_emulate_ap_reset_hold, 0xa6e393a3, "_gpl");
SYMBOL_CRC(kvm_task_switch, 0xda6b8d41, "_gpl");
SYMBOL_CRC(kvm_vcpu_reset, 0x001f054b, "_gpl");
SYMBOL_CRC(kvm_vcpu_deliver_sipi_vector, 0x20fd9523, "_gpl");
SYMBOL_CRC(__x86_set_memory_region, 0x96322668, "_gpl");
SYMBOL_CRC(kvm_get_linear_rip, 0x0d1968db, "_gpl");
SYMBOL_CRC(kvm_is_linear_rip, 0x777f1ad3, "_gpl");
SYMBOL_CRC(kvm_get_rflags, 0x230542e3, "_gpl");
SYMBOL_CRC(kvm_set_rflags, 0xb030ba84, "_gpl");
SYMBOL_CRC(kvm_arch_start_assignment, 0x006ce066, "_gpl");
SYMBOL_CRC(kvm_arch_end_assignment, 0x58d3df3f, "_gpl");
SYMBOL_CRC(kvm_arch_has_assigned_device, 0x064ba707, "_gpl");
SYMBOL_CRC(kvm_arch_register_noncoherent_dma, 0x93a66a42, "_gpl");
SYMBOL_CRC(kvm_arch_unregister_noncoherent_dma, 0x7ee4ed90, "_gpl");
SYMBOL_CRC(kvm_arch_has_noncoherent_dma, 0x3677aa40, "_gpl");
SYMBOL_CRC(kvm_arch_no_poll, 0xf2ccec9f, "_gpl");
SYMBOL_CRC(kvm_spec_ctrl_test_value, 0x2d82cc24, "_gpl");
SYMBOL_CRC(kvm_fixup_and_inject_pf_error, 0x558d6271, "_gpl");
SYMBOL_CRC(kvm_handle_memory_failure, 0x86288576, "_gpl");
SYMBOL_CRC(kvm_handle_invpcid, 0x3647cde8, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_write, 0xed7f160c, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_read, 0x8a1b7b90, "_gpl");
SYMBOL_CRC(kvm_sev_es_string_io, 0x56b4788c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_entry, 0xdc86d055, "_gpl");
SYMBOL_CRC(__traceiter_kvm_entry, 0xe7356bc3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_entry, 0xf5301cb4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_entry, 0xc071e99f, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_exit, 0x7ad69c9e, "_gpl");
SYMBOL_CRC(__traceiter_kvm_exit, 0x3e89e855, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_exit, 0x15d3e5e7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_exit, 0x616e6c95, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_fast_mmio, 0xc9ee0e7d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_fast_mmio, 0x752c2b00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_fast_mmio, 0xcfb5d656, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_fast_mmio, 0xea5cda33, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_inj_virq, 0x444180d7, "_gpl");
SYMBOL_CRC(__traceiter_kvm_inj_virq, 0x7f51547e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_inj_virq, 0xa92cb492, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_inj_virq, 0x6becaded, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_page_fault, 0xa906d366, "_gpl");
SYMBOL_CRC(__traceiter_kvm_page_fault, 0x1eb3416e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_page_fault, 0x05bc71fe, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_page_fault, 0x7ff2a104, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_msr, 0xbf7ddff4, "_gpl");
SYMBOL_CRC(__traceiter_kvm_msr, 0xdc7369fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_msr, 0x0a734722, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_msr, 0xf084b57d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_cr, 0x3434bea6, "_gpl");
SYMBOL_CRC(__traceiter_kvm_cr, 0x17f9cfe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_cr, 0xea63591b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_cr, 0x778e30b9, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter, 0xb97cc386, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter, 0x74910627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter, 0xda3e2a32, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter, 0x6d2c9437, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit, 0xa24dd4d8, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit, 0x627fd517, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit, 0xe6c8b9c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit, 0x2510fc6d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit_inject, 0x7798e4ad, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit_inject, 0x114eb824, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit_inject, 0xa88bf5af, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit_inject, 0x8b618aa6, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intr_vmexit, 0x275717cd, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intr_vmexit, 0x912a9286, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intr_vmexit, 0x0580384a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intr_vmexit, 0xd09da48b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter_failed, 0x72019c49, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter_failed, 0x23263c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter_failed, 0x9cd0ee74, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter_failed, 0xe93dfc8c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_invlpga, 0x8a2486fa, "_gpl");
SYMBOL_CRC(__traceiter_kvm_invlpga, 0x54c1e24a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_invlpga, 0x5f93e37a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_invlpga, 0x4a1c261b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_skinit, 0xe63c549d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_skinit, 0xb96e9aa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_skinit, 0x311830bf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_skinit, 0xe0e786a7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intercepts, 0x53b59e0f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intercepts, 0xa6a50230, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intercepts, 0x868ca0b9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intercepts, 0xa588ef67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_write_tsc_offset, 0x8bc09d2c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_write_tsc_offset, 0x5c11e105, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_write_tsc_offset, 0xd2bfcf0e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_write_tsc_offset, 0xa84a2e73, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_ple_window_update, 0x2918cee2, "_gpl");
SYMBOL_CRC(__traceiter_kvm_ple_window_update, 0x1412f042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_ple_window_update, 0xfc21f054, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_ple_window_update, 0x93a3e40e, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pml_full, 0x3a86dbe7, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pml_full, 0xc60d7d0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pml_full, 0xd7ebefa2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pml_full, 0xf2df48f3, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pi_irte_update, 0x4e941b40, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pi_irte_update, 0x45e80fdf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pi_irte_update, 0x2dd6f2f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pi_irte_update, 0x388e0e10, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_unaccelerated_access, 0xd7c4935e, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_unaccelerated_access, 0x9f68faa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_unaccelerated_access, 0x5d61343d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_unaccelerated_access, 0xf32dff97, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_incomplete_ipi, 0x36a50301, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_incomplete_ipi, 0x9e20b2bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_incomplete_ipi, 0x455bc2ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_incomplete_ipi, 0x4942be67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_ga_log, 0xb2fa9d5b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_ga_log, 0xa7022320, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_ga_log, 0x4c823c8f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_ga_log, 0x1d1b139a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_kick_vcpu_slowpath, 0xadfcec40, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_kick_vcpu_slowpath, 0x4733bf8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, 0x791f5a3f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5f911332, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_doorbell, 0xf2af5fd0, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_doorbell, 0xc7fe55ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_doorbell, 0xb62a32cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_doorbell, 0x1f8e9483, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_apicv_accept_irq, 0x72b60f5d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_apicv_accept_irq, 0x3d93fb92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_apicv_accept_irq, 0x2bc95d7f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_apicv_accept_irq, 0x5c7e9f84, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_enter, 0x9ef05501, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_enter, 0x8f3a890e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_enter, 0xda75381c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_enter, 0x8a7fe54a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_exit, 0x2c9af9a9, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_exit, 0x7510a39a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_exit, 0xadda97c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_exit, 0x48644036, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_enter, 0xec634df6, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_enter, 0x0ca8df68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, 0x3852d8b3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, 0xf54e2886, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_exit, 0xb8e58b6f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_exit, 0x25c07225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, 0x32402c0c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, 0x0cff45f4, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_rmp_fault, 0x9e7f7b1b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_rmp_fault, 0x5e0e8cda, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_rmp_fault, 0x9824a330, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_rmp_fault, 0xad9b683b, "_gpl");
SYMBOL_CRC(kvm_cpu_has_injectable_intr, 0x2e760811, "_gpl");
SYMBOL_CRC(kvm_cpu_has_interrupt, 0x0be2936b, "_gpl");
SYMBOL_CRC(kvm_cpu_get_extint, 0x8a8bbae7, "_gpl");
SYMBOL_CRC(kvm_has_noapic_vcpu, 0x3f510ff5, "_gpl");
SYMBOL_CRC(__kvm_apic_update_irr, 0x6243ac82, "_gpl");
SYMBOL_CRC(kvm_apic_update_irr, 0x31118bfd, "_gpl");
SYMBOL_CRC(kvm_apic_clear_irr, 0x26a00c24, "_gpl");
SYMBOL_CRC(kvm_apic_update_hwapic_isr, 0xaf1ff7ac, "_gpl");
SYMBOL_CRC(kvm_lapic_find_highest_irr, 0x01b75066, "_gpl");
SYMBOL_CRC(kvm_apic_update_ppr, 0x2a443291, "_gpl");
SYMBOL_CRC(kvm_apic_match_dest, 0x090b29f0, "_gpl");
SYMBOL_CRC(kvm_apic_set_eoi_accelerated, 0x4f58c463, "_gpl");
SYMBOL_CRC(kvm_apic_send_ipi, 0xa68568a9, "_gpl");
SYMBOL_CRC(kvm_lapic_readable_reg_mask, 0x711e3688, "_gpl");
SYMBOL_CRC(kvm_wait_lapic_expire, 0xc993eb5d, "_gpl");
SYMBOL_CRC(kvm_lapic_expired_hv_timer, 0xd8bff5b8, "_gpl");
SYMBOL_CRC(kvm_lapic_set_eoi, 0x8324e085, "_gpl");
SYMBOL_CRC(kvm_apic_write_nodecode, 0x2f6eae31, "_gpl");
SYMBOL_CRC(kvm_alloc_apic_access_page, 0x164f9a39, "_gpl");
SYMBOL_CRC(kvm_apic_has_interrupt, 0x5ee48482, "_gpl");
SYMBOL_CRC(kvm_apic_ack_interrupt, 0xfa8e4f71, "_gpl");
SYMBOL_CRC(kvm_set_msi_irq, 0x840b06cb, "_gpl");
SYMBOL_CRC(kvm_intr_is_single_vcpu, 0xb69784a6, "_gpl");
SYMBOL_CRC(kvm_cpu_caps, 0xbff653a2, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry_index, 0xf2da9342, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry, 0xbaa20a64, "_gpl");
SYMBOL_CRC(kvm_set_cpu_caps, 0x5d996b31, "_gpl");
SYMBOL_CRC(kvm_cpuid, 0x1df6a231, "_gpl");
SYMBOL_CRC(kvm_emulate_cpuid, 0x70b6cbbe, "_gpl");
SYMBOL_CRC(kvm_pmu_cap, 0xd475c188, "_gpl");
SYMBOL_CRC(kvm_pmu_eventsel, 0xfcc16c54, "_gpl");
SYMBOL_CRC(pmc_write_counter, 0xecdb0164, "_gpl");
SYMBOL_CRC(kvm_pmu_trigger_event, 0xb412115a, "_gpl");
SYMBOL_CRC(kvm_mmu_free_roots, 0x2be5e867, "_gpl");
SYMBOL_CRC(kvm_mmu_free_guest_mode_roots, 0xb24ff02a, "_gpl");
SYMBOL_CRC(kvm_handle_page_fault, 0x8cf5f6b9, "_gpl");
SYMBOL_CRC(kvm_mmu_new_pgd, 0xb66f1d11, "_gpl");
SYMBOL_CRC(kvm_init_shadow_npt_mmu, 0xb00d3d83, "_gpl");
SYMBOL_CRC(kvm_init_shadow_ept_mmu, 0x5c8abff6, "_gpl");
SYMBOL_CRC(kvm_init_mmu, 0xecba5fc8, "_gpl");
SYMBOL_CRC(kvm_mmu_reset_context, 0xafe136d6, "_gpl");
SYMBOL_CRC(kvm_mmu_free_obsolete_roots, 0x03b20ca7, "_gpl");
SYMBOL_CRC(kvm_mmu_page_fault, 0x63fc30de, "_gpl");
SYMBOL_CRC(kvm_mmu_print_sptes, 0xb1b56f66, "_gpl");
SYMBOL_CRC(kvm_mmu_invalidate_addr, 0x7b2ce351, "_gpl");
SYMBOL_CRC(kvm_mmu_invlpg, 0x90484ab8, "_gpl");
SYMBOL_CRC(kvm_configure_mmu, 0x06cdc8d1, "_gpl");
SYMBOL_CRC(kvm_zap_gfn_range, 0x38e79ed5, "_gpl");
SYMBOL_CRC(enable_mmio_caching, 0xfab33e4c, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_mask, 0x6ada8f59, "_gpl");
SYMBOL_CRC(kvm_mmu_set_me_spte_mask, 0xbd9d6dfc, "_gpl");
SYMBOL_CRC(kvm_mmu_set_ept_masks, 0x5bf7cde0, "_gpl");
SYMBOL_CRC(kvm_smm_changed, 0x7ba19b59, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x196614ce, "hw_breakpoint_restore" },
	{ 0xc1837c3a, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc95b1969, "generic_fillattr" },
	{ 0xd1149ebe, "simple_attr_write" },
	{ 0x4e5ee273, "tick_nohz_full_mask" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x3674df21, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7a7163, "__static_call_return0" },
	{ 0xf66f5cce, "__init_rwsem" },
	{ 0xbc7203cc, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x241e4ab4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae450485, "kthread_flush_work" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0x2547a5db, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67955ce6, "profile_hits" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9241b358, "__static_key_slow_dec_deferred" },
	{ 0x2abbfcb, "folio_unlock" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x5dcff470, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0xf330449b, "perf_event_create_kernel_counter" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbf55fe5a, "param_get_bool" },
	{ 0x6d873d72, "bpf_trace_run6" },
	{ 0xb1828140, "vtime_guest_exit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5b56860c, "vm_munmap" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xe81716fe, "get_pid_task" },
	{ 0x4e50eb3e, "fpu_copy_guest_fpstate_to_uabi" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0xa7932f18, "rt_read_trylock" },
	{ 0xf7370f56, "system_state" },
	{ 0xf11af308, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x466c14a7, "__delay" },
	{ 0x1057a279, "bsearch" },
	{ 0xa4903e4e, "fget" },
	{ 0x5f75f75a, "__put_task_struct" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x34a013dd, "__xas_next" },
	{ 0xee66283a, "xas_find" },
	{ 0x3ba01b47, "get_compat_sigset" },
	{ 0xcd81a945, "switch_fpu_return" },
	{ 0x487ee9e5, "hrtimer_init" },
	{ 0x61754dd5, "noop_dirty_folio" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0x1a38833, "irq_work_queue" },
	{ 0x5963790c, "param_set_uint" },
	{ 0x64ed8e28, "fd_install" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xa7be7d6b, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x51fbafe0, "housekeeping_enabled" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0xadbf85dc, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa644604, "perf_event_pause" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xb17ec06c, "perf_event_period" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9c6d6327, "vm_mmap" },
	{ 0x4429831d, "send_sig_mceerr" },
	{ 0x26cda94f, "e820__mapped_raw_any" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0x507ddc52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x1c6ecb4d, "synchronize_srcu" },
	{ 0x1cbd92b0, "cpu_mitigations_off" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3d6ef09a, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x273e1002, "fpu_sync_guest_vmexit_xfd_state" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf4bd5d57, "__tracepoint_mmap_lock_released" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3141258d, "cpufreq_cpu_put" },
	{ 0xa666ab12, "perf_event_read_value" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xb15ba835, "get_user_pages_remote" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x5ca44a4, "wake_up_process" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x518f44dc, "__cond_resched_rwlock_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6393c3e2, "anon_inode_getfd" },
	{ 0x85a8c05a, "param_get_uint" },
	{ 0x6bbd8324, "perf_unregister_guest_info_callbacks" },
	{ 0x78df5ff2, "follow_pfnmap_start" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xa4a62c1a, "__filemap_get_folio" },
	{ 0x6c742873, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf8eae856, "__cond_resched_rwlock_read" },
	{ 0x618911fc, "numa_node" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcaa2fd3d, "rt_write_unlock" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0x235d8e5f, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7ab07626, "find_vma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf787ee49, "param_ops_bint" },
	{ 0x60064b7e, "debugfs_lookup" },
	{ 0x9497bf7, "mark_page_accessed" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x67990221, "kobject_uevent_env" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xb74c43f6, "fpu_update_guest_xfd" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x297a948f, "init_srcu_struct" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x4688d7ec, "pvclock_gtod_unregister_notifier" },
	{ 0xbb91fee3, "fput" },
	{ 0xff66aab6, "down_write" },
	{ 0xe7232e0f, "user_return_notifier_unregister" },
	{ 0x689cdbcc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x958207b0, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0x7dbc78f8, "simple_attr_release" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xce81c0b9, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x83b4a4d1, "dentry_path_raw" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf8fe3986, "pat_pfn_immune_to_uc_mtrr" },
	{ 0x842c0e7, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6ecc607e, "mem_section" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x9f50f32, "rcu_nocb_flush_deferred_wakeup" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x8229cb, "fixup_user_fault" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5fc5473c, "preempt_notifier_register" },
	{ 0xcceefbc8, "finish_rcuwait" },
	{ 0x4a8599d1, "__SCK__tp_func_ipi_send_cpu" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf60300c0, "fpu_free_guest_fpstate" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfd9ea4ed, "mmu_notifier_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x995d1071, "prof_on" },
	{ 0x1da3f5a6, "xfer_to_guest_mode_handle_work" },
	{ 0x1ac8ec05, "cleanup_srcu_struct" },
	{ 0x2b83e21d, "file_modified" },
	{ 0x9a0b2506, "__put_devmap_managed_folio_refs" },
	{ 0x29c7fa7d, "__vcalloc_noprof" },
	{ 0x77f24400, "perf_register_guest_info_callbacks" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1475d603, "xstate_get_guest_group_perm" },
	{ 0x4feccce5, "bpf_trace_run1" },
	{ 0x38ea9765, "intel_pt_validate_hw_cap" },
	{ 0xd1f97fc, "bpf_trace_run9" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e1d987b, "__tracepoint_write_msr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3fe35aea, "irq_bypass_unregister_consumer" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x9f84e68c, "synchronize_srcu_expedited" },
	{ 0x24bd40a4, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25881d45, "misc_register" },
	{ 0x51d5cec5, "unpin_user_page" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x6214aef2, "cpufreq_unregister_notifier" },
	{ 0x59d91a0, "fpu_swap_kvm_fpstate" },
	{ 0x56398615, "mark_tsc_unstable" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x9583fe94, "kthread_create_worker_on_node" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x43e3cf16, "simple_attr_read" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x984a1184, "mutex_lock_killable" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0xaa7b910e, "__mmdrop" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9a000857, "__xa_cmpxchg" },
	{ 0xe31fdd06, "fpu_copy_uabi_to_guest_fpstate" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c46233a, "cpufreq_quick_get" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb13595e, "smp_call_function_many" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x6300808d, "__lruvec_stat_mod_folio" },
	{ 0xaa6a50f9, "__static_key_deferred_flush" },
	{ 0x62de3af3, "__xa_insert" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0x3bd62ec, "__mmap_lock_do_trace_start_locking" },
	{ 0xba8ed045, "seq_read" },
	{ 0xb4b97c90, "pvclock_gtod_register_notifier" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1fec89f4, "perf_event_enable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb1ca17, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4b3743c9, "irq_work_sync" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x7230beea, "fdget" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0x65a8b7ad, "mmput" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x5cb33b54, "kthread_destroy_worker" },
	{ 0x57861a5c, "gds_ucode_mitigated" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb89e69b1, "jump_label_update_timeout" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x39aeb797, "cpu_info" },
	{ 0x15519357, "get_user_pages_fast_only" },
	{ 0xe0e6ef02, "perf_get_x86_pmu_capability" },
	{ 0xf214365, "xa_destroy" },
	{ 0x7d3f3617, "fpu_enable_guest_xfd_features" },
	{ 0xed069ee3, "get_user_pages_unlocked" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xef4dfd93, "__tracepoint_mmap_lock_start_locking" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2dcc5e7a, "__folio_put" },
	{ 0xd0877ac4, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65d9e877, "cpufreq_register_notifier" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x41c2866e, "__tracepoint_read_msr" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x79fe7179, "pin_user_pages_unlocked" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe11d4ad0, "__mmap_lock_do_trace_released" },
	{ 0xd71e8d27, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4c2208d8, "xa_store" },
	{ 0x550ce709, "pat_enabled" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c6d70e8, "__hrtimer_get_remaining" },
	{ 0x7452adff, "user_return_notifier_register" },
	{ 0x89706cdf, "__srcu_read_unlock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0xe55e2f74, "mmu_notifier_register" },
	{ 0x515faece, "rt_write_lock" },
	{ 0xe0d39f1c, "sgx_set_attribute" },
	{ 0x5f2da8c4, "check_tsc_unstable" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0x75af9252, "generic_file_open" },
	{ 0x4b06c6ab, "truncate_inode_pages_range" },
	{ 0x151c43a5, "alloc_pages_noprof" },
	{ 0x376ac3e8, "hrtimer_cancel" },
	{ 0x9ea3a91, "vtime_guest_enter" },
	{ 0x888c5be5, "irq_bypass_register_consumer" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xc7c4f156, "rcuwait_wake_up" },
	{ 0x4d7e0be8, "single_release" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xd9a3ac40, "pid_vnr" },
	{ 0x843d0f84, "cpufreq_cpu_get" },
	{ 0x35237024, "preempt_notifier_unregister" },
	{ 0x947b40c6, "cpu_smt_possible" },
	{ 0x25f87992, "fpu_alloc_guest_fpstate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2268b132, "follow_pfnmap_end" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0xc6a62efb, "get_file_active" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xef8fc95f, "kvm_async_pf_task_wait_schedule" },
	{ 0x16640741, "context_tracking" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3b9154ef, "perf_event_release_kernel" },
	{ 0x754d539c, "strlen" },
	{ 0xb77f5e9, "bpf_trace_run7" },
	{ 0x7077a621, "get_task_pid" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x661c96d8, "anon_inode_create_getfile" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe77e38c8, "fpstate_clear_xstate_component" },
	{ 0x2bb97beb, "single_open" },
	{ 0xe83eba32, "itlb_multihit_kvm_mitigation" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x6b3a2168, "__static_call_update" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x5ed485d1, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe9d4d7f6, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x957d0e06, "up_read" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xfc19b241, "put_pid" },
	{ 0xef30e318, "__cpuhp_remove_state" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x3466ce63, "x86_msi_msg_get_destid" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x616fda3, "eventfd_ctx_fileget" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4fb5a1aa, "mtree_load" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe3e15c39, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "irqbypass");


MODULE_INFO(srcversion, "59910849BDEF0A6186B2B01");
MODULE_INFO(rhelversion, "10.1");
