#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x54224023, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x78193d53, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xeff3ff5f, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x3318da85, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x52a506e8, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x86de8b07, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x3c744894, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x8d8941b6, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x8e3de5be, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xab9f6ca3, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xea2ddaf2, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x284c5f9f, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xa3f27b2d, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xc0d9962e, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x486c226e, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x3f4fa20e, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xc4ca873f, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x8f40e0da, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xf9f69399, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x6d146dfc, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xd240cad7, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x68b58644, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xd4fb09aa, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x769a17cf, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x51e6ebff, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xb2c1ebe3, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x1b35cf39, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xf0ae4da9, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x7c34917a, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x5e802acb, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x025079aa, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xac9ec9c8, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xc2d65dd2, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x3bc9c3f7, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x49a90276, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xe01b63ab, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x5f4742b6, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xff75be59, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xa9fa0cf9, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xbe63d9b7, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x788ea050, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xae238b24, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x285156cd, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xe222f4d7, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x7f7b295e, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x7f455723, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xece5249d, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xeab57848, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xb823cbf6, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0x1065b6d1, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xb579d71b, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x539272a7, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x37334e37, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xe13b3b0a, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xf43b15a9, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xa8a5ac81, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x4fc5e4d5, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x619e0d2c, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x0372a344, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x5080ca13, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x5d127cb4, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x0febcb38, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x7f31223d, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xa28bb53e, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x53bac836, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x02fd1c17, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xdb01e2d0, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xab601a6d, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xea0e2156, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x973c2e81, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x90a848b4, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xc46da6cb, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x44b966d8, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xd9c9ef2b, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xe111fafc, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x5e51e122, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x3f3d8b44, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x2c8319d7, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x914ed461, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x853ed46c, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x3d584d88, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xb6e29650, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x34a42094, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x6228d7cc, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x965b18c2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x345eaf72, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x910b7cfa, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xab53a202, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x37a04464, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x2e1a389a, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x1488d532, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x317dcc1f, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xfb12db35, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xc9481bc4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2892617a, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x6ff737bc, "pcie_capability_read_word" },
	{ 0x984e0455, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x241e4ab4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0xa17565b5, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x30b91e2c, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x37ecadde, "cdev_device_del" },
	{ 0x6d873d72, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0x8ca56ade, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x809b6bbe, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xfcdfabf3, "hmat_update_target_coordinates" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x5404fe83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x265453b9, "platform_bus" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x38b18436, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14efbae7, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x6dad8bbb, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x8510e9b1, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x35b90b7a, "bus_for_each_dev" },
	{ 0xdf688b98, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x26416bfc, "compat_ptr_ioctl" },
	{ 0x42860787, "debugfs_attr_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0xfbeb9ec4, "sysfs_update_group" },
	{ 0x7ad682e5, "bus_unregister" },
	{ 0xff66aab6, "down_write" },
	{ 0x761dbda0, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x689cdbcc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x7b3d0cc0, "debugfs_create_bool" },
	{ 0x313679e6, "bus_find_device" },
	{ 0x7e18331d, "device_add" },
	{ 0xcd1b8433, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7dbc78f8, "simple_attr_release" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0x842c0e7, "bpf_trace_run5" },
	{ 0xe666529e, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x5462a21d, "kernfs_find_and_get_ns" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x2577c6f2, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0xb562cfef, "devm_remove_action_nowarn" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0xb5e2f877, "driver_unregister" },
	{ 0x447bff5, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4096982a, "device_find_child" },
	{ 0xc9c1cea9, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xabbec8c6, "devm_release_action" },
	{ 0x1b80556e, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x69b206ff, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd4b653b9, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x62de3af3, "__xa_insert" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0xba8ed045, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c39b0d7, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x5bcbf9bf, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd004f37e, "einj_cxl_available_error_type_show" },
	{ 0xf214365, "xa_destroy" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0x3cc1ab5, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x304d53c1, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x4c2208d8, "xa_store" },
	{ 0x4f497294, "device_match_name" },
	{ 0xa4f92bc, "einj_cxl_inject_error" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x4d7e0be8, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x3c830a09, "pci_walk_bus" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0x95610134, "node_set_perf_attrs" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0xf89b15ed, "pci_find_dvsec_capability" },
	{ 0x2288913d, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2bb97beb, "single_open" },
	{ 0xab220bd6, "pci_write_config_word" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x777fff62, "pcie_bandwidth_available" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x957d0e06, "up_read" },
	{ 0x8f58ca77, "driver_register" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x812da6d6, "cdev_init" },
	{ 0xb93f9fe3, "pci_bus_type" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x721d8385, "bus_register" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "C625F636D5EE86F2378E174");
MODULE_INFO(rhelversion, "10.1");
