#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x738af082, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0xd57c03a5, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x3ac68068, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x74f94653, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x9100c38b, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x5d5c236a, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x721998d9, "_gpl");
SYMBOL_CRC(idxd_drv, 0x994ab367, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x1ebce2f4, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x1e4974cd, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0xbf89363c, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x8ffc147b, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x17da4ec2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xe3a6954d, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64b8aecb, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e141e59, "pci_msix_vec_count" },
	{ 0x98c2f89b, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x1ee12e5c, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8ec380ca, "dma_async_device_unregister" },
	{ 0xf6483279, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff9fce3f, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x5017a278, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x37ecadde, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xf9f7e2dc, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb409cf6b, "__pci_register_driver" },
	{ 0x8ca56ade, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0x98a5c76a, "dsa_bus_type" },
	{ 0x7fd7c567, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc74e7009, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0xb03216b9, "iommu_sva_bind_device" },
	{ 0x45236671, "iommu_detach_device_pasid" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x37999c1b, "pci_irq_vector" },
	{ 0x5404fe83, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x284c1f0c, "pci_unregister_driver" },
	{ 0x4dae3cf3, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bd5b2f0, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x5abf97d, "sbitmap_prepare_to_wait" },
	{ 0x6dad8bbb, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8510e9b1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x405c7d3e, "iommu_dev_enable_feature" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0xa6deab5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa9f332b7, "__idxd_driver_register" },
	{ 0x3f1532b, "iommu_get_domain_for_dev" },
	{ 0xec01bea6, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xff66aab6, "down_write" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x689cdbcc, "up_write" },
	{ 0x313679e6, "bus_find_device" },
	{ 0x7e18331d, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0x3ec6ae03, "dma_alloc_attrs" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xdd35b095, "dma_async_device_channel_unregister" },
	{ 0x80827d79, "seq_putc" },
	{ 0xebe1783e, "iommu_sva_unbind_device" },
	{ 0xe052e018, "sbitmap_queue_clear" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0xe7406f82, "iommu_alloc_global_pasid" },
	{ 0xd14495c7, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xba7dd60e, "pci_iounmap" },
	{ 0x3f9d3705, "pci_restore_state" },
	{ 0x1b80556e, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9a11b73f, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x6308e45d, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x57978e25, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x33bbe331, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b168a00, "dma_async_device_register" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xba29a38, "pci_reset_function" },
	{ 0xae956b77, "iommu_attach_device_pasid" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9a000857, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3494a4e3, "dma_set_coherent_mask" },
	{ 0x62de3af3, "__xa_insert" },
	{ 0xba8ed045, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x9ae8ca43, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xaa42bfb, "sbitmap_finish_wait" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xde5a2615, "dma_async_device_channel_register" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf214365, "xa_destroy" },
	{ 0x527ead4d, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x4f497294, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x22eb1d0e, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x4d7e0be8, "single_release" },
	{ 0x73f749ab, "dma_set_mask" },
	{ 0x22736307, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x2288913d, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2bb97beb, "single_open" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0xef2185d2, "__sbitmap_queue_get" },
	{ 0xce96e258, "pci_free_irq_vectors" },
	{ 0x3f2d4626, "idxd_driver_unregister" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x812da6d6, "cdev_init" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000B02Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E81C2B1D5ED4CF77F1A00AB");
MODULE_INFO(rhelversion, "10.1");
