#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_wake_timeout_setup, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_clear_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_poll_act_handled, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_set_transparent_mode, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_init, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_plugged_notify, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_init, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_mode_valid, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_hotplug, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_force, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x08d552e3, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x0b1c56b2, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x2d2cce2c, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x1ba827a8, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x34f9c36e, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x4556d345, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x4f86cc49, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xce4db3e3, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x8bb92a6c, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x54472664, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x12e9eaf3, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x06f28e9f, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xb7019380, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x9eb6c98d, "");
SYMBOL_CRC(drm_dp_lttpr_wake_timeout_setup, 0x98f5030f, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x256ba06c, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x72948af9, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xeffe8196, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x3a1f68c7, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x6313b26e, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x1c6eebc2, "");
SYMBOL_CRC(drm_dp_dpcd_write_payload, 0x0bfac623, "");
SYMBOL_CRC(drm_dp_dpcd_clear_payload, 0xbc8e937e, "");
SYMBOL_CRC(drm_dp_dpcd_poll_act_handled, 0x64fa6c72, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xbf3a4dd8, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x1c92057f, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x379c2ec8, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x44f2a8ac, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x563c6768, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x0500966a, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x05dbb306, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x02ab0b8a, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xe988ff20, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xb7d0559d, "");
SYMBOL_CRC(drm_dp_aux_init, 0xdd7bba6d, "");
SYMBOL_CRC(drm_dp_aux_register, 0xcbc2ffd0, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xf2f494e3, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xb3dff52e, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xe4482b03, "");
SYMBOL_CRC(drm_dp_read_desc, 0x9a620dc4, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xa51af626, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xe21f00af, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x7eef8a32, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_set_transparent_mode, 0x03ec3167, "");
SYMBOL_CRC(drm_dp_lttpr_init, 0xc56d0697, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x0c3fa857, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xdb67390a, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x35a5721e, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x278caa7b, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x67db8355, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x7e169de4, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x7b51b326, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x9c5f35f9, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xdadcce5f, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x7c6237b2, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x4e4407db, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xc5a28c3b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xf1a76085, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x6d7eed59, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x4bf41e1a, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x39e0b7be, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x65b12343, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xe0c170a2, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xb0bd1a00, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xf330daac, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x8ad9af6c, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x09bcacf2, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x873d2a2e, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x93dc7476, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xccd8e579, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x273aae5c, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xc185c211, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xdae75188, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x42608fe8, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x121e9bbe, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x7cc2b261, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x523865fa, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x603a853a, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x25be9de9, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x7d27f1ff, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x99eb1b89, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa59ae7ea, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xad377858, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xc6c928c0, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xdc03f058, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x9b674f8f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x29ea7087, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xc1f875b8, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xd8ddd731, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x73719ea7, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x94f8e30b, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x7e7012dd, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x923b12b5, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xc33f523d, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x8ce37f7f, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x90635935, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x62f70d5f, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x57e944cc, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x221e9068, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xdaa62b8e, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x646898ac, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x3b644a8b, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x7422c7ad, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xb98e1f01, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xa19816b1, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x0aea8836, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x82087527, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x0beb6141, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xf7cfb818, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xf7cd7dd5, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x5ac51612, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x34acfe46, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xb7ca128f, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x7cbd105f, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x6051094e, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0x6bbf84a0, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0x8e19d223, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0xdb181a30, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0x0f62f726, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0xef0f37de, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0x2fa25d2d, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0x6b79dc61, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0x367395af, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x09e281e2, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x1318a3b0, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x9ebf009f, "");
SYMBOL_CRC(drm_connector_hdmi_audio_plugged_notify, 0x12e1bfe2, "");
SYMBOL_CRC(drm_connector_hdmi_audio_init, 0x9d188f12, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x407f5b5c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x4c4b869d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xa0f871d5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xb2ff0710, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x684b5775, "");
SYMBOL_CRC(drm_scdc_write, 0x159f99af, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x6f421ca6, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x761d8e15, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x6d898f51, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x9382af9a, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x09948813, "");
SYMBOL_CRC(drm_hdmi_connector_mode_valid, 0xc38a41e9, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x6fc25d96, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x4c59df5c, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x9d1c1259, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_hotplug, 0x76d45cbe, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_force, 0x67344eec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70d7538f, "drm_crtc_add_crc_entry" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf94b141a, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xec2d7a89, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3d3daeb4, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0x4ab31c28, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x59062d8f, "drm_connector_unregister" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa564b9bd, "drm_mode_object_put" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xfc5127dc, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f8282d7, "drm_edid_connector_update" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xfc876c87, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f8673a, "drm_atomic_private_obj_fini" },
	{ 0xa916b694, "strnlen" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0xa4beb683, "drm_property_create_enum" },
	{ 0x94999e02, "drm_dev_printk" },
	{ 0x3828e31c, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe2a465d9, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5dc41b2f, "drm_crtc_wait_one_vblank" },
	{ 0x2203f54e, "drm_modeset_lock" },
	{ 0x435dd75f, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0x48dd77f9, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xaaea730c, "drm_edid_read" },
	{ 0x80827d79, "seq_putc" },
	{ 0x2e0bb35, "drm_crtc_commit_wait" },
	{ 0x9169efbc, "drm_connector_dynamic_register" },
	{ 0xad8b7f8b, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3915c02c, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x2cfa3d9c, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7ae9e7eb, "__drm_dev_dbg" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x8d0d6e3f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8143aa3a, "drm_object_property_set_value" },
	{ 0x3d6276da, "platform_device_register_full" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x79c89a41, "drm_kms_helper_hotplug_event" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xb9053b22, "seq_write" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xb94f25b2, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x72fd8d21, "i2c_transfer" },
	{ 0x656093c3, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x20f78d01, "remove_wait_queue" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x365fcada, "drm_sysfs_connector_property_event" },
	{ 0x2cd5b6c8, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x8c4bbdf7, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xf63cab58, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x2963d211, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "DAE1CE08AC672746B5A8CEE");
MODULE_INFO(rhelversion, "10.1");
