#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_kunit_helper_alloc_device, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_free_device, "_gpl", "");
KSYMTAB_FUNC(__drm_kunit_helper_alloc_drm_device_with_driver, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_atomic_state_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_primary_plane, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_crtc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_add_mode_destroy_action, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_display_mode_from_cea_vic, "_gpl", "");

SYMBOL_CRC(drm_kunit_helper_alloc_device, 0xd364ca77, "_gpl");
SYMBOL_CRC(drm_kunit_helper_free_device, 0xdd168885, "_gpl");
SYMBOL_CRC(__drm_kunit_helper_alloc_drm_device_with_driver, 0xab22a630, "_gpl");
SYMBOL_CRC(drm_kunit_helper_atomic_state_alloc, 0xcc7a509c, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_primary_plane, 0xe35d1106, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_crtc, 0x659d4582, "_gpl");
SYMBOL_CRC(drm_kunit_add_mode_destroy_action, 0xf3d1012e, "_gpl");
SYMBOL_CRC(drm_kunit_display_mode_from_cea_vic, 0x5f2703e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89368333, "kunit_device_register" },
	{ 0x848573f0, "kunit_device_unregister" },
	{ 0xcd10f326, "__devm_drm_dev_alloc" },
	{ 0x1ec609a5, "drmm_mode_config_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7578718, "drm_atomic_state_alloc" },
	{ 0x49e518cb, "kunit_add_action_or_reset" },
	{ 0xded5fa5e, "__drmm_universal_plane_alloc" },
	{ 0xdb8ce230, "kunit_ptr_not_err_assert_format" },
	{ 0x3b866621, "__kunit_do_failed_assertion" },
	{ 0xa651cc75, "__kunit_abort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cd1488, "drmm_kmalloc" },
	{ 0xed752a2, "drmm_crtc_init_with_planes" },
	{ 0x55e6d6e8, "kunit_binary_ptr_assert_format" },
	{ 0x56ecff53, "kunit_binary_assert_format" },
	{ 0x5fe6a315, "drm_mode_destroy" },
	{ 0x656093c3, "drm_display_mode_from_cea_vic" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x118e0fde, "drm_atomic_helper_crtc_reset" },
	{ 0x3b83c71d, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x1cc6bd05, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x596c624a, "drm_atomic_helper_plane_reset" },
	{ 0x970c972a, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xb9ef28fb, "drm_atomic_helper_plane_destroy_state" },
	{ 0x1eb53e68, "drm_atomic_helper_check" },
	{ 0x2fa6636b, "drm_atomic_helper_commit" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "kunit,drm,drm_kms_helper");


MODULE_INFO(srcversion, "5EBE44F91F81480CC8A3820");
MODULE_INFO(rhelversion, "10.1");
