#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xe_reg_sr_init, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_ctx_enable_active_tracking, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_to_sr, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_engine, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_wa_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(xe_reg_sr_init, 0x03ccfef6, "");
SYMBOL_CRC(xe_rtp_process_ctx_enable_active_tracking, 0x5e623d82, "");
SYMBOL_CRC(xe_rtp_process_to_sr, 0xa124f9fd, "");
SYMBOL_CRC(xe_rtp_process, 0xf038e20e, "");
SYMBOL_CRC(xe_tuning_process_gt, 0x2e3b101b, "");
SYMBOL_CRC(xe_tuning_process_engine, 0xcb2b27af, "");
SYMBOL_CRC(xe_wa_process_gt, 0x855b07d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x31236c2b, "unregister_sysctl_table" },
	{ 0x5e92ec3a, "drm_show_fdinfo" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x33dc9f9e, "drm_dp_tunnel_disable_bw_alloc" },
	{ 0xe9a5e67f, "intel_graphics_stolen_res" },
	{ 0xb735979d, "drm_atomic_helper_commit_hw_done" },
	{ 0xbdd7e855, "pci_num_vf" },
	{ 0x4c2208d8, "xa_store" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xba38bfd7, "drm_fb_helper_ioctl" },
	{ 0x1000e51, "schedule" },
	{ 0x58f34953, "drm_gem_object_release" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xae5b731c, "ttm_bo_vmap" },
	{ 0x51dc2d47, "fb_set_suspend" },
	{ 0x9c4b0fc8, "drm_connector_attach_max_bpc_property" },
	{ 0xceba3be, "component_add_typed" },
	{ 0xe6f58434, "request_firmware" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x284c1f0c, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x54472664, "drm_dp_read_channel_eq_delay" },
	{ 0x79994311, "drm_gpusvm_init" },
	{ 0x68a427ca, "drm_property_create_blob" },
	{ 0xc6b7e45, "pcim_enable_device" },
	{ 0xd9299d80, "pm_runtime_allow" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa431e453, "drm_crtc_vblank_get" },
	{ 0xf42ac8c0, "drm_mode_probed_add" },
	{ 0x4868ba41, "dma_resv_replace_fences" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xce4db3e3, "drm_lspcon_set_mode" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x277ee373, "kobj_sysfs_ops" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d7e8bb1, "mipi_dsi_generic_write" },
	{ 0x4fb2fd2a, "drm_gpuvm_validate" },
	{ 0x923b12b5, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x5ec7bc49, "pci_write_config_byte" },
	{ 0x433ac883, "ttm_bo_vm_close" },
	{ 0x3a586a55, "drm_print_memory_stats" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xdf247dbd, "drm_atomic_helper_prepare_planes" },
	{ 0x1401b42f, "drm_puts" },
	{ 0x7293d6aa, "drm_sched_stop" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x848588fb, "drm_dp_tunnel_max_dprx_lane_count" },
	{ 0x59488d78, "drm_crtc_arm_vblank_event" },
	{ 0xf4bd5d57, "__tracepoint_mmap_lock_released" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xd74ed965, "acpi_dev_get_resources" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2753e740, "drm_connector_attach_scaling_mode_property" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x67db8355, "drm_dp_pcon_frl_prepare" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x58b909f2, "drm_dp_downstream_max_tmds_clock" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0x1d7c7b6c, "drm_plane_has_format" },
	{ 0x1f6fa756, "drm_gpuvm_bo_put" },
	{ 0x7ece41ed, "cpu_latency_qos_remove_request" },
	{ 0xbbae5df4, "ttm_resource_init" },
	{ 0x659b3fc, "drm_connector_list_iter_next" },
	{ 0xae1fecc2, "ttm_bo_vm_fault_reserved" },
	{ 0xad377858, "drm_dp_read_mst_cap" },
	{ 0xa226552, "drm_plane_create_blend_mode_property" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92bfb353, "ww_mutex_lock_interruptible" },
	{ 0xff3ec3de, "hmm_range_fault" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x2cc7ff7b, "drm_gem_private_object_init" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x38bfd469, "mipi_dsi_picture_parameter_set" },
	{ 0xeb06ec06, "shrinker_alloc" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0xb94f25b2, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x1b5ce611, "ttm_resource_manager_evict_all" },
	{ 0x60064b7e, "debugfs_lookup" },
	{ 0xe239de10, "drm_dp_tunnel_max_dprx_rate" },
	{ 0xb2e75c66, "dma_fence_remove_callback" },
	{ 0x9defe68b, "pci_dev_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x985c5be5, "drm_property_replace_blob" },
	{ 0x80582fc8, "device_get_next_child_node" },
	{ 0xf7578718, "drm_atomic_state_alloc" },
	{ 0xa688fc8d, "drm_fb_helper_pan_display" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x9739c55e, "drm_client_dev_unregister" },
	{ 0x2577c6f2, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0xff66aab6, "down_write" },
	{ 0xf11af308, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x2ab0b8a, "drm_dp_read_sink_count_cap" },
	{ 0x7b3d0cc0, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x4a2aa2ff, "drm_property_blob_put" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb11bb0ae, "drm_fb_helper_fini" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0x644ae3de, "drm_open" },
	{ 0x7c6237b2, "drm_dp_pcon_frl_enable" },
	{ 0x35243d6a, "mmu_interval_notifier_remove" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0x2de1bd96, "drm_dev_wedged_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc8065946, "drm_gpusvm_range_unmap_pages" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0x6b48f0d5, "__var_waitqueue" },
	{ 0xc185c211, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x34acfe46, "drm_dp_mst_aux_for_parent" },
	{ 0x3ceab50b, "pci_match_id" },
	{ 0x349cba85, "strchr" },
	{ 0xdae75188, "drm_atomic_get_mst_payload_state" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x36a4c547, "dma_fence_signal_locked" },
	{ 0xf2f494e3, "drm_dp_aux_unregister" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x5c44bc99, "drm_atomic_helper_page_flip" },
	{ 0xa44267d1, "mipi_dsi_dcs_read" },
	{ 0x81193981, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x753f4074, "dma_buf_dynamic_attach" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xae3ebfaa, "prepare_to_wait" },
	{ 0xdcf6f2f, "pci_get_domain_bus_and_slot" },
	{ 0xc98dff9b, "drm_crtc_vblank_waitqueue" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x57e944cc, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x4f663988, "drm_vblank_work_flush" },
	{ 0x9b94e482, "drm_dp_tunnel_enable_bw_alloc" },
	{ 0xd163ae15, "dma_map_resource" },
	{ 0x12958286, "pci_d3cold_disable" },
	{ 0x944e0b73, "drm_modeset_lock_all_ctx" },
	{ 0xc45f8af2, "drm_debugfs_create_files" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x53cdfa6, "drm_connector_set_path_property" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x993998a6, "drm_connector_list_iter_end" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x957d0e06, "up_read" },
	{ 0xe713a8c0, "drm_atomic_helper_shutdown" },
	{ 0xe362fdb7, "sg_alloc_table_from_pages_segment" },
	{ 0xf1a76085, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x220e4090, "dma_resv_iter_next_unlocked" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf64964aa, "drm_atomic_helper_check_modeset" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0xbd003205, "fwnode_handle_get" },
	{ 0x3bd62ec, "__mmap_lock_do_trace_start_locking" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0xc68994ad, "drm_connector_update_privacy_screen" },
	{ 0xa916b694, "strnlen" },
	{ 0x69b206ff, "down_read_interruptible" },
	{ 0x9b674f8f, "drm_dp_mst_topology_mgr_suspend" },
	{ 0x1e141e59, "pci_msix_vec_count" },
	{ 0x1d70231c, "pm_runtime_forbid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xec01bea6, "perf_pmu_register" },
	{ 0xc75059e1, "kobject_create_and_add" },
	{ 0xa542ecb6, "__drm_puts_coredump" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0xc56d0697, "drm_dp_lttpr_init" },
	{ 0x88c52e7f, "drm_gpuvm_init" },
	{ 0x966b19e3, "drm_plane_from_index" },
	{ 0x3ef585da, "drm_crtc_vblank_off" },
	{ 0x4e1b577f, "drm_atomic_helper_suspend" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x81188c30, "match_string" },
	{ 0x76f3f4e, "drm_atomic_helper_unprepare_planes" },
	{ 0x361734bc, "ttm_bo_wait_ctx" },
	{ 0x241e4ab4, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0x1a48dece, "__drmm_add_action_or_reset" },
	{ 0x501de16d, "drm_dp_vsc_sdp_log" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xf6483279, "pci_alloc_irq_vectors" },
	{ 0x8b10841b, "drm_vblank_work_schedule" },
	{ 0x2f8a8c7a, "pci_pme_capable" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x2afbc861, "drm_gem_fb_get_obj" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe6fc0bed, "vga_client_register" },
	{ 0xb16b350d, "ttm_resource_manager_usage" },
	{ 0x57cf3221, "dma_resv_wait_timeout" },
	{ 0x3c8efdcd, "drm_gpuva_find_first" },
	{ 0xe84c6a92, "ttm_resource_manager_init" },
	{ 0xbcca5ddd, "pci_d3cold_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10c115be, "i2c_put_adapter" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x42608fe8, "drm_dp_mst_connector_late_register" },
	{ 0xb93f9fe3, "pci_bus_type" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0x73625e78, "drm_gem_dmabuf_vmap" },
	{ 0xb9053b22, "seq_write" },
	{ 0xef0f37de, "drm_dp_tunnel_atomic_get_group_streams_in_state" },
	{ 0x58f259c7, "drm_gpuvm_bo_unmap_ops_create" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x85c642e1, "drm_fb_helper_debug_leave" },
	{ 0x3d8a0af2, "ttm_bo_vm_access" },
	{ 0x6fd6016b, "__task_pid_nr_ns" },
	{ 0x7f8d8f05, "i2c_get_adapter" },
	{ 0xccb511f2, "drm_sched_job_add_resv_dependencies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x57978e25, "pci_set_master" },
	{ 0xe462a1be, "register_sysctl_sz" },
	{ 0xc5ddc133, "ttm_resource_free" },
	{ 0xbe070328, "drm_sched_fini" },
	{ 0x48bb3e84, "ttm_bo_init_reserved" },
	{ 0xbfac623, "drm_dp_dpcd_write_payload" },
	{ 0x493f128c, "drm_suballoc_manager_init" },
	{ 0x12e9eaf3, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xe21f00af, "drm_dp_read_lttpr_common_caps" },
	{ 0x59080a93, "vmf_insert_pfn_prot" },
	{ 0x91f2c1b3, "drm_connector_attach_encoder" },
	{ 0x73f749ab, "dma_set_mask" },
	{ 0xeb9fe7d8, "drm_gpuvm_prepare_vm" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x367395af, "drm_dsc_dump_config" },
	{ 0xaea8836, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0x6fb057a9, "irq_set_chip_and_handler_name" },
	{ 0xb2ff0710, "drm_hdmi_avi_infoframe_content_type" },
	{ 0x7396f77f, "drm_exec_lock_obj" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0x8510e9b1, "put_device" },
	{ 0x406afedc, "drm_fb_helper_debug_enter" },
	{ 0xf66f5cce, "__init_rwsem" },
	{ 0x71a0b018, "drm_crtc_enable_color_mgmt" },
	{ 0x504c682, "drm_dp_bw_channel_coding_efficiency" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x3a1f68c7, "drm_dp_dpcd_write" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xdc66e948, "drm_modeset_acquire_init" },
	{ 0x6d873d72, "bpf_trace_run6" },
	{ 0x21da502f, "drm_mode_create_aspect_ratio_property" },
	{ 0xe3a6954d, "pci_save_state" },
	{ 0x923edfc5, "drm_gpuvm_resv_add_fence" },
	{ 0xe81716fe, "get_pid_task" },
	{ 0xe4416e4a, "kobject_add" },
	{ 0x1c6eebc2, "drm_dp_dpcd_read_phy_link_status" },
	{ 0x9c5f35f9, "drm_dp_pcon_frl_configure_2" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0x774d4fb4, "backlight_device_unregister" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0x264d5b40, "i2c_acpi_find_adapter_by_handle" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd4150c65, "drm_modeset_acquire_fini" },
	{ 0xdb1ca17, "rt_read_lock" },
	{ 0x7011b0b8, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x6bbf84a0, "drm_dp_tunnel_atomic_get_state" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc3a7ed1c, "drm_sched_job_cleanup" },
	{ 0x16f72e07, "ttm_tt_fini" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2be568a2, "drm_dp_tunnel_get_allocated_bw" },
	{ 0xc28c3639, "fb_io_read" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0x7cbd105f, "drm_dp_tunnel_detect" },
	{ 0xcd0e8d5e, "cpu_latency_qos_request_active" },
	{ 0x9bd1b9ec, "pci_iomap_range" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x2fa25d2d, "drm_dp_tunnel_atomic_check_stream_bws" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0xeffe8196, "drm_dp_dpcd_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c4b869d, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x39e0b7be, "drm_dp_pcon_pps_override_param" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x425af208, "i2c_bit_algo" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x1a94ab9d, "drm_modeset_unlock_all" },
	{ 0xedcbf26a, "dev_coredump_put" },
	{ 0x90635935, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xab8d646c, "dma_buf_unmap_attachment" },
	{ 0x8ec53b46, "drm_crtc_create_scaling_filter_property" },
	{ 0x652d7d10, "dma_resv_iter_first" },
	{ 0x82915d01, "cpu_latency_qos_add_request" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x64ed053c, "drm_dp_tunnel_put" },
	{ 0x66501ad4, "ttm_bo_kmap" },
	{ 0xfd044bc5, "drm_gpuva_insert" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4dae3cf3, "kthread_use_mm" },
	{ 0xc6c928c0, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x99479c6f, "dma_buf_move_notify" },
	{ 0xd8f7c72, "dma_resv_reserve_fences" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0xd0884465, "ttm_bo_set_bulk_move" },
	{ 0x320be516, "idr_find" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0xe9a19c58, "drm_gem_prime_export" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0xf214365, "xa_destroy" },
	{ 0x2bb97beb, "single_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc8eb010, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x49b2d284, "dma_resv_add_fence" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x20f2d3c0, "drm_gpuvm_bo_evict" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xec0d4eef, "idr_remove" },
	{ 0xc33f523d, "drm_dp_atomic_release_time_slots" },
	{ 0x443e13e, "drm_atomic_add_affected_connectors" },
	{ 0x69551a3c, "dma_fence_array_alloc" },
	{ 0x39f02296, "pci_p2pdma_distance_many" },
	{ 0x95923c34, "devm_memremap_pages" },
	{ 0x73719ea7, "drm_dp_mst_detect_port" },
	{ 0x3f9d3705, "pci_restore_state" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xce018310, "drm_gpuvm_sm_map_ops_create" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc981d666, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x41306cce, "drm_plane_create_rotation_property" },
	{ 0x59fd5d64, "drm_dp_tunnel_set_io_error" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xa51af626, "drm_dp_dump_lttpr_desc" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0x24bd40a4, "hrtimer_start_range_ns" },
	{ 0x323c41b0, "ttm_bo_vm_dummy_page" },
	{ 0x112571b, "drm_modeset_lock_all" },
	{ 0x88d07099, "dma_resv_iter_next" },
	{ 0xbb4a522, "drm_gpuva_ops_free" },
	{ 0xf330daac, "drm_edp_backlight_disable" },
	{ 0x5b48f3b9, "debugfs_create_file_unsafe" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbedb0584, "drm_gem_dmabuf_mmap" },
	{ 0x5ed485d1, "generic_file_llseek" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xf745e527, "ttm_bo_vunmap" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc3fa857, "drm_dp_get_phy_test_pattern" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0xffc3fba6, "drm_gem_handle_create" },
	{ 0xaa7b910e, "__mmdrop" },
	{ 0xd541ecf2, "drm_gpusvm_range_pages_valid" },
	{ 0xc3e313ce, "drm_dp_tunnel_destroy" },
	{ 0x40c907e4, "drm_atomic_helper_set_config" },
	{ 0x4c429fe5, "ww_mutex_unlock" },
	{ 0xe2c8f915, "dma_fence_wait_timeout" },
	{ 0x1c92057f, "drm_dp_read_dpcd_caps" },
	{ 0x859cb3bd, "drm_dev_enter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dd8bc97, "drm_dp_downstream_min_tmds_clock" },
	{ 0x4cd1488, "drmm_kmalloc" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ad18b5b, "idr_get_next" },
	{ 0xdb2a3904, "ttm_bo_pin" },
	{ 0x6b09f02c, "drm_print_hex_dump" },
	{ 0x96eb5a65, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xfb578fc5, "memset" },
	{ 0xf7cfb818, "drm_atomic_get_new_mst_topology_state" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x40f92641, "component_del" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27a1741d, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x4c8bc1d4, "pci_iov_virtfn_devfn" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xe5ad8643, "drm_sched_init" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x65b12343, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x6393c3e2, "anon_inode_getfd" },
	{ 0x81a0fc10, "drm_dev_get" },
	{ 0xd58a37fe, "mipi_dsi_attach" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x287a3e80, "mempool_exit" },
	{ 0xd231f1de, "drm_gpusvm_range_get_pages" },
	{ 0x9bd4b5a8, "ttm_bo_shrink" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x8f13076e, "dma_fence_chain_walk" },
	{ 0xdc03f058, "drm_dp_mst_topology_queue_probe" },
	{ 0x79e7177c, "drm_atomic_commit" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7410aba2, "strreplace" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x1b80556e, "device_del" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x7d27f1ff, "drm_dp_remove_payload_part2" },
	{ 0xe2204092, "shrinker_register" },
	{ 0x1bb83c8f, "drm_kms_helper_connector_hotplug_event" },
	{ 0x17a82dc, "drm_client_dev_suspend" },
	{ 0xd14495c7, "perf_pmu_unregister" },
	{ 0x5f75f75a, "__put_task_struct" },
	{ 0x1f2e727a, "drm_crtc_send_vblank_event" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1678c1b7, "ttm_bo_mem_space" },
	{ 0xd8ddd731, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x3056bd02, "drm_gpuvm_prepare_objects" },
	{ 0x68410ea7, "ttm_device_init" },
	{ 0xa667f1e, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x99eb1b89, "drm_dp_add_payload_part2" },
	{ 0x5e5712ab, "drm_gpusvm_evict_to_ram" },
	{ 0xf8bdfb83, "__drm_atomic_helper_plane_state_reset" },
	{ 0x20615d56, "drm_mode_object_get" },
	{ 0x4d10cfc5, "acpi_find_child_device" },
	{ 0x67e1b35b, "sysfs_create_files" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbb97caee, "mempool_init_noprof" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x43e3cf16, "simple_attr_read" },
	{ 0xb81ef285, "drm_connector_attach_dp_subconnector_property" },
	{ 0x15115c99, "ttm_bo_lru_cursor_next" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x5cc28a4c, "ww_mutex_trylock" },
	{ 0xfba8f80f, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc382e1d1, "drm_universal_plane_init" },
	{ 0x4549ef44, "ttm_tt_restore" },
	{ 0xce9178f6, "pci_get_class" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8e2dce50, "pci_bus_resource_n" },
	{ 0xf9a63421, "drm_helper_probe_detect" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe23ec5be, "drm_dp_tunnel_alloc_bw" },
	{ 0x13d29650, "drm_connector_attach_vrr_capable_property" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb772c5ca, "drm_property_blob_get" },
	{ 0x4d924f20, "memremap" },
	{ 0xc5f08d57, "drm_crtc_accurate_vblank_count" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa564b9bd, "drm_mode_object_put" },
	{ 0x7109baca, "drm_gpuvm_put" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0x9c800c0a, "drm_atomic_helper_disable_plane" },
	{ 0xef4dfd93, "__tracepoint_mmap_lock_start_locking" },
	{ 0xf8369795, "dma_fence_chain_find_seqno" },
	{ 0x554aad5, "drm_sched_job_arm" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x35a5721e, "drm_dp_as_sdp_supported" },
	{ 0xb7ca128f, "drm_dp_mst_dsc_aux_for_port" },
	{ 0xa490b236, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0xa87f1c0a, "pwm_put" },
	{ 0xf52deeb0, "drm_read" },
	{ 0xf52d021b, "dma_buf_map_attachment" },
	{ 0x25af357, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0x91539e31, "drm_mode_object_find" },
	{ 0x8d0d6e3f, "i2c_add_adapter" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf46dc1cc, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x42048aec, "kobject_init" },
	{ 0xf7cd7dd5, "drm_dp_mst_topology_mgr_init" },
	{ 0xab308714, "idr_destroy" },
	{ 0xc9c1cea9, "mutex_lock_interruptible" },
	{ 0x36da50, "drm_crtc_handle_vblank" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x4f866530, "dma_fence_signal" },
	{ 0xf4160519, "drm_atomic_state_init" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x9e281e2, "drm_hdcp_check_ksvs_revoked" },
	{ 0x70c730d5, "backlight_device_get_by_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe0c509db, "pci_sriov_get_totalvfs" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x82087527, "drm_atomic_get_mst_topology_state" },
	{ 0xf1413e3c, "drm_dev_register" },
	{ 0x1ee12e5c, "pci_iomap" },
	{ 0x65a8b7ad, "mmput" },
	{ 0x38d55d21, "drm_edid_get_product_id" },
	{ 0x4d264c4, "drm_plane_add_size_hints_property" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x66edfc78, "_find_next_or_bit" },
	{ 0x27606c00, "drm_crtc_init_with_planes" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xb50dbf98, "drm_fb_helper_alloc_info" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x69b320d, "gpiod_set_value_cansleep" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x716fc2fb, "pci_set_power_state" },
	{ 0x87906010, "drm_client_setup_with_color_mode" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x833f9f6a, "drm_gem_object_lookup" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0xdc67460e, "downgrade_write" },
	{ 0xc6661c63, "default_llseek" },
	{ 0xa5f6af4a, "ttm_pool_free" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x515faece, "rt_write_lock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xba7dd60e, "pci_iounmap" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3d68ac5, "drm_sched_entity_init" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0xd6475c00, "drm_buddy_print" },
	{ 0xdd7bba6d, "drm_dp_aux_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9f46967, "dma_fence_chain_ops" },
	{ 0x3b0429b5, "__drm_printfn_err" },
	{ 0xca48a2a6, "device_link_add" },
	{ 0x25bbe9f8, "pci_read_config_byte" },
	{ 0x9ef21c6, "ttm_bo_shrink_suitable" },
	{ 0x93dcf75f, "ttm_bo_move_to_lru_tail" },
	{ 0x21e3d41a, "drm_kms_helper_poll_disable" },
	{ 0xd5a9e78e, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1c8f58b0, "drm_sched_resubmit_jobs" },
	{ 0x221e9068, "drm_dp_check_act_status" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0x93e8bae0, "__irq_alloc_descs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf16898c, "drm_kms_helper_poll_reschedule" },
	{ 0x4670b53c, "drm_plane_enable_fb_damage_clips" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xf792853b, "drm_dp_tunnel_mgr_destroy" },
	{ 0x1971d994, "pci_assign_unassigned_bus_resources" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0x411f3fb1, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x8832bf37, "ttm_bo_shrink_avoid_wait" },
	{ 0xb0647fac, "kunit_running" },
	{ 0x495bddd6, "dma_fence_add_callback" },
	{ 0xac844c91, "gpiod_set_value" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0x51d419a4, "drm_sched_wqueue_stop" },
	{ 0xc5efd224, "ttm_bo_unpin" },
	{ 0xcf5e4a2, "pci_sriov_set_totalvfs" },
	{ 0x121e9bbe, "drm_dp_mst_connector_early_unregister" },
	{ 0xb814d46e, "drm_plane_create_color_properties" },
	{ 0x69fc136e, "drm_gem_dmabuf_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2fba8efe, "drm_gpuvm_exec_lock" },
	{ 0x3d3daeb4, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xbeb6141, "drm_atomic_get_old_mst_topology_state" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd7dba61d, "drm_gem_dmabuf_vunmap" },
	{ 0x9aa4f170, "mempool_free" },
	{ 0x97da367f, "_dev_notice" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2203f54e, "drm_modeset_lock" },
	{ 0x4d7e0be8, "single_release" },
	{ 0x44f2a8ac, "drm_dp_downstream_mode" },
	{ 0x538e70d4, "pm_runtime_get_if_in_use" },
	{ 0xba8311cf, "drm_probe_ddc" },
	{ 0xf63cab58, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa74dfb33, "is_acpi_device_node" },
	{ 0x2754f081, "dma_resv_test_signaled" },
	{ 0x4ab31c28, "add_wait_queue" },
	{ 0x67441bc9, "drm_connector_attach_content_type_property" },
	{ 0xde97bc16, "drm_encoder_cleanup" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7eef8a32, "drm_dp_read_lttpr_phy_caps" },
	{ 0x5267605d, "drm_connector_attach_colorspace_property" },
	{ 0x64fa6c72, "drm_dp_dpcd_poll_act_handled" },
	{ 0x4c0dab2d, "drm_atomic_get_plane_state" },
	{ 0xeaf57eab, "drm_helper_probe_single_connector_modes" },
	{ 0xf0022b0c, "drm_dp_tunnel_atomic_get_required_bw" },
	{ 0xcccd9dc1, "__auxiliary_device_add" },
	{ 0x8ad9af6c, "drm_edp_backlight_init" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa6a91b93, "drm_gpuva_unlink" },
	{ 0x87eb932e, "__free_pages" },
	{ 0x684b5775, "drm_scdc_read" },
	{ 0x4f86cc49, "drm_lspcon_get_mode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2bfe0ed6, "drm_gpuvm_prefetch_ops_create" },
	{ 0x6bdc6594, "ttm_bo_eviction_valuable" },
	{ 0xcd10f326, "__devm_drm_dev_alloc" },
	{ 0xab220bd6, "pci_write_config_word" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xabbec8c6, "devm_release_action" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x42860787, "debugfs_attr_read" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xffd19d13, "devm_request_free_mem_region" },
	{ 0x38b18436, "pci_read_config_dword" },
	{ 0xa2399c08, "drm_client_release" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xcbc2ffd0, "drm_dp_aux_register" },
	{ 0x710f3395, "dma_fence_init" },
	{ 0xdff05ae0, "dma_fence_enable_sw_signaling" },
	{ 0xb48ea0ff, "drm_sched_entity_push_job" },
	{ 0xa8d62996, "drm_atomic_add_affected_planes" },
	{ 0x3f8c63a7, "drm_syncobj_find" },
	{ 0x761d8e15, "drm_scdc_set_scrambling" },
	{ 0x376ac3e8, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xb0bd1a00, "drm_edp_backlight_enable" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x70d7538f, "drm_crtc_add_crc_entry" },
	{ 0x39bff5ea, "drm_gem_prime_mmap" },
	{ 0x7f8526cc, "drm_fb_helper_damage_range" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x4dcbe65a, "drm_dp_tunnel_name" },
	{ 0x1d8d59dc, "drm_modeset_drop_locks" },
	{ 0x6d898f51, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x507ddc52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x85163c3e, "drm_fb_helper_check_var" },
	{ 0x6f0ab1e, "drm_framebuffer_cleanup" },
	{ 0x61a2ad0b, "drm_gpusvm_range_remove" },
	{ 0x6313b26e, "drm_dp_dpcd_read_link_status" },
	{ 0x7ad65e5a, "drm_color_lut_check" },
	{ 0x9f8282d7, "drm_edid_connector_update" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0xb9234c4d, "drm_dp_vsc_sdp_pack" },
	{ 0xcaa2fd3d, "rt_write_unlock" },
	{ 0x8caccb11, "ttm_bo_vm_open" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0xdb181a30, "drm_dp_tunnel_atomic_get_new_state" },
	{ 0xe2a465d9, "drm_atomic_get_crtc_state" },
	{ 0xcb35d244, "drm_syncobj_replace_fence" },
	{ 0x690dd931, "pci_ignore_hotplug" },
	{ 0x93ff7a92, "drm_modeset_backoff" },
	{ 0x8ae7ebe9, "ttm_bo_access" },
	{ 0x22736307, "kthread_unuse_mm" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x37bda221, "ttm_tt_setup_backup" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x53317967, "drm_poll" },
	{ 0x34b3bdfc, "__drmm_mutex_release" },
	{ 0x4d85c7ed, "dma_unmap_resource" },
	{ 0x1ec609a5, "drmm_mode_config_init" },
	{ 0x8bdeb81e, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x7640dfdd, "drm_atomic_set_mode_for_crtc" },
	{ 0xb7933f48, "dma_fence_get_stub" },
	{ 0x735ae9da, "ttm_bo_move_memcpy" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xb56e5ac8, "drm_kms_helper_poll_init" },
	{ 0x7bdf9eef, "drm_crtc_vblank_restore" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe46df3f0, "pci_write_config_dword" },
	{ 0xa59ae7ea, "drm_dp_get_vc_payload_bw" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xbe1fb6ec, "mipi_dsi_dcs_write" },
	{ 0xb939d908, "unmap_mapping_range" },
	{ 0x9a620dc4, "drm_dp_read_desc" },
	{ 0x2d2cce2c, "drm_dp_dual_mode_detect" },
	{ 0x6f69b2b6, "vga_put" },
	{ 0x3bd44899, "drm_framebuffer_init" },
	{ 0x42c3d0c9, "cfb_copyarea" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e69afec, "cfb_fillrect" },
	{ 0xd4a29529, "__drm_printfn_info" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0xc1f875b8, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb920d8d2, "ttm_lru_bulk_move_tail" },
	{ 0xc518d486, "drm_edid_is_digital" },
	{ 0x7405d18d, "ttm_resource_fini" },
	{ 0x4e4407db, "drm_dp_pcon_hdmi_link_active" },
	{ 0x9d8de19d, "drm_mode_crtc_set_gamma_size" },
	{ 0x50674de7, "drm_timeout_abs_to_jiffies" },
	{ 0xd0abeef2, "__xa_alloc_cyclic" },
	{ 0x5b3c029b, "ttm_bo_lru_cursor_fini" },
	{ 0xdaa62b8e, "drm_dp_mst_dump_topology" },
	{ 0xfd5b9ae4, "drm_atomic_state_default_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x545d9b47, "drm_gpuvm_bo_obtain" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x6e7f6601, "drm_gpusvm_range_find_or_insert" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x6845a8e9, "perf_event_sysfs_show" },
	{ 0xf6f27a3a, "param_ops_charp" },
	{ 0x1ba827a8, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0x80827d79, "seq_putc" },
	{ 0xa17565b5, "debugfs_attr_write" },
	{ 0x1a38833, "irq_work_queue" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4d6ef884, "drm_atomic_helper_damage_merged" },
	{ 0x7e169de4, "drm_dp_pcon_is_frl_ready" },
	{ 0x893aa376, "drmm_cgroup_register_region" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x9f493aff, "drm_edid_connector_add_modes" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x87181816, "ttm_bo_populate" },
	{ 0xac88a6e1, "pci_release_resource" },
	{ 0xdd23071d, "drm_mode_config_cleanup" },
	{ 0x8c4acd9d, "drm_fb_helper_setcmap" },
	{ 0x521db17d, "__pm_runtime_idle" },
	{ 0x1057a279, "bsearch" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{  0x866f8, "drm_atomic_helper_cleanup_planes" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x90bf680, "sysfs_create_group" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x7aa650cb, "drm_dp_as_sdp_log" },
	{ 0xf748f55, "ttm_tt_init" },
	{ 0x22eb1d0e, "pci_disable_device" },
	{ 0xab575903, "drm_atomic_state_clear" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc7474803, "drm_crtc_set_max_vblank_count" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa4beb683, "drm_property_create_enum" },
	{ 0x5dc41b2f, "drm_crtc_wait_one_vblank" },
	{ 0x30aba1a2, "ttm_bo_kunmap" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0x75e1b8fb, "drm_plane_create_scaling_filter_property" },
	{ 0xf838d9cb, "pwm_apply_might_sleep" },
	{ 0x79cabeda, "drm_fb_helper_fill_info" },
	{ 0x3260216e, "drm_compat_ioctl" },
	{ 0x7df7d635, "pci_resize_resource" },
	{ 0xe53574d3, "drm_dp_downstream_max_bpc" },
	{ 0xb77aadbe, "drm_crtc_vblank_crtc" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0x3b698404, "drm_gem_ttm_mmap" },
	{ 0xc2510a91, "drm_vblank_work_flush_all" },
	{ 0xb83435fb, "ttm_bo_put" },
	{ 0x6c08360a, "drm_syncobj_add_point" },
	{ 0x9a823ca6, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x32dcb117, "drm_atomic_state_default_clear" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xc676811f, "drm_fb_helper_unprepare" },
	{ 0x323ba574, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xfa66fb77, "drm_suballoc_free" },
	{ 0x842c0e7, "bpf_trace_run5" },
	{ 0x3c802f88, "drm_gpuvm_resv_object_alloc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8f46bab7, "dma_unmap_sg_attrs" },
	{ 0x7b51b326, "drm_dp_pcon_frl_configure_1" },
	{ 0xb5e2c8fc, "dma_map_sgtable" },
	{ 0x24d273d1, "add_timer" },
	{ 0x646898ac, "drm_dp_mst_port_downstream_of_parent" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf62f726, "drm_dp_tunnel_atomic_set_stream_bw" },
	{ 0x8909379d, "drm_sched_resume_timeout" },
	{ 0x4feccce5, "bpf_trace_run1" },
	{ 0xd0877ac4, "rt_read_unlock" },
	{ 0xe5ea78cf, "backlight_device_register" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xc642e026, "drm_prime_gem_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xa745fac4, "dma_max_mapping_size" },
	{ 0x256ba06c, "drm_dp_dpcd_probe" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0xeecb5d43, "hrtimer_forward" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0x971edb19, "drm_exec_fini" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x323dd461, "cfb_imageblit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1f10c80e, "drm_dev_unplug" },
	{ 0x90b81e1a, "drm_sched_tdr_queue_imm" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x4e0b8b84, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xd78cfad4, "mipi_dsi_dcs_write_buffer" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf19909be, "__drm_printfn_coredump" },
	{ 0x96848186, "scnprintf" },
	{ 0xa71cfe4d, "drm_gpuva_link" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xdb7fa154, "pci_map_rom" },
	{ 0xc1adc5d1, "dma_resv_get_singleton" },
	{ 0x8a227329, "drm_sched_job_init" },
	{ 0xc5d6461c, "mmu_interval_read_begin" },
	{ 0x10b30224, "sysfs_create_file_ns" },
	{ 0x9ebf009f, "drm_hdcp_update_content_protection" },
	{ 0x407f5b5c, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0x151c43a5, "alloc_pages_noprof" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x22bd67db, "drm_vblank_init" },
	{ 0x1a1b4e13, "drm_connector_dynamic_init" },
	{ 0x509accd9, "drm_exec_cleanup" },
	{ 0x3494a4e3, "dma_set_coherent_mask" },
	{ 0xb5e585f, "drm_gpusvm_has_mapping" },
	{ 0xd06480ad, "idr_for_each" },
	{ 0xf6b8a63, "drm_dp_max_dprx_data_rate" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xb67ee289, "devm_ioremap_wc" },
	{ 0x94f8e30b, "drm_dp_mst_edid_read" },
	{ 0xf541f818, "auxiliary_device_init" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2fc73117, "devm_gpiod_get_index" },
	{ 0x2cd5b6c8, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x3cc36b9, "pm_runtime_set_autosuspend_delay" },
	{ 0x43ff3aed, "drm_gem_ttm_dumb_map_offset" },
	{ 0xb98e1f01, "drm_dp_mst_atomic_check_mgr" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd66f5be4, "pci_bus_read_config_word" },
	{ 0x8d377071, "dma_resv_init" },
	{ 0x7ac6190a, "idr_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdb1cb715, "drm_atomic_helper_setup_commit" },
	{ 0xa01dd48f, "drm_plane_cleanup" },
	{ 0xf1d3369f, "devm_hwmon_device_register_with_info" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb409cf6b, "__pci_register_driver" },
	{ 0xb9a6a93d, "drm_gpusvm_migrate_to_devmem" },
	{ 0x3f9255a5, "drm_connector_set_vrr_capable_property" },
	{ 0x5a08e995, "drm_dp_tunnel_available_bw" },
	{ 0x2251bc99, "drm_dp_tunnel_get" },
	{ 0xc9f156d2, "drm_av_sync_delay" },
	{ 0x3dc887bf, "drm_dp_bw_overhead" },
	{ 0xe9e43b48, "pci_enable_sriov" },
	{ 0x3b1885fc, "mipi_dsi_compression_mode" },
	{ 0x89cb6d35, "drm_sched_wqueue_start" },
	{ 0x45254100, "sysfs_remove_group" },
	{ 0x5ac51612, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x8ce37f7f, "drm_dp_mst_atomic_setup_commit" },
	{ 0x1e1ce324, "ww_mutex_lock" },
	{ 0x7dbc78f8, "simple_attr_release" },
	{ 0x379c2ec8, "drm_dp_read_downstream_info" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0x4faa3f4, "dma_fence_array_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc5a28c3b, "drm_dp_pcon_hdmi_link_mode" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0xf4f129b5, "__pm_runtime_set_status" },
	{ 0xb63329d0, "kobject_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xf89e5173, "ttm_lru_bulk_move_init" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x84ad49d5, "drm_encoder_init" },
	{ 0x5dbf2b1c, "dev_coredumpm_timeout" },
	{ 0xba8ed045, "seq_read" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0x3b337a, "drm_gpusvm_range_evict" },
	{ 0x1318a3b0, "drm_connector_attach_content_protection_property" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x59891a1d, "ttm_bo_vm_reserve" },
	{ 0xe73b990f, "drmm_kfree" },
	{ 0x2547a5db, "param_ops_uint" },
	{ 0x78bfee30, "drm_connector_init_with_ddc" },
	{ 0x273aae5c, "drm_dp_mst_get_port_malloc" },
	{ 0xf665747, "drm_sched_entity_fini" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x4556d345, "drm_dp_dual_mode_set_tmds_output" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x17de9695, "ttm_bo_validate" },
	{ 0xf6f29bff, "__drm_atomic_helper_crtc_state_reset" },
	{ 0x689cdbcc, "up_write" },
	{ 0x136f54f7, "drm_gpusvm_pagemap_ops_get" },
	{ 0x74514655, "mmu_interval_notifier_insert" },
	{ 0x40fe1e40, "drm_framebuffer_remove" },
	{ 0x3828e31c, "i2c_del_adapter" },
	{ 0xf3f4a1a1, "ttm_resource_manager_create_debugfs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe50080c8, "pci_disable_sriov" },
	{ 0x7ae9e7eb, "__drm_dev_dbg" },
	{ 0x1c04c959, "drm_helper_mode_fill_fb_struct" },
	{ 0xb81295ee, "drm_atomic_helper_swap_state" },
	{ 0x22808231, "drm_vblank_work_init" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xd3930e5c, "drm_gpuva_remove" },
	{ 0x60e7b1c, "hrtimer_setup" },
	{ 0x92997ed8, "_printk" },
	{ 0xedbd08f8, "__drm_atomic_helper_connector_reset" },
	{ 0x3b8158c4, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x8abd045a, "seq_buf_printf" },
	{ 0xcf32d975, "drm_dev_put" },
	{ 0x20f78d01, "remove_wait_queue" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x917e7c09, "drm_calc_timestamping_constants" },
	{ 0xf2924189, "pwm_get" },
	{ 0xdc8112d9, "drm_crtc_vblank_on" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xd5660acc, "__drm_printfn_line" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3577ac56, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0xb20600d7, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x336b1857, "drm_connector_cleanup" },
	{ 0xc424b4ba, "mempool_alloc_noprof" },
	{ 0xbb44bb21, "drm_gem_mmap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xaa66def6, "drm_gpusvm_devmem_init" },
	{ 0x82e9660d, "drm_crtc_from_index" },
	{ 0xc74e7009, "remap_pfn_range" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5dbb306, "drm_dp_set_subconnector_property" },
	{ 0x96344d92, "drm_kms_helper_poll_fini" },
	{ 0x5bcbf9bf, "down_write_killable" },
	{ 0x77bc13a0, "strim" },
	{ 0x754d539c, "strlen" },
	{ 0xba5188c9, "ttm_backup_bytes_avail" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xafa88b3d, "hdmi_infoframe_log" },
	{ 0xe4acfcd4, "drm_atomic_helper_update_plane" },
	{ 0x435dd75f, "drm_modeset_unlock" },
	{ 0xe988ff20, "drm_dp_read_sink_count" },
	{ 0x79c89a41, "drm_kms_helper_hotplug_event" },
	{ 0x1b41d34c, "drm_any_plane_has_format" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xa2bb3fa4, "drm_prime_pages_to_sg" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc499b313, "drm_mode_config_reset" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xe0b45b51, "fb_io_write" },
	{ 0x48751599, "drm_exec_init" },
	{ 0xc96d91df, "ttm_bo_move_accel_cleanup" },
	{ 0xc2c2f216, "drm_fb_helper_blank" },
	{ 0x68fb59ea, "shrinker_free" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9adfdb47, "drm_release_noglobal" },
	{ 0x72fd8d21, "i2c_transfer" },
	{ 0x5806bb97, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x98c2f89b, "pci_enable_device" },
	{ 0x6b7b61c9, "drm_atomic_set_fb_for_plane" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x535dac0b, "drm_gem_plane_helper_prepare_fb" },
	{ 0x3b2d2ae8, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6e659592, "drm_gpusvm_range_find" },
	{ 0x7cc2b261, "drm_dp_send_power_updown_phy" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x7c535535, "drm_kms_helper_poll_enable" },
	{ 0x1cc7bfb9, "drm_crtc_vblank_reset" },
	{ 0x12a7a127, "drm_dp_tunnel_bw_alloc_is_enabled" },
	{ 0x976ba9b, "drm_edid_print_product_id" },
	{ 0x62f70d5f, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x3e741fa6, "vga_get" },
	{ 0xcbf84d06, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x8dfccebb, "drm_connector_init" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0x25be9de9, "drm_dp_remove_payload_part1" },
	{ 0xf48bbedf, "drm_dp_dsc_sink_bpp_incr" },
	{ 0x8baff6c1, "sysfs_remove_files" },
	{ 0x603a853a, "drm_dp_add_payload_part1" },
	{ 0xf326fb95, "cpu_latency_qos_update_request" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf5271db, "drm_connector_list_iter_begin" },
	{ 0x97f0d25f, "drm_mode_create_dp_colorspace_property" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x29ea7087, "drm_dp_mst_topology_mgr_resume" },
	{ 0x8a415115, "kunit_hooks" },
	{ 0xe091c50c, "drm_suballoc_new" },
	{ 0x500966a, "drm_dp_downstream_debug" },
	{ 0x6051094e, "drm_dp_tunnel_handle_irq" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x5bc7d3d0, "sysfs_remove_file_ns" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0xd36312b4, "drm_fb_helper_damage_area" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x292ba2c, "drm_helper_move_panel_connectors_to_head" },
	{ 0x9f7755ed, "drm_sched_job_add_dependency" },
	{ 0xe65a09ba, "__pm_runtime_use_autosuspend" },
	{ 0x60d3d73a, "aperture_remove_conflicting_pci_devices" },
	{ 0x2ca7c89b, "drm_suballoc_dump_debug_info" },
	{ 0xd10635c8, "mipi_dsi_dcs_nop" },
	{ 0x1634a545, "drm_suballoc_manager_fini" },
	{ 0xe0c170a2, "drm_edp_backlight_set_level" },
	{ 0xaf24444, "drm_gpusvm_fini" },
	{ 0xdb67390a, "drm_dp_set_phy_test_pattern" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xe11d4ad0, "__mmap_lock_do_trace_released" },
	{ 0xe6a263d8, "debugfs_create_str" },
	{ 0xec7b6e14, "drm_connector_set_link_status_property" },
	{ 0x4de3aa64, "drm_gpusvm_range_set_unmapped" },
	{ 0xed4bd64e, "drm_crtc_cleanup" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2963d211, "drm_edid_read_ddc" },
	{ 0xd8d1c4ff, "pci_pr3_present" },
	{ 0xd263035b, "__devm_release_region" },
	{ 0x51fe5de, "ttm_bo_lru_cursor_init" },
	{ 0x1d1dcfc4, "dma_fence_array_create" },
	{ 0x46cbf2d5, "ttm_pool_alloc" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x37999c1b, "pci_irq_vector" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0x4152e6cd, "dma_fence_chain_init" },
	{ 0x9386a8ff, "drm_plane_create_zpos_immutable_property" },
	{ 0xb970a4b7, "drm_fb_helper_set_par" },
	{ 0xa71fab7e, "proc_dointvec_minmax" },
	{ 0x9a00b61f, "trace_output_call" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xfb8cf44a, "ttm_bo_lru_cursor_first" },
	{ 0x5fe6a315, "drm_mode_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x98f5030f, "drm_dp_lttpr_wake_timeout_setup" },
	{ 0xeadaf44a, "pm_runtime_get_if_active" },
	{ 0x92c5db4c, "drm_crtc_vblank_put" },
	{ 0x199491e8, "drm_client_dev_resume" },
	{ 0x8bb92a6c, "drm_dp_read_clock_recovery_delay" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x3440dc68, "drm_ioctl" },
	{ 0x6b79dc61, "drm_dp_tunnel_mgr_create" },
	{ 0xced2513d, "handle_simple_irq" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd1149ebe, "simple_attr_write" },
	{ 0x2333bb55, "drm_mode_duplicate" },
	{ 0x48dd77f9, "drm_modeset_lock_single_interruptible" },
	{ 0x315bb69c, "drm_plane_create_alpha_property" },
	{ 0xe5f243f3, "ttm_lru_bulk_move_fini" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0x12c52ff9, "drm_dp_tunnel_update_state" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0xb9678555, "simple_open" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3915c02c, "drm_object_attach_property" },
	{ 0xde40d046, "device_link_remove" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_display_helper,drm_kms_helper,ttm,fb,drm_gpusvm,drm_gpuvm,gpu-sched,video,drm_buddy,drm_suballoc_helper,drm_exec,fb_io_fops,i2c-algo-bit,drm_client_lib,cfbcopyarea,cfbfillrect,drm_ttm_helper,cfbimgblt");

MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ADsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ABsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D67sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B640sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BFsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BBsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BDsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00006420sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E202sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E210sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E211sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E212sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E215sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E216sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B080sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B081sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B082sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B083sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B084sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B085sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B086sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B087sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B08Fsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B090sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B0A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B0B0sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "AC7087BE3AD745D351330DE");
MODULE_INFO(rhelversion, "10.1");
