#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x1d6749f8, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xa359d9db, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x4baaf2d1, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x010640df, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xc8a4cd6e, "");
SYMBOL_CRC(sas_resume_ha, 0xd460687b, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x8d180a72, "");
SYMBOL_CRC(sas_suspend_ha, 0x454f3ad1, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xaf606605, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xdada9bb5, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xc1da14c0, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x33b66fe9, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xcac8824a, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x1bfd4f86, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x275cb5a3, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xdb299efb, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x89a6aac5, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x1c283e1c, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xed22926c, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xe9dce96b, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x856b89f2, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x54735355, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x98fffa67, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xf919cfc0, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x29fc187a, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xb731c324, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x70fd5b88, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x0e6caa3a, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xee63adf6, "_gpl");
SYMBOL_CRC(sas_query_task, 0x0b35bdcc, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xf8d22101, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xd0319daf, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0xf3ce6acc, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xb5878305, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x18cab953, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x491e7e21, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x7bccc345, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xa095cb1f, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x580b8d0c, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x68992788, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x0d7d11e0, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93d9241c, "ata_qc_complete" },
	{ 0xe6c2f556, "ata_sas_scsi_ioctl" },
	{ 0x1bd8c846, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4993c835, "sas_rphy_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf5a0022a, "bsg_job_done" },
	{ 0xae630d7f, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x85380cb3, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x224bb506, "scsi_schedule_eh" },
	{ 0xe6f58434, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xaea947d1, "ata_ncq_prio_enabled" },
	{ 0x88fbe4d1, "ata_host_init" },
	{ 0x66c70f5e, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b9349a3, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb2ee6023, "sas_port_get_phy" },
	{ 0xb6274cfb, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x5404fe83, "get_device" },
	{ 0x1970aee1, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb960c34c, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8510e9b1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x193e83c1, "sas_phy_free" },
	{ 0x39ea9406, "scsi_eh_finish_cmd" },
	{ 0x69a1c8e4, "ata_port_schedule_eh" },
	{ 0xc146e6a4, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2367aacb, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xb1856997, "sas_port_mark_backlink" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0xf9784725, "ata_link_abort" },
	{ 0x232e9ea, "ata_std_qc_defer" },
	{ 0xfb98bb5a, "ata_scsi_port_error_handler" },
	{ 0x5255c278, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a11d3e9, "ata_port_probe" },
	{ 0xf524411, "ata_std_error_handler" },
	{ 0xe8f0646d, "ata_port_free" },
	{ 0x90edbeb1, "sas_end_device_alloc" },
	{ 0xc9c1cea9, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x319d86b8, "sas_read_port_mode_page" },
	{ 0x95fbebd5, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf599391f, "_dev_warn" },
	{ 0xf5c21120, "sas_rphy_delete" },
	{ 0x1f862cb7, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe0fd0c5b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x10fc6229, "scsi_host_busy" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x55eaa6b1, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28bee14, "ata_sas_port_suspend" },
	{ 0x9e6138de, "sas_rphy_add" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0xd30b68a9, "sas_port_delete_phy" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x68eb4fc3, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9b75e32, "sas_port_add_phy" },
	{ 0xa8e3aac0, "ata_scsi_cmd_error_handler" },
	{ 0xa0ba090b, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xf24df4d7, "ata_sas_sdev_configure" },
	{ 0x43d3514c, "blk_mq_tagset_busy_iter" },
	{ 0x3c58452e, "scsi_done" },
	{ 0xf2d94390, "scsi_unblock_requests" },
	{ 0xc33b9277, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xde931bab, "ata_host_put" },
	{ 0x6be2f62a, "sas_port_free" },
	{ 0x59611697, "ata_std_sched_eh" },
	{ 0xbd1a29eb, "ata_port_alloc" },
	{ 0x1c92810f, "scsi_block_requests" },
	{ 0xed21c9b, "blk_abort_request" },
	{ 0xd72340f2, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x1f9f0925, "sas_remove_children" },
	{ 0x55259446, "scsi_change_queue_depth" },
	{ 0x521db17d, "__pm_runtime_idle" },
	{ 0x349a6d2, "ata_port_wait_eh" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");
MODULE_INFO(rhelversion, "10.1");
