#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xae0a9961, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xf2f7c40d, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x2b6c9ceb, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x7e45f7e7, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xa1222003, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x80b0635e, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xf9110f62, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xdefbcd52, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x302534df, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xcfff8c08, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x37ab0c12, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xb1a23d0f, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x42e2ed28, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x0db14a43, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xf7c68fda, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x130cf4ec, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x54692da6, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xcce40127, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xafc4b42e, "");
SYMBOL_CRC(vhost_chr_poll, 0x368ba548, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x049cd303, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x8f6ae40e, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xdb7449a5, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x43459155, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xbcc8f61e, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xe1619388, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x9bc5aac1, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x3e2afb72, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x3b3e97a7, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xf1dce3ff, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x91aa8b8f, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xb5baa4ed, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x57fbf2d2, "_gpl");
SYMBOL_CRC(vhost_signal, 0x1061801b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xa7a9a47c, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x0bcd5bc2, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x9163462e, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x33b0d664, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x09dc792c, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x87b0bb6e, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x02c93dcb, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x0ced7eed, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xd9bb5127, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ab31c28, "add_wait_queue" },
	{ 0x20f78d01, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0x65a8b7ad, "mmput" },
	{ 0xaa7b910e, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x879e1a95, "unpin_user_pages_dirty_lock" },
	{ 0xc1837c3a, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xbb91fee3, "fput" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0xf214365, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2996c17b, "iov_iter_init" },
	{ 0x17092e43, "_copy_from_iter" },
	{ 0x540bd768, "iov_iter_revert" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc6fbe495, "_copy_to_iter" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xae3ebfaa, "prepare_to_wait" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xad204f3, "get_task_mm" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0xd7659673, "eventfd_fget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x9373ae39, "iov_iter_advance" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x30b91e2c, "param_ops_ushort" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "C4F23D70DE2A05B29BE97B0");
MODULE_INFO(rhelversion, "10.1");
