#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(framebuffer_alloc, "", "");
KSYMTAB_FUNC(framebuffer_release, "", "");
KSYMTAB_FUNC(fb_get_color_depth, "", "");
KSYMTAB_FUNC(fb_pad_aligned_buffer, "", "");
KSYMTAB_FUNC(fb_pad_unaligned_buffer, "", "");
KSYMTAB_FUNC(fb_get_buffer_offset, "", "");
KSYMTAB_FUNC(fb_pan_display, "", "");
KSYMTAB_FUNC(fb_set_var, "", "");
KSYMTAB_FUNC(fb_blank, "", "");
KSYMTAB_FUNC(register_framebuffer, "", "");
KSYMTAB_FUNC(unregister_framebuffer, "", "");
KSYMTAB_FUNC(devm_register_framebuffer, "", "");
KSYMTAB_FUNC(fb_set_suspend, "", "");
KSYMTAB_FUNC(fb_modesetting_disabled, "", "");
KSYMTAB_FUNC(fb_alloc_cmap, "", "");
KSYMTAB_FUNC(fb_dealloc_cmap, "", "");
KSYMTAB_FUNC(fb_copy_cmap, "", "");
KSYMTAB_FUNC(fb_set_cmap, "", "");
KSYMTAB_FUNC(fb_default_cmap, "", "");
KSYMTAB_FUNC(fb_invert_cmaps, "", "");
KSYMTAB_FUNC(fb_destroy_modelist, "_gpl", "");
KSYMTAB_FUNC(fb_find_best_display, "", "");
KSYMTAB_FUNC(fb_videomode_to_var, "", "");
KSYMTAB_FUNC(fb_var_to_videomode, "", "");
KSYMTAB_FUNC(fb_mode_is_equal, "", "");
KSYMTAB_FUNC(fb_add_videomode, "", "");
KSYMTAB_FUNC(fb_match_mode, "", "");
KSYMTAB_FUNC(fb_find_best_mode, "", "");
KSYMTAB_FUNC(fb_find_nearest_mode, "", "");
KSYMTAB_FUNC(fb_videomode_to_modelist, "", "");
KSYMTAB_FUNC(fb_find_mode, "", "");
KSYMTAB_FUNC(fb_find_mode_cvt, "", "");
KSYMTAB_FUNC(fb_get_options, "", "");
KSYMTAB_FUNC(fb_firmware_edid, "", "");
KSYMTAB_FUNC(fb_parse_edid, "", "");
KSYMTAB_FUNC(fb_edid_to_monspecs, "", "");
KSYMTAB_FUNC(fb_get_mode, "", "");
KSYMTAB_FUNC(fb_validate_mode, "", "");
KSYMTAB_FUNC(fb_destroy_modedb, "", "");
KSYMTAB_FUNC(fb_deferred_io_fsync, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_mmap, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_init, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_open, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_release, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_cleanup, "_gpl", "");
KSYMTAB_FUNC(fbcon_update_vcs, "", "");
KSYMTAB_FUNC(fbcon_modechange_possible, "_gpl", "");

SYMBOL_CRC(framebuffer_alloc, 0x927cfb1c, "");
SYMBOL_CRC(framebuffer_release, 0xb4284b7a, "");
SYMBOL_CRC(fb_get_color_depth, 0x6513a3fa, "");
SYMBOL_CRC(fb_pad_aligned_buffer, 0x61ea189b, "");
SYMBOL_CRC(fb_pad_unaligned_buffer, 0x42f1b900, "");
SYMBOL_CRC(fb_get_buffer_offset, 0x197bee53, "");
SYMBOL_CRC(fb_pan_display, 0x4c746928, "");
SYMBOL_CRC(fb_set_var, 0x51a0d1f6, "");
SYMBOL_CRC(fb_blank, 0xe1d9a15e, "");
SYMBOL_CRC(register_framebuffer, 0x092236cb, "");
SYMBOL_CRC(unregister_framebuffer, 0x8b851e62, "");
SYMBOL_CRC(devm_register_framebuffer, 0xa9af7a32, "");
SYMBOL_CRC(fb_set_suspend, 0x51dc2d47, "");
SYMBOL_CRC(fb_modesetting_disabled, 0xae1d2c5e, "");
SYMBOL_CRC(fb_alloc_cmap, 0x07a890c8, "");
SYMBOL_CRC(fb_dealloc_cmap, 0x098b71c6, "");
SYMBOL_CRC(fb_copy_cmap, 0x1dd571e6, "");
SYMBOL_CRC(fb_set_cmap, 0x9b0f0c3d, "");
SYMBOL_CRC(fb_default_cmap, 0xff6878cf, "");
SYMBOL_CRC(fb_invert_cmaps, 0xf195c682, "");
SYMBOL_CRC(fb_destroy_modelist, 0xc9561772, "_gpl");
SYMBOL_CRC(fb_find_best_display, 0xfdcc8a0e, "");
SYMBOL_CRC(fb_videomode_to_var, 0x12f6f69c, "");
SYMBOL_CRC(fb_var_to_videomode, 0x96c17136, "");
SYMBOL_CRC(fb_mode_is_equal, 0xd406d266, "");
SYMBOL_CRC(fb_add_videomode, 0xee58e970, "");
SYMBOL_CRC(fb_match_mode, 0xdef7c893, "");
SYMBOL_CRC(fb_find_best_mode, 0xce4cdb8e, "");
SYMBOL_CRC(fb_find_nearest_mode, 0x20d65e40, "");
SYMBOL_CRC(fb_videomode_to_modelist, 0x50a4698c, "");
SYMBOL_CRC(fb_find_mode, 0xa273907b, "");
SYMBOL_CRC(fb_find_mode_cvt, 0xf93fd09c, "");
SYMBOL_CRC(fb_get_options, 0xab781570, "");
SYMBOL_CRC(fb_firmware_edid, 0x2baf79dd, "");
SYMBOL_CRC(fb_parse_edid, 0x4351577a, "");
SYMBOL_CRC(fb_edid_to_monspecs, 0x0397edd5, "");
SYMBOL_CRC(fb_get_mode, 0x9243f0d4, "");
SYMBOL_CRC(fb_validate_mode, 0xcec7e5ed, "");
SYMBOL_CRC(fb_destroy_modedb, 0xc07b0863, "");
SYMBOL_CRC(fb_deferred_io_fsync, 0x134ea46b, "_gpl");
SYMBOL_CRC(fb_deferred_io_mmap, 0xf79bc6f7, "_gpl");
SYMBOL_CRC(fb_deferred_io_init, 0xb4e00dae, "_gpl");
SYMBOL_CRC(fb_deferred_io_open, 0xcd1c67a5, "_gpl");
SYMBOL_CRC(fb_deferred_io_release, 0x3e737496, "_gpl");
SYMBOL_CRC(fb_deferred_io_cleanup, 0x6f92abe1, "_gpl");
SYMBOL_CRC(fbcon_update_vcs, 0x43a18c90, "");
SYMBOL_CRC(fbcon_modechange_possible, 0x94a9aa5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c78a99, "do_blank_screen" },
	{ 0xb423dba1, "console_blanked" },
	{ 0xea7daa08, "__video_get_options" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2eedaf9d, "con_set_default_unimap" },
	{ 0x326fb94d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3494c155, "video_is_primary_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x950ee7d1, "fb_find_logo" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2abbfcb, "folio_unlock" },
	{ 0x5dcff470, "vmalloc_to_page" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x600683d3, "do_unblank_screen" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x6d5b0a6a, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x3da06efc, "update_region" },
	{ 0x61754dd5, "noop_dirty_folio" },
	{ 0x4e6e8ea7, "fg_console" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x944a564d, "is_console_locked" },
	{ 0x5404fe83, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e3407b, "con_copy_unimap" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37d1a087, "do_take_over_console" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x8510e9b1, "put_device" },
	{ 0x2592fc6c, "console_printk" },
	{ 0xdf1f7dbb, "__vc_resize" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x8f439d14, "module_put" },
	{ 0xe9433563, "file_write_and_wait_range" },
	{ 0x64064a3b, "device_create_file" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x47604980, "con_is_bound" },
	{ 0xff66aab6, "down_write" },
	{ 0x689cdbcc, "up_write" },
	{ 0xbef43296, "console_conditional_schedule" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4410a090, "device_create" },
	{ 0x95e2ab44, "class_create" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd3f66eb0, "file_update_time" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x863a276a, "color_table" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xc8f53706, "folio_mkclean" },
	{ 0x2d4daef5, "find_font" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9e3927bb, "get_default_font" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe6184ea, "redraw_screen" },
	{ 0xeef6385f, "pm_vt_switch_required" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc631580a, "console_unlock" },
	{ 0x99eca44d, "vc_cons" },
	{ 0x9fce80db, "fb_notifier_call_chain" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0xa83bb9f, "con_is_visible" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdfdb8af9, "pm_vt_switch_unregister" },
	{ 0x5a96ab77, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5ff97217, "__folio_lock" },
	{ 0x49c2b779, "do_unregister_con_driver" },
	{ 0x98e508ef, "ignore_console_lock_warning" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8c314010, "do_unbind_con_driver" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xd0c971a2, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "63952091387FC8B16BB8FF9");
MODULE_INFO(rhelversion, "10.1");
