#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xaab6a795, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x6430eaa7, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x99b43098, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x5b89e3f0, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xd7571f76, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xee1c56e2, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x4862b9fb, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xa58fc526, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x33198da9, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x97de7355, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf6ae7c8, "dst_cache_set_ip4" },
	{ 0x5ee00583, "kernel_bind" },
	{ 0x3c1a9ebf, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x386e5a09, "netdev_warn" },
	{ 0xe22d9fb5, "udp_tunnel_nic_ops" },
	{ 0xddb16bec, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb78a2983, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xe90304cc, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4a2dbd46, "iptunnel_xmit" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4f14a52c, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc097bf68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23c006ba, "__dynamic_netdev_dbg" },
	{ 0xebfe9ade, "dst_cache_get_ip4" },
	{ 0xda26150e, "sock_create_kern" },
	{ 0xdf417f25, "call_netdevice_notifiers" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa558dd4d, "metadata_dst_alloc" },
	{ 0x8df587f1, "dst_release" },
	{ 0xb17f9a89, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaa5d1ba0, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");
MODULE_INFO(rhelversion, "10.1");
