#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x8ea6856d, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xa0bb7d84, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x5cbb635f, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x69b06855, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xc958e527, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe6ef89b2, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xfc2e07c8, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x8f19f0c7, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xf992d8f4, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x6493056a, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xed924a49, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8b49b9d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ab99014, "rtnl_link_unregister" },
	{ 0xfc8b3778, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4cb34413, "init_net" },
	{ 0x66f2d8a6, "alloc_netdev_mqs" },
	{ 0x6d2de1f6, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x71ea51b, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbb1f89d5, "__xfrm_policy_check" },
	{ 0x5d9cead1, "__skb_ext_del" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xc18aebbd, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xe3fae4e9, "netdev_state_change" },
	{ 0x2b1c061b, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe530abb5, "make_kuid" },
	{ 0x481c898f, "ip6_redirect" },
	{ 0x9e1bf4a0, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa667ae0c, "ip6_route_output_flags" },
	{ 0x192b5944, "xfrm_lookup" },
	{ 0x5e1a0cd7, "ipv4_mtu" },
	{ 0x6b56cf9e, "skb_scrub_packet" },
	{ 0x90ba1165, "skb_realloc_headroom" },
	{ 0x25e7e349, "skb_set_owner_w" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xc02b60eb, "ipv6_push_frag_opts" },
	{ 0xea9a004, "skb_push" },
	{ 0x579d5499, "dst_cache_get" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0x7421c5a5, "dst_cache_set_ip6" },
	{ 0x70aa570, "ipv6_dev_get_saddr" },
	{ 0x8e69f641, "ip6_dst_hoplimit" },
	{ 0xbd2ffe0c, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa3c6fc1e, "iptunnel_handle_offloads" },
	{ 0xb362ed66, "icmpv6_ndo_send" },
	{ 0x589614c8, "icmp_ndo_send" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xf4e2e3c0, "skb_clone" },
	{ 0xd4f8e22b, "skb_pull" },
	{ 0xd60931f7, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf30ffe2e, "gro_cells_receive" },
	{ 0xf46e447f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x91148598, "__iptunnel_pull_header" },
	{ 0xa558dd4d, "metadata_dst_alloc" },
	{ 0xddb16bec, "ip_route_output_flow" },
	{ 0xaa2115f0, "ip_route_input_noref" },
	{ 0x9101dd22, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x255bd20a, "dev_get_tstats64" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe870bb55, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb6fc5399, "ipv6_chk_addr_and_flags" },
	{ 0x7067b75, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x5864afd2, "register_pernet_device" },
	{ 0x7ae3452e, "xfrm6_tunnel_register" },
	{ 0xf848b499, "rtnl_link_register" },
	{ 0x2f68ea0b, "xfrm6_tunnel_deregister" },
	{ 0xbb2ed4da, "unregister_pernet_device" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3737ec44, "unregister_netdevice_queue" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0x2afb8c2a, "rt6_lookup" },
	{ 0x8df587f1, "dst_release" },
	{ 0x1510d979, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x897a642b, "gro_cells_init" },
	{ 0xd6fb1323, "ip_tunnel_header_ops" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "C6C9DEA7EF8FDC7B61ACDDA");
MODULE_INFO(rhelversion, "10.1");
