#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x6396cc93, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xad9f4d6b, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x346b20fb, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x49d1e7dd, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x98bda514, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x4090c193, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xf4653f82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38a59b71, "nf_ct_expect_init" },
	{ 0x8aaaa40a, "nf_ct_expect_related_report" },
	{ 0xe931dbe1, "nf_ct_expect_put" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x69c2415a, "nf_ipv6_ops" },
	{ 0x8df587f1, "dst_release" },
	{ 0xcff5cff8, "nf_ip_route" },
	{ 0xb7ce6d81, "nf_ct_unexpect_related" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbf7cbe11, "nf_conntrack_expect_lock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0xf9db9924, "nf_ct_remove_expect" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7d79fe96, "__nf_ct_refresh_acct" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x2547a5db, "param_ops_uint" },
	{ 0x8b01096b, "param_array_ops" },
	{ 0x30b91e2c, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5084c9d6, "nf_ct_helper_init" },
	{ 0xa1932566, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xc4063b7c, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x96270cb4, "nf_ct_helper_log" },
	{ 0xcbc922db, "__nf_ct_expect_find" },
	{ 0x3f302104, "nf_ct_expect_alloc" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "16F54D87A0A64D5CA4D3C7D");
MODULE_INFO(rhelversion, "10.1");
