#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x2f59547f, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x2db6001f, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x414c8706, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xbde16976, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x0da19072, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xce4fa10b, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x36303d1c, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x5ef0f87b, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x2c7392af, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xa16f0f77, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x62813e0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72e036ce, "unregister_pernet_subsys" },
	{ 0x8c2e91ed, "nf_register_net_hooks" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xb9053b22, "seq_write" },
	{ 0x2af9c1ae, "nf_unregister_net_hooks" },
	{ 0x9feff7c4, "skb_ensure_writable" },
	{ 0x6bd90395, "inet_proto_csum_replace4" },
	{ 0x71b95986, "ip_route_me_harder" },
	{ 0x919eb54f, "ip_local_out" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xffe2bdc9, "security_skb_classify_flow" },
	{ 0x69c2415a, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x192b5944, "xfrm_lookup" },
	{ 0xfc8b3778, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x52aab47e, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xffb6e6af, "nf_ct_tmpl_alloc" },
	{ 0x71772ab9, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdcaa30ac, "proc_create_net_data" },
	{ 0xdf24ba20, "nf_ct_tmpl_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x3264126c, "__alloc_skb" },
	{ 0x2d782fab, "skb_put" },
	{ 0x79fc5e5f, "ipv6_skip_exthdr" },
	{ 0x97c89434, "nf_ct_seqadj_init" },
	{ 0x296c6c23, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x91aa4dc6, "register_pernet_subsys" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");
MODULE_INFO(rhelversion, "10.1");
