#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x6d60c56f, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x6ab2b0c7, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xcf552938, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58c15cdb, "skb_free_datagram" },
	{ 0xc9d811e6, "sock_queue_rcv_skb_reason" },
	{ 0x1f265cea, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0xbdb45b71, "radix_tree_insert" },
	{ 0x2d782fab, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd00fbf4, "radix_tree_lookup" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0x5ee00583, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x59cb2997, "__tracepoint_sk_data_ready" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x7ca98339, "__module_get" },
	{ 0xd1eab655, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa2b7c85b, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe4dc49e, "sk_error_report" },
	{ 0xeb50ff27, "skb_queue_purge_reason" },
	{ 0x9c5746cc, "radix_tree_iter_delete" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x78cda74f, "proto_unregister" },
	{ 0x9595b45, "sock_register" },
	{ 0xe0519b9d, "datagram_poll" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3264126c, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0xcaa2fd3d, "rt_write_unlock" },
	{ 0xa56d2fde, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8f439d14, "module_put" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0xe0860579, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x4cb34413, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x35e36a2e, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xbb05504b, "__SCK__tp_func_sk_data_ready" },
	{ 0xcf4c4081, "kernel_getsockname" },
	{ 0x45290e2e, "do_wait_intr_irq" },
	{ 0x4b1bba73, "sk_free" },
	{ 0x9daa6cdd, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xea9a004, "skb_push" },
	{ 0xab35b7a, "sock_no_listen" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x302266c7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x40a90015, "skb_copy_datagram_iter" },
	{ 0x5be68f25, "sk_alloc" },
	{ 0xcf2c00c, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x390afdd9, "sock_no_mmap" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0xd0c52bda, "__netdev_alloc_skb" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x62de3af3, "__xa_insert" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0x25e7e349, "skb_set_owner_w" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xda26150e, "sock_create_kern" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0x269a2632, "skb_recv_datagram" },
	{ 0x90ad6ed5, "sock_alloc_send_pskb" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4c2208d8, "xa_store" },
	{ 0x515faece, "rt_write_lock" },
	{ 0x17092e43, "_copy_from_iter" },
	{ 0xb17f9a89, "sock_release" },
	{ 0x985b9569, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x540bd768, "iov_iter_revert" },
	{ 0xdfcbd30b, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xe4e03bf7, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x6c66cfe6, "release_sock" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");
MODULE_INFO(rhelversion, "10.1");
