#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xa599c720, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x7246b8ad, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x85ed93c0, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xaa2079f2, "");
SYMBOL_CRC(gss_mech_put, 0x0be594be, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x689f1c6a, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x8650ecab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0b3f374, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x326fb94d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x904fe231, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xaa1ad61d, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0x5aa4c73e, "xdr_stream_decode_opaque_auth" },
	{ 0x2547a5db, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8a1fd56, "xdr_write_pages" },
	{ 0x70753da2, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x137fc466, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac081d19, "xdr_inline_decode" },
	{ 0x48e7efcf, "cache_create_net" },
	{ 0xc5801231, "rpcauth_destroy_credcache" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x6d873d72, "bpf_trace_run6" },
	{ 0x1befac93, "rpc_net_ns" },
	{ 0x7fadcdc6, "read_bytes_from_xdr_buf" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x9f52c3f5, "rpc_wake_up" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe983cd4e, "sunrpc_cache_lookup_rcu" },
	{ 0xae3ebfaa, "prepare_to_wait" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x1ec6948c, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x833c5ade, "xdr_truncate_decode" },
	{ 0x8abb42a3, "rpcauth_unregister" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xc28dec9c, "__xdr_commit_encode" },
	{ 0x7ca98339, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x122e2342, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0030435, "__put_cred" },
	{ 0x91aa4dc6, "register_pernet_subsys" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5d562723, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c76c86d, "rpc_release_client" },
	{ 0x4b4d9c55, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7bc10888, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8befc271, "svc_auth_register" },
	{ 0x5e2add16, "xdr_stream_encode_opaque_auth" },
	{ 0xe530abb5, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x41fe095, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x87eb932e, "__free_pages" },
	{ 0xb0bc2dd3, "rpc_pipe_generic_upcall" },
	{ 0x8f439d14, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x13bfb8d8, "cache_unregister_net" },
	{ 0xa5418e91, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fd882e9, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xd29a3b4e, "rpcauth_init_credcache" },
	{ 0xebd2a0c3, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x585230ba, "xdr_init_decode" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0x53fec9f9, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9a0b2506, "__put_devmap_managed_folio_refs" },
	{ 0xef23f016, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x353ca643, "rpc_create" },
	{ 0x4feccce5, "bpf_trace_run1" },
	{ 0xd56845b9, "rpc_call_sync" },
	{ 0xcc0254bc, "from_kuid" },
	{ 0x72e036ce, "unregister_pernet_subsys" },
	{ 0x9184f908, "rpc_queue_upcall" },
	{ 0x76e4b714, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd6e29c1b, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3b6bfe9e, "svcauth_unix_set_client" },
	{ 0x214dd18a, "xdr_buf_subsegment" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xdb3a0104, "make_kgid" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xdd0876f8, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x851b8361, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2501c46e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0xa829ac30, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x82d817a4, "rpc_mkpipe_dentry" },
	{ 0xc66e917f, "rpc_mkpipe_data" },
	{ 0xe6054321, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x3949654f, "cache_register_net" },
	{ 0xc2a09019, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8a4cde5e, "xdr_inline_pages" },
	{ 0x2dcc5e7a, "__folio_put" },
	{ 0x52aab47e, "remove_proc_entry" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x7ac9b512, "rpc_init_wait_queue" },
	{ 0x5348ae44, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x151c43a5, "alloc_pages_noprof" },
	{ 0x3d969b27, "rpc_unlink" },
	{ 0xefe38ab3, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x34c18799, "from_kuid_munged" },
	{ 0x1eb9debe, "rpcauth_init_cred" },
	{ 0xa00270d1, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xef445868, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xd0a1311d, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc5eb546f, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xf7670859, "sunrpc_cache_update" },
	{ 0xc6f9e20d, "xdr_truncate_encode" },
	{ 0x35183966, "rpc_destroy_wait_queue" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1586f2bc, "auth_domain_put" },
	{ 0xede34bd, "rpcauth_unwrap_resp_decode" },
	{ 0x279f004a, "rpcauth_register" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");
MODULE_INFO(rhelversion, "10.1");
