#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x21f4075d, "");
SYMBOL_CRC(snd_pcm_new, 0x589ddd83, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x1c01610a, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xa3b5d7cb, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x0bdb6379, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x0b921856, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x5dcda578, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xb27f2a5b, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xfb8aaea6, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x44777e35, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x64342d65, "");
SYMBOL_CRC(snd_pcm_stop, 0xd5686ed6, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xf173c999, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x9b086354, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xeabb2fd8, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x2359d87c, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x00d3fc6a, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x242a09fc, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x8e087fd6, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x3bd42d42, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xf36eb843, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x08832a2d, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xe530f6b1, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x00c123eb, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x453063bc, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x520cc2d0, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xefbe8c24, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xbfbc0f91, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x655b19af, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xce1ce691, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0xb77eec56, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xd306b2c0, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x951ca994, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x589d554a, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x4fd47c40, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0xfc90ed2d, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x98e759e0, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x46a68c6b, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x8b8129e7, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x803853d3, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xf3d1844a, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x5ef09d0c, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x42867477, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x6421b5b9, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x981884db, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x23b5ba5c, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x7556a60e, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x9fed990b, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x6dea5de1, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xafefc286, "");
SYMBOL_CRC(snd_dma_free_pages, 0x1498be34, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x55cafddb, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xf517d3f0, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x281b76f6, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x1ab38e47, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xaa661380, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0xdbd17810, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x7ece41ed, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x93e18620, "dma_can_mmap" },
	{ 0x326fb94d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6fbe495, "_copy_to_iter" },
	{ 0x425d1046, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6d3403b6, "snd_info_create_module_entry" },
	{ 0xa75e6cf5, "snd_ctl_unregister_ioctl_compat" },
	{ 0x269d94cd, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x3d402388, "snd_ctl_add" },
	{ 0x5dcff470, "vmalloc_to_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4ecb6276, "snd_timer_notify" },
	{ 0x5288fb9e, "snd_ctl_get_preferred_subdevice" },
	{ 0x1fffae53, "dma_vunmap_noncontiguous" },
	{ 0x6752164a, "gen_pool_dma_alloc_align" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x9052a229, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x8e231923, "dma_unmap_page_attrs" },
	{ 0xaacadeaf, "dma_mmap_pages" },
	{ 0xc5e5df66, "__dma_need_sync" },
	{ 0xf35f0e77, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x66b9eead, "snd_timer_interrupt" },
	{ 0x5c30fc25, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc74e7009, "remap_pfn_range" },
	{ 0x82915d01, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xcd0e8d5e, "cpu_latency_qos_request_active" },
	{ 0x4ab31c28, "add_wait_queue" },
	{ 0xadf2b5fc, "snd_fasync_helper" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xce81e039, "import_ubuf" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0xac92f73f, "snd_ctl_remove" },
	{ 0x3ad90291, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5aa5609, "dma_map_page_attrs" },
	{ 0x1f92ed77, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4fdc2216, "dma_alloc_pages" },
	{ 0x77fc2bcc, "rt_spin_trylock" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8510e9b1, "put_device" },
	{ 0xbe09b928, "snd_ctl_register_ioctl" },
	{ 0xc6d99763, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x8f439d14, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x78973217, "__dma_sync_single_for_cpu" },
	{ 0xbb91fee3, "fput" },
	{ 0xff66aab6, "down_write" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x689cdbcc, "up_write" },
	{ 0x823a89c9, "dma_vmap_noncontiguous" },
	{ 0x9286f512, "__dma_sync_sg_for_device" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x3ec6ae03, "dma_alloc_attrs" },
	{ 0xe9259870, "__devres_alloc_node" },
	{ 0x3b6d92a, "__dma_sync_sg_for_cpu" },
	{ 0x48106c0e, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5b77f87e, "vmap" },
	{ 0x34d416c8, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xb5dcb0d3, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6353872, "snd_timer_new" },
	{ 0xe362fdb7, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed96417f, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x7ab81d7a, "snd_ctl_unregister_ioctl" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2501c46e, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9e6cc01, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfd70fb38, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0x7e2c3a23, "dma_mmap_noncontiguous" },
	{ 0x9ae8ca43, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb5e2c8fc, "dma_map_sgtable" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xa568b8b8, "__dma_sync_single_for_device" },
	{ 0xd487c0f4, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfacad768, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x45119f66, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfcb7f73, "snd_info_create_card_entry" },
	{ 0x17092e43, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xb68ac918, "snd_power_wait" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x20f78d01, "remove_wait_queue" },
	{ 0xb183acaa, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xd9a3ac40, "pid_vnr" },
	{ 0x1d0d8718, "snd_device_free" },
	{ 0xb75211e9, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x8f46bab7, "dma_unmap_sg_attrs" },
	{ 0xea124bd1, "gcd" },
	{ 0x6fb198b0, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x53f91c8c, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa442b0b1, "snd_register_device" },
	{ 0x957d0e06, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xfc19b241, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "D2A5EE74AD9423C173B58FB");
MODULE_INFO(rhelversion, "10.1");
