#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(edac_op_state, "_gpl", "");
KSYMTAB_DATA(edac_mem_types, "_gpl", "");
KSYMTAB_FUNC(edac_mc_alloc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_free, "_gpl", "");
KSYMTAB_FUNC(edac_has_mcs, "_gpl", "");
KSYMTAB_FUNC(find_mci_by_dev, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find, "", "");
KSYMTAB_FUNC(edac_get_owner, "_gpl", "");
KSYMTAB_FUNC(edac_mc_add_mc_with_groups, "_gpl", "");
KSYMTAB_FUNC(edac_mc_del_mc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find_csrow_by_page, "_gpl", "");
KSYMTAB_DATA(edac_layer_name, "_gpl", "");
KSYMTAB_FUNC(edac_raw_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_device_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ce_count, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ue_count, "_gpl", "");
KSYMTAB_FUNC(edac_get_sysfs_subsys, "_gpl", "");
KSYMTAB_FUNC(edac_queue_work, "_gpl", "");
KSYMTAB_FUNC(edac_mod_work, "_gpl", "");
KSYMTAB_FUNC(edac_stop_work, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_pci_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_create_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_release_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_pe, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_npe, "_gpl", "");

SYMBOL_CRC(edac_op_state, 0xb51fbd64, "_gpl");
SYMBOL_CRC(edac_mem_types, 0x2c8dd6b8, "_gpl");
SYMBOL_CRC(edac_mc_alloc, 0x1d48b6a2, "_gpl");
SYMBOL_CRC(edac_mc_free, 0x2bccb7d1, "_gpl");
SYMBOL_CRC(edac_has_mcs, 0xefeafcf1, "_gpl");
SYMBOL_CRC(find_mci_by_dev, 0xa4ffec81, "_gpl");
SYMBOL_CRC(edac_mc_find, 0x2853e4f4, "");
SYMBOL_CRC(edac_get_owner, 0x5ab09745, "_gpl");
SYMBOL_CRC(edac_mc_add_mc_with_groups, 0x22956b81, "_gpl");
SYMBOL_CRC(edac_mc_del_mc, 0x89c0cb89, "_gpl");
SYMBOL_CRC(edac_mc_find_csrow_by_page, 0x7905453f, "_gpl");
SYMBOL_CRC(edac_layer_name, 0xc0dcb59e, "_gpl");
SYMBOL_CRC(edac_raw_mc_handle_error, 0xdeffa0a7, "_gpl");
SYMBOL_CRC(edac_mc_handle_error, 0x923550f2, "_gpl");
SYMBOL_CRC(edac_device_alloc_ctl_info, 0x7018b540, "_gpl");
SYMBOL_CRC(edac_device_free_ctl_info, 0x81566d79, "_gpl");
SYMBOL_CRC(edac_device_alloc_index, 0x6e3ff83a, "_gpl");
SYMBOL_CRC(edac_device_add_device, 0x33698c36, "_gpl");
SYMBOL_CRC(edac_device_del_device, 0x29a9c643, "_gpl");
SYMBOL_CRC(edac_device_handle_ce_count, 0x7fcfe696, "_gpl");
SYMBOL_CRC(edac_device_handle_ue_count, 0x09ba41c3, "_gpl");
SYMBOL_CRC(edac_get_sysfs_subsys, 0x85be8451, "_gpl");
SYMBOL_CRC(edac_queue_work, 0xe60632a9, "_gpl");
SYMBOL_CRC(edac_mod_work, 0xd7cea889, "_gpl");
SYMBOL_CRC(edac_stop_work, 0xdc45a5db, "_gpl");
SYMBOL_CRC(edac_pci_alloc_ctl_info, 0x2ed9930e, "_gpl");
SYMBOL_CRC(edac_pci_free_ctl_info, 0xd305a601, "_gpl");
SYMBOL_CRC(edac_pci_alloc_index, 0x0c32ff8a, "_gpl");
SYMBOL_CRC(edac_pci_add_device, 0xb96820cf, "_gpl");
SYMBOL_CRC(edac_pci_del_device, 0x97468b62, "_gpl");
SYMBOL_CRC(edac_pci_create_generic_ctl, 0xe9970feb, "_gpl");
SYMBOL_CRC(edac_pci_release_generic_ctl, 0xb9e00790, "_gpl");
SYMBOL_CRC(edac_pci_handle_pe, 0x34c092dd, "_gpl");
SYMBOL_CRC(edac_pci_handle_npe, 0x79c2fd4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x326fb94d, "try_module_get" },
	{ 0xc91ee1b5, "__SCT__tp_func_mc_event" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x10b30224, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x39dd8c1b, "pci_get_device" },
	{ 0x96848186, "scnprintf" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x273b7820, "bus_get_dev_root" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x38b18436, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x19d779c, "__SCK__tp_func_mc_event" },
	{ 0x85a8c05a, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8510e9b1, "put_device" },
	{ 0x5bc7d3d0, "sysfs_remove_file_ns" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8f439d14, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf688b98, "sysfs_create_link" },
	{ 0x7ad682e5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e18331d, "device_add" },
	{ 0xcd1b8433, "sysfs_remove_link" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6ecc607e, "mem_section" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x2577c6f2, "pci_read_config_word" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x85cddfba, "kobject_init_and_add" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2b8ceef7, "device_register" },
	{ 0x1b80556e, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1d70231c, "pm_runtime_forbid" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xec92772e, "__tracepoint_mc_event" },
	{ 0xbbb2d9cb, "kobject_uevent" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x25bbe9f8, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0xab220bd6, "pci_write_config_word" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe5a9144c, "subsys_system_register" },
	{ 0x3db7500a, "kobject_get" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xb63329d0, "kobject_put" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D3AD44DBEE8B617114C7CE");
MODULE_INFO(rhelversion, "10.1");
