#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x85d8f1ba, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x80df21a9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x1453c4ab, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x93260710, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xed33c8ee, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x62734fe2, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x14569c2f, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xe0f25588, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x08ee1321, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xb1493cab, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xcc73ab70, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x7c823f78, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x1f16e09b, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x7d56e3f8, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xd46bc13b, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x44602370, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x8eb5e362, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xc46adf92, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xa6b8e66f, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xde0950ea, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x0e2b9c39, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xf3f40fc6, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x77c4af95, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xf489e8c1, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x932625dd, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x4dbb555b, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xa03404a1, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x60a60fd4, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x248c7b9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf599391f, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0xb8dded1, "regmap_read" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x759428b6, "regmap_update_bits_base" },
	{ 0xdbcbb6e1, "regmap_write" },
	{ 0x12d3739b, "regmap_multi_reg_write" },
	{ 0xc44f9017, "regmap_bulk_read" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xf9c519d9, "devm_kasprintf" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0x761dbda0, "devm_kfree" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0xba8ed045, "seq_read" },
	{ 0x4d7e0be8, "single_release" },
	{ 0xb9678555, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x7b3d0cc0, "debugfs_create_bool" },
	{ 0xfc18be55, "debugfs_create_x32" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x2bb97beb, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xba6d4811, "regmap_raw_write" },
	{ 0x5dc00f61, "regmap_raw_read" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18057076C45EADAA00BFD8C");
MODULE_INFO(rhelversion, "10.1");
