#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_crtc_in_clone_mode, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(drm_dev_wedged_event, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drmm_cgroup_register_region, "_gpl", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_fdinfo_print_size, "", "");
KSYMTAB_FUNC(drm_memory_stats_is_zero, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_color_mode_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_check_src_coords, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_free, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init_with_mnt, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drmm_workqueue_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_add, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(__drm_printfn_line, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_print_hex_dump, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drmm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_dev_suspend, "", "");
KSYMTAB_FUNC(drm_client_dev_resume, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(accel_open, "_gpl", "");

SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x02e0bb35, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xfd5b9ae4, "");
SYMBOL_CRC(drm_atomic_state_init, 0xf4160519, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xf7578718, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x32dcb117, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xab575903, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xe2a465d9, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x4c0dab2d, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xec2d7a89, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x06f8673a, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xf94b141a, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x2cfa3d9c, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xad8b7f8b, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xb493b3d7, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x35e2f1c0, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xdf76d136, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xd5247924, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xf63cab58, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x79c15cc3, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x557ee540, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xa6cdc6a0, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x0dde8eb3, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x0443e13e, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xa8d62996, "");
SYMBOL_CRC(drm_atomic_check_only, 0x43792e53, "");
SYMBOL_CRC(drm_atomic_commit, 0x79e7177c, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xb20bfde4, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x365c6b77, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x6ba312bf, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xf5f44af2, "");
SYMBOL_CRC(drm_state_dump, 0xb907286a, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x7640dfdd, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x9972c08f, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x41ee0533, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x6b7b61c9, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x31931704, "");
SYMBOL_CRC(drm_is_current_master, 0x87c37126, "");
SYMBOL_CRC(drm_master_get, 0x7817da16, "");
SYMBOL_CRC(drm_file_get_master, 0xb24103cb, "");
SYMBOL_CRC(drm_master_put, 0x945009e5, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x3b8a4f30, "");
SYMBOL_CRC(drm_master_internal_release, 0xf5f897f9, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x315bb69c, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x41306cce, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xea356dac, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x9386a8ff, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x715d5d0c, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x0a226552, "");
SYMBOL_CRC(drm_bridge_add, 0x20bd7350, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xb29111c6, "");
SYMBOL_CRC(drm_bridge_remove, 0x7ee554fd, "");
SYMBOL_CRC(drm_bridge_attach, 0x909c5c96, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xc1b5a737, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x2feb2b47, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x22e3bebb, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xc82d407f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xf6433615, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x77f86aef, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x80c95772, "");
SYMBOL_CRC(drm_bridge_detect, 0xf02535bb, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xa8be0f8b, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x4fb0e094, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x362e5603, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xb126c3f6, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xa1ef659a, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x7eb33b80, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x71a0b018, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x9d8de19d, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xb814d46e, "");
SYMBOL_CRC(drm_color_lut_check, 0x7ad65e5a, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x8dfccebb, "");
SYMBOL_CRC(drm_connector_dynamic_init, 0x1a1b4e13, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x78bfee30, "");
SYMBOL_CRC(drmm_connector_init, 0xbacee3da, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x9b12b900, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x5816737f, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x91f2c1b3, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xb82675c1, "");
SYMBOL_CRC(drm_connector_cleanup, 0x336b1857, "");
SYMBOL_CRC(drm_connector_register, 0x57576e3f, "");
SYMBOL_CRC(drm_connector_dynamic_register, 0x9169efbc, "");
SYMBOL_CRC(drm_connector_unregister, 0x59062d8f, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0xaf5271db, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x0659b3fc, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x993998a6, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xc3934a9e, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xb81ef285, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x67441bc9, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xb003a389, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xea91c94d, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x6b47d51d, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xf09c5961, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x4a5c89ac, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x13d29650, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x2753e740, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x21da502f, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x411f3fb1, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x97f0d25f, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x27ee91ba, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x7965a41a, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x053cdfa6, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xf1e5f5f9, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xec7b6e14, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x9c4b0fc8, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x4e0b8b84, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x850ce544, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x5267605d, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x7011b0b8, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x3f9255a5, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x3002a92f, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xb20600d7, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x4a2249fc, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x43fa059d, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xda032617, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xf0ec52bd, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xc68994ad, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x58b2462a, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x5428b81a, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x7a876db6, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x0b82ec3e, "");
SYMBOL_CRC(drm_crtc_from_index, 0x82e9660d, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x27606c00, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x0ed752a2, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x21a3fb6d, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xed4bd64e, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xb49c8a92, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xca50c64a, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x8ec53b46, "");
SYMBOL_CRC(drm_crtc_in_clone_mode, 0xd5da14d5, "");
SYMBOL_CRC(drm_put_dev, 0xb5207659, "");
SYMBOL_CRC(drm_dev_enter, 0x859cb3bd, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x1f10c80e, "");
SYMBOL_CRC(drm_dev_wedged_event, 0x2de1bd96, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xcd10f326, "");
SYMBOL_CRC(drm_dev_alloc, 0xc55bdeff, "");
SYMBOL_CRC(drm_dev_get, 0x81a0fc10, "");
SYMBOL_CRC(drm_dev_put, 0xcf32d975, "");
SYMBOL_CRC(drmm_cgroup_register_region, 0x893aa376, "_gpl");
SYMBOL_CRC(drm_dev_register, 0xf1413e3c, "");
SYMBOL_CRC(drm_dev_unregister, 0xb61c9848, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x5f98e93a, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xba8311cf, "");
SYMBOL_CRC(drm_get_edid, 0x5bee088a, "");
SYMBOL_CRC(drm_edid_read_custom, 0x4a3f0e4a, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x2963d211, "");
SYMBOL_CRC(drm_edid_read, 0xaaea730c, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0x0976ba9b, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x3db9d3cc, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x9f2eba31, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xd73516bd, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x775ebaef, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x656093c3, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xc9f156d2, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x9f8282d7, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x9f493aff, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xac846ed4, "");
SYMBOL_CRC(drm_add_edid_modes, 0x4fb9fb07, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x911ad437, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x3d3daeb4, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xb94f25b2, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x2cd5b6c8, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x84ad49d5, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xde97bc16, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x08f29357, "");
SYMBOL_CRC(drmm_encoder_init, 0xa507783e, "");
SYMBOL_CRC(drm_open, 0x644ae3de, "");
SYMBOL_CRC(drm_release, 0x27f4fdb0, "");
SYMBOL_CRC(drm_release_noglobal, 0x9adfdb47, "");
SYMBOL_CRC(drm_read, 0xf52deeb0, "");
SYMBOL_CRC(drm_poll, 0x53317967, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x0db64f16, "");
SYMBOL_CRC(drm_event_reserve_init, 0x405bcdc8, "");
SYMBOL_CRC(drm_event_cancel_free, 0x0781e81b, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x2d275b10, "");
SYMBOL_CRC(drm_send_event_locked, 0xb60ddf5a, "");
SYMBOL_CRC(drm_send_event, 0x3d1eefde, "");
SYMBOL_CRC(drm_fdinfo_print_size, 0x73a57917, "");
SYMBOL_CRC(drm_memory_stats_is_zero, 0x07650d87, "");
SYMBOL_CRC(drm_print_memory_stats, 0x3a586a55, "");
SYMBOL_CRC(drm_show_memory_stats, 0xa01d5f91, "");
SYMBOL_CRC(drm_show_fdinfo, 0x5e92ec3a, "");
SYMBOL_CRC(mock_drm_getfile, 0x260060b2, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x04685007, "");
SYMBOL_CRC(drm_driver_color_mode_format, 0x509c7b1b, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xe04f515d, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_check_src_coords, 0x0729948d, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x06e7125b, "");
SYMBOL_CRC(drm_framebuffer_free, 0xd4f8a3e1, "");
SYMBOL_CRC(drm_framebuffer_init, 0x3bd44899, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xf682e24a, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xc95bd34e, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x06f0ab1e, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x40fe1e40, "");
SYMBOL_CRC(drm_gem_object_init_with_mnt, 0x5b4ee643, "");
SYMBOL_CRC(drm_gem_object_init, 0x1d31b571, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x2cc7ff7b, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x1464c3f7, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xe0faf799, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x547b364f, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xffc3fba6, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x85267706, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xd1e69dc3, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x9979d6a1, "");
SYMBOL_CRC(drm_gem_get_pages, 0x8cca3b51, "");
SYMBOL_CRC(drm_gem_put_pages, 0x61a4e91a, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xa7ae7fb2, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x833f9f6a, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x134365f9, "");
SYMBOL_CRC(drm_gem_object_release, 0x58f34953, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x71873e19, "");
SYMBOL_CRC(drm_gem_vm_close, 0x3c765bc5, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xd2ec58cb, "");
SYMBOL_CRC(drm_gem_mmap, 0xbb44bb21, "");
SYMBOL_CRC(drm_gem_vmap, 0xae13f196, "");
SYMBOL_CRC(drm_gem_vunmap, 0x074cc1ef, "");
SYMBOL_CRC(drm_gem_lock, 0x17d71b64, "");
SYMBOL_CRC(drm_gem_unlock, 0x6ce4047c, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x7fd5e24f, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x4d961dc4, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xe883f6cd, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x5e0fa256, "");
SYMBOL_CRC(drm_gem_lru_init, 0x5b5052fa, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xce959bf9, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xeea4350e, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xf610d2af, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x0ae27209, "");
SYMBOL_CRC(drm_gem_evict, 0x7877e224, "");
SYMBOL_CRC(drm_noop, 0x9aa44d56, "");
SYMBOL_CRC(drm_invalid_op, 0x989de941, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x02b70272, "");
SYMBOL_CRC(drm_ioctl, 0x3440dc68, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xdf2e5e12, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x1a48dece, "");
SYMBOL_CRC(drmm_release_action, 0x23752f10, "");
SYMBOL_CRC(drmm_kmalloc, 0x04cd1488, "");
SYMBOL_CRC(drmm_kstrdup, 0x3748bd4b, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xe73b990f, "");
SYMBOL_CRC(__drmm_mutex_release, 0x34b3bdfc, "");
SYMBOL_CRC(__drmm_workqueue_release, 0x1dc568d6, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x1528d90c, "");
SYMBOL_CRC(drm_mode_config_reset, 0xc499b313, "");
SYMBOL_CRC(drmm_mode_config_init, 0x1ec609a5, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xdd23071d, "");
SYMBOL_CRC(drm_mode_object_add, 0x7af4ec4f, "");
SYMBOL_CRC(drm_mode_object_find, 0x91539e31, "");
SYMBOL_CRC(drm_mode_object_put, 0xa564b9bd, "");
SYMBOL_CRC(drm_mode_object_get, 0x20615d56, "");
SYMBOL_CRC(drm_object_attach_property, 0x3915c02c, "");
SYMBOL_CRC(drm_object_property_set_value, 0x8143aa3a, "");
SYMBOL_CRC(drm_object_property_get_value, 0x47fe21ee, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xdfb4e655, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xcc3bed91, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x99d37e94, "");
SYMBOL_CRC(drm_mode_destroy, 0x5fe6a315, "");
SYMBOL_CRC(drm_mode_probed_add, 0xf42ac8c0, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x55db9b82, "");
SYMBOL_CRC(drm_cvt_mode, 0xe15a9724, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x530dc0cc, "");
SYMBOL_CRC(drm_gtf_mode, 0x62161506, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x2333bb55, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x63fe3a1b, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xc9e2917d, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x8e1b84bd, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xd2036ea7, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x9bf7f205, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x95d754bd, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x07ac7083, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x0112571b, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x1a94ab9d, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xaed7db0e, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xdc66e948, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xd4150c65, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x1d8d59dc, "");
SYMBOL_CRC(drm_modeset_backoff, 0x93ff7a92, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x3daf99c8, "");
SYMBOL_CRC(drm_modeset_lock, 0x2203f54e, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x48dd77f9, "");
SYMBOL_CRC(drm_modeset_unlock, 0x435dd75f, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x944e0b73, "");
SYMBOL_CRC(drm_universal_plane_init, 0xc382e1d1, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xded5fa5e, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x7f8281bd, "");
SYMBOL_CRC(drm_plane_cleanup, 0xa01dd48f, "");
SYMBOL_CRC(drm_plane_from_index, 0x966b19e3, "");
SYMBOL_CRC(drm_plane_force_disable, 0x93acb21a, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x3ad79ec7, "");
SYMBOL_CRC(drm_plane_has_format, 0x1d7c7b6c, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x1b41d34c, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x4670b53c, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x9cae219d, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x63190fe6, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x75e1b8fb, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x04d264c4, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xac49788e, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x69fc136e, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x12bb8a76, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x6b53783b, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x20d4816d, "");
SYMBOL_CRC(drm_gem_map_attach, 0x82383584, "");
SYMBOL_CRC(drm_gem_map_detach, 0xa5f28d7f, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x1bd14343, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x1565157f, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x73625e78, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0xd7dba61d, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x39bff5ea, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xbedb0584, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xa2bb3fa4, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xe9a19c58, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x5dfe7d8d, "");
SYMBOL_CRC(drm_gem_prime_import, 0xbe34e3aa, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x35424bad, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xc642e026, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xa542ecb6, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xf19909be, "");
SYMBOL_CRC(__drm_puts_seq_file, 0xc20834bc, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x50b67bbc, "");
SYMBOL_CRC(__drm_printfn_info, 0xd4a29529, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x6063f063, "");
SYMBOL_CRC(__drm_printfn_err, 0x3b0429b5, "");
SYMBOL_CRC(__drm_printfn_line, 0xd5660acc, "");
SYMBOL_CRC(drm_puts, 0x1401b42f, "");
SYMBOL_CRC(drm_printf, 0x4a59a39a, "");
SYMBOL_CRC(drm_print_bits, 0x873bb918, "");
SYMBOL_CRC(drm_dev_printk, 0x94999e02, "");
SYMBOL_CRC(__drm_dev_dbg, 0x7ae9e7eb, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x6d3641e0, "");
SYMBOL_CRC(drm_print_hex_dump, 0x6b09f02c, "");
SYMBOL_CRC(drm_property_create, 0x77509a3d, "");
SYMBOL_CRC(drm_property_create_enum, 0xa4beb683, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x29b56e7b, "");
SYMBOL_CRC(drm_property_create_range, 0xf5530644, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x61786360, "");
SYMBOL_CRC(drm_property_create_object, 0x78f6b869, "");
SYMBOL_CRC(drm_property_create_bool, 0x94cc59ff, "");
SYMBOL_CRC(drm_property_add_enum, 0x0cf58af6, "");
SYMBOL_CRC(drm_property_destroy, 0x40458a77, "");
SYMBOL_CRC(drm_property_create_blob, 0x68a427ca, "");
SYMBOL_CRC(drm_property_blob_put, 0x4a2aa2ff, "");
SYMBOL_CRC(drm_property_blob_get, 0xb772c5ca, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x98491c7d, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xe1a553f1, "");
SYMBOL_CRC(drm_property_replace_blob, 0x985c5be5, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xb8afc667, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_syncobj_find, 0x3f8c63a7, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x6c08360a, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xcb35d244, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xe424af8c, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x26993acc, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x148648ef, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xcfcc237a, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x203861dc, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x51d897fb, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x365fcada, "");
SYMBOL_CRC(drm_class_device_register, 0x93ec9a84, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xf5180611, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xb77aadbe, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xc5f08d57, "");
SYMBOL_CRC(drm_vblank_init, 0x22bd67db, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xfd4b2ad6, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xc98dff9b, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x917e7c09, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x025af357, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x285cb4e9, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x9cb32d65, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x2ea554de, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x42c8cb21, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x59488d78, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x1f2e727a, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xa431e453, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x92c5db4c, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x26c93024, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x5dc41b2f, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x3ef585da, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x1cc7bfb9, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xc7474803, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x20c8212a, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xdc8112d9, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x7bdf9eef, "");
SYMBOL_CRC(drm_handle_vblank, 0x4496bfc9, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x0036da50, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x8b10841b, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xd9bcf35d, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x4f663988, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xc2510a91, "");
SYMBOL_CRC(drm_vblank_work_init, 0x22808231, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xabf00795, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3a2e2639, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x8fa35bb8, "");
SYMBOL_CRC(drm_vma_offset_add, 0x1d38c590, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xdcaca364, "");
SYMBOL_CRC(drm_vma_node_allow, 0xffd03462, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x74010dda, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x4f10cea3, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xcd1f264a, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xe880210e, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x878d9328, "");
SYMBOL_CRC(drmm_writeback_connector_init, 0x9df42853, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x38b63a7a, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xedeb2474, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x7a7d87ef, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xbd5207fd, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xdbf8120c, "");
SYMBOL_CRC(drm_client_init, 0xd5c357d2, "");
SYMBOL_CRC(drm_client_register, 0x2bf475da, "");
SYMBOL_CRC(drm_client_release, 0xa2399c08, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0xd6195894, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x70e9f882, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x797495da, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x4bbb4810, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x99c9083c, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xd3a9bb5c, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xab7a4c60, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x9739c55e, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x65ff9873, "");
SYMBOL_CRC(drm_client_dev_suspend, 0x017a82dc, "");
SYMBOL_CRC(drm_client_dev_resume, 0x199491e8, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xaea7127b, "");
SYMBOL_CRC(drm_client_rotation, 0xacb40315, "");
SYMBOL_CRC(drm_client_modeset_check, 0x909571c4, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xf97dcb4f, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x866ed9f5, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xb036ffa4, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x3260216e, "");
SYMBOL_CRC(drm_panel_init, 0x0eb5ff43, "");
SYMBOL_CRC(drm_panel_add, 0x72186304, "");
SYMBOL_CRC(drm_panel_remove, 0xde126b17, "");
SYMBOL_CRC(drm_panel_prepare, 0x49f138a0, "");
SYMBOL_CRC(drm_panel_unprepare, 0xe7532870, "");
SYMBOL_CRC(drm_panel_enable, 0xca0fbada, "");
SYMBOL_CRC(drm_panel_disable, 0xbf36bd75, "");
SYMBOL_CRC(drm_panel_get_modes, 0xb7bbb0ac, "");
SYMBOL_CRC(drm_is_panel_follower, 0xb9843eb8, "");
SYMBOL_CRC(drm_panel_add_follower, 0xcb9784f6, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x16158613, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x9ed82d21, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xfecc4301, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xa9c9238d, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xc45f8af2, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x86601907, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x1ad2a3b7, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xf8d1b959, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x70d7538f, "_gpl");
SYMBOL_CRC(accel_open, 0x995b7eb7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x326fb94d, "try_module_get" },
	{ 0x3674df21, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x92bfb353, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x646e249c, "alloc_anon_inode" },
	{ 0x595e96a4, "show_class_attr_string" },
	{ 0x1d25ed50, "kthread_cancel_work_sync" },
	{ 0xa74dfb33, "is_acpi_device_node" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xae450485, "kthread_flush_work" },
	{ 0xbf5c59e6, "bpf_trace_run4" },
	{ 0x64b8aecb, "ida_destroy" },
	{ 0x320be516, "idr_find" },
	{ 0x269d94cd, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x88293bc4, "shmem_read_folio_gfp" },
	{ 0xb8784499, "__folio_batch_release" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8abd045a, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0x8d377071, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x57cf3221, "dma_resv_wait_timeout" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x2c68e4b1, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xb11d46de, "kthread_flush_worker" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe6f58434, "request_firmware" },
	{ 0x6d5b0a6a, "class_destroy" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x34fc18e1, "idr_replace" },
	{ 0x4c429fe5, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0x319959b7, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x64ed8e28, "fd_install" },
	{ 0xd9f46967, "dma_fence_chain_ops" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40f92641, "component_del" },
	{ 0xb939d908, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1277fa5, "iput" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xbd74b2c3, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x495bddd6, "dma_fence_add_callback" },
	{ 0x1c6ecb4d, "synchronize_srcu" },
	{ 0x225940fa, "dma_fence_set_deadline" },
	{ 0x5404fe83, "get_device" },
	{ 0x1c51dcfc, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa7dd519b, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5ca44a4, "wake_up_process" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x4b5b56b0, "dma_buf_map_attachment_unlocked" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x5cc28a4c, "ww_mutex_trylock" },
	{ 0x17a96adb, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x887636ba, "devm_of_find_backlight" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa745fac4, "dma_max_mapping_size" },
	{ 0x8510e9b1, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x65033cb7, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x6c742873, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3ad18b5b, "idr_get_next" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2e75c66, "dma_fence_remove_callback" },
	{ 0xcaa2fd3d, "rt_write_unlock" },
	{ 0xa6deab5, "_dev_info" },
	{ 0xa363670d, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe20d0bd3, "atomic_dec_and_mutex_lock" },
	{ 0x8f439d14, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf688b98, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xec0d4eef, "idr_remove" },
	{ 0x405c515f, "dmem_cgroup_unregister_region" },
	{ 0x8f13076e, "dma_fence_chain_walk" },
	{ 0x60064b7e, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6fd6016b, "__task_pid_nr_ns" },
	{ 0x67990221, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0xe24edad9, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xb7933f48, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xbb91fee3, "fput" },
	{ 0xff66aab6, "down_write" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x689cdbcc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xb9678555, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7e18331d, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xcd1b8433, "sysfs_remove_link" },
	{ 0x7ac6190a, "idr_alloc" },
	{ 0x7f9e44d1, "pid_task" },
	{ 0xce81c0b9, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xcc482142, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x344ecd84, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0x4f866530, "dma_fence_signal" },
	{ 0x67892e67, "folio_mark_accessed" },
	{ 0x46f5a69d, "dma_resv_fini" },
	{ 0x95e2ab44, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb4765bbc, "dma_buf_get" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x80827d79, "seq_putc" },
	{ 0x1e1ce324, "ww_mutex_lock" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6fed8435, "dma_buf_put" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x433894d1, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x710f3395, "dma_fence_init" },
	{ 0xc9c1cea9, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2b8ceef7, "device_register" },
	{ 0x1b80556e, "device_del" },
	{ 0xab308714, "idr_destroy" },
	{ 0xe362fdb7, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x93540018, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9583fe94, "kthread_create_worker_on_node" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3584d0d7, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6d336a0, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x5d56766e, "check_move_unevictable_folios" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0xba8ed045, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xd06480ad, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb1ca17, "rt_read_lock" },
	{ 0x7230beea, "fdget" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0xb5e2c8fc, "dma_map_sgtable" },
	{ 0x5cb33b54, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x36abc4e9, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x5bea43b7, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1fdff986, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xb9053b22, "seq_write" },
	{ 0xd0877ac4, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x64ef9501, "radix_tree_tagged" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4c2208d8, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5a2a12ce, "__rt_mutex_init" },
	{ 0xe3a2fed2, "dmem_cgroup_register_region" },
	{ 0x89706cdf, "__srcu_read_unlock" },
	{ 0x515faece, "rt_write_lock" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x72fd8d21, "i2c_transfer" },
	{ 0x4e551a38, "dma_fence_allocate_private_stub" },
	{ 0x5f0b98c6, "dma_buf_detach" },
	{ 0xbc9a1a31, "dma_fence_signal_timestamp" },
	{ 0x4152e6cd, "dma_fence_chain_init" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x4d7e0be8, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xd9a3ac40, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x1375940c, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1c0f2ec5, "simple_release_fs" },
	{ 0xdf22a17c, "dev_err_probe" },
	{ 0x8f46bab7, "dma_unmap_sg_attrs" },
	{ 0x62acf9b7, "__seq_puts" },
	{ 0xd3f69e24, "kill_anon_super" },
	{ 0x34c18799, "from_kuid_munged" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0xd72f4ab3, "component_add" },
	{ 0x2754f081, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5781752e, "shmem_file_setup_with_mnt" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf8369795, "dma_fence_chain_find_seqno" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x78bf7e15, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2bb97beb, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdf02fbd4, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xfc19b241, "put_pid" },
	{ 0x175bf906, "class_register" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x807ef15d, "__dev_fwnode" },
	{ 0xb93f9fe3, "pci_bus_type" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xabe7518a, "class_remove_file_ns" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x3f2414cb, "simple_pin_fs" },
	{ 0x521b5386, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "7ACA3FD87B7CE68291715AC");
MODULE_INFO(rhelversion, "10.1");
