#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_reset_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_bgr888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_argb8888_to_argb4444, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xf64964aa, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x74c79c91, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xb3bae130, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xa8a3339a, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x953e5dda, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1eb53e68, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x27a1741d, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x41d5eecb, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xc7d9ad2b, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xbe75c785, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xa5c74058, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x18d7aa0a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x8bdeb81e, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x14892b7f, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x46267b44, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x04269b11, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xe6d7df5d, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x2fa6636b, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xdb1cb715, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x3b8158c4, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xdff1cad1, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xb735979d, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x0a667f1e, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xdf247dbd, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x076f3f4e, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xc7d10cd1, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x236dbc00, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x8c28fc29, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x000866f8, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xb81295ee, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xe4acfcd4, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x9c800c0a, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x40c907e4, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x9e495bda, "");
SYMBOL_CRC(drm_atomic_helper_reset_crtc, 0xb61820ea, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xe713a8c0, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x3ada6270, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x4e1b577f, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x5806bb97, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xa2b2ef78, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x5c44bc99, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x3385f15a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xb918da8e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xf6f29bff, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x34cdc4d6, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x118e0fde, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x323ba574, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x3b83c71d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x96eb5a65, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x1cc6bd05, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xf8bdfb83, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xa99f08d1, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x596c624a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xf46dc1cc, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x970c972a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x3577ac56, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xb9ef28fb, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x7937f8a7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xedbd08f8, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xada84055, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x2c9d81bb, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x9fae1fa3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x28c80f19, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x9a823ca6, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x779dbff5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x250fde96, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xfba8f80f, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xfc876c87, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x6b79022b, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x7c7809fa, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x910ea036, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xba7bfc47, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb512db62, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x4c796ea5, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x94f4bc5a, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xe350fb2e, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x24782829, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xce0dadaa, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xaa5c7615, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x88d6cafa, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xb75338a2, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x26391477, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x809b4c4e, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x877e1f23, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x1cce08a4, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x4d6ef884, "");
SYMBOL_CRC(drm_flip_work_queue, 0x954191c7, "");
SYMBOL_CRC(drm_flip_work_commit, 0xbcc8a9d6, "");
SYMBOL_CRC(drm_flip_work_init, 0xd36b7cdc, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xf8964945, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x46471193, "");
SYMBOL_CRC(drm_fb_swab, 0xfb1cbd0d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x952a891f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x54b2964e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x9a2d0e5f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xe39dc5fb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x40b94eec, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x55f1e9e4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_bgr888, 0xb7e6942a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x3a077fd4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x485af68f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x7544be43, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x458d3a14, "");
SYMBOL_CRC(drm_fb_argb8888_to_argb4444, 0x1f896939, "");
SYMBOL_CRC(drm_fb_blit, 0x7e40e538, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x3434dc8a, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x76d49c33, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x535dac0b, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xa59c31cf, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xa61bcf21, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x6eb6fc2b, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xc97e2b3a, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x36c5d3ee, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x2d799036, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x5f87e360, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x90106873, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xe55b886f, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe0ba28d8, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xb7b042a9, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xd9346e4c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xf04ac01d, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x2afbc861, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x108e76a6, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x7a6ca122, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x0f035e0f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xc17516df, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x78f0cf5d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xf1c62b09, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xc19a9307, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x0bce5a40, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x85a87d3e, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x4edf56a9, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x439f7402, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x0292ba2c, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x1c04c959, "");
SYMBOL_CRC(drm_crtc_init, 0xdf56f7f7, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x18e2da88, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x83681275, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xf6db60ad, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x341108d9, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x91c97eed, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x7c535535, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xdf16898c, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xf9a63421, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xeaf57eab, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x79c89a41, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x1bb83c8f, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x21e3d41a, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xb56e5ac8, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x96344d92, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x06d512ec, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x0fedd794, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x415957a1, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x26d5eaf3, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x31ea2463, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x291c788c, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xa7e3db8d, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xb5cb8ec2, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x4ce7b19b, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x19e86b64, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x407ddeaa, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x0b06385e, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xfd6bdfa1, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x1a546dc6, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xae20b28d, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x80f11236, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x6e4a98d1, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x9ebe5f20, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x00890df7, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x9ce236a0, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x70742caa, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x3bf44338, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xdeafb582, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x34007883, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x7f061f97, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x406afedc, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x85c642e1, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xc1944b96, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xc2c2f216, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x0a7cc226, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xc676811f, "");
SYMBOL_CRC(drm_fb_helper_init, 0x3e7eb07d, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xb50dbf98, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x62d170b3, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xb555bd31, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xb11bb0ae, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x7f8526cc, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xd36312b4, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x88145de2, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xe318e2b7, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x3d1ff71c, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x8c4acd9d, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xba38bfd7, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x85163c3e, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xb970a4b7, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xa688fc8d, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x79cabeda, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x2ea8496e, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x293e7615, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x43c293f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b851e62, "unregister_framebuffer" },
	{ 0xdf76d136, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x6f0ab1e, "drm_framebuffer_cleanup" },
	{ 0x38b63a7a, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xb7bbb0ac, "drm_panel_get_modes" },
	{ 0x7fd5e24f, "drm_gem_vmap_unlocked" },
	{ 0xd2036ea7, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20bd7350, "drm_bridge_add" },
	{ 0xc1b5a737, "drm_bridge_chain_mode_valid" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x57576e3f, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xacb40315, "drm_client_rotation" },
	{ 0xca0fbada, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3bd44899, "drm_framebuffer_init" },
	{ 0x63fe3a1b, "drm_mode_validate_driver" },
	{ 0xa8d62996, "drm_atomic_add_affected_planes" },
	{ 0xe3b38e68, "dma_buf_end_cpu_access" },
	{ 0x1a94ab9d, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf42ac8c0, "drm_mode_probed_add" },
	{ 0x443e13e, "drm_atomic_add_affected_connectors" },
	{ 0x199491e8, "drm_client_dev_resume" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x4d961dc4, "drm_gem_vunmap_unlocked" },
	{ 0x9cb32d65, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x112571b, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x77f86aef, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x20615d56, "drm_mode_object_get" },
	{ 0x5f98e93a, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4685007, "drm_driver_legacy_fb_format" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xed4bd64e, "drm_crtc_cleanup" },
	{ 0xaf5271db, "drm_connector_list_iter_begin" },
	{ 0xb49c8a92, "drm_mode_set_config_internal" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x927cfb1c, "framebuffer_alloc" },
	{ 0xde97bc16, "drm_encoder_cleanup" },
	{ 0xdc66e948, "drm_modeset_acquire_init" },
	{ 0x225940fa, "dma_fence_set_deadline" },
	{ 0xaea7127b, "drm_client_modeset_probe" },
	{ 0xaed7db0e, "drm_warn_on_modeset_not_all_locked" },
	{ 0x17a82dc, "drm_client_dev_suspend" },
	{ 0x63190fe6, "drm_plane_get_damage_clips" },
	{ 0x3ad90291, "devres_add" },
	{ 0xe2c8f915, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x911ad437, "drm_add_modes_noedid" },
	{ 0x7ee554fd, "drm_bridge_remove" },
	{ 0xa564b9bd, "drm_mode_object_put" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0xa431e453, "drm_crtc_vblank_get" },
	{ 0x833f9f6a, "drm_gem_object_lookup" },
	{ 0x1f2e727a, "drm_crtc_send_vblank_event" },
	{ 0x91f2c1b3, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x715d5d0c, "drm_atomic_normalize_zpos" },
	{ 0x9f8282d7, "drm_edid_connector_update" },
	{ 0x203861dc, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1a48dece, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cc7bfb9, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x993998a6, "drm_connector_list_iter_end" },
	{ 0x41ee0533, "drm_atomic_set_crtc_for_plane" },
	{ 0xb036ffa4, "drm_client_modeset_dpms" },
	{ 0x8e1b84bd, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65ff9873, "drm_client_dev_hotplug" },
	{ 0xa6deab5, "_dev_info" },
	{ 0xc1adc5d1, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xa01dd48f, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x775e2685, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xe2a465d9, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd5c357d2, "drm_client_init" },
	{ 0x5dc41b2f, "drm_crtc_wait_one_vblank" },
	{ 0x42c8cb21, "drm_crtc_next_vblank_start" },
	{ 0x8f29357, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x509c7b1b, "drm_driver_color_mode_format" },
	{ 0x2203f54e, "drm_modeset_lock" },
	{ 0xf97dcb4f, "drm_client_modeset_commit_locked" },
	{ 0x435dd75f, "drm_modeset_unlock" },
	{ 0xbf36bd75, "drm_panel_disable" },
	{ 0x985c5be5, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8dfccebb, "drm_connector_init" },
	{ 0x761dbda0, "devm_kfree" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x7a7d87ef, "drm_writeback_cleanup_job" },
	{ 0x944e0b73, "drm_modeset_lock_all_ctx" },
	{ 0x6b7b61c9, "drm_atomic_set_fb_for_plane" },
	{ 0x7f8281bd, "__drm_universal_plane_alloc" },
	{ 0x9f493aff, "drm_edid_connector_add_modes" },
	{ 0xba8311cf, "drm_probe_ddc" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xe9259870, "__devres_alloc_node" },
	{ 0xaaea730c, "drm_edid_read" },
	{ 0x2e0bb35, "drm_crtc_commit_wait" },
	{ 0xfd4b2ad6, "drm_dev_has_vblank" },
	{ 0x92236cb, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x365c6b77, "__drm_atomic_helper_disable_plane" },
	{ 0x4a2249fc, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xffc3fba6, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x31931704, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x55db9b82, "drm_analog_tv_mode" },
	{ 0x27606c00, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x2333bb55, "drm_mode_duplicate" },
	{ 0x92c5db4c, "drm_crtc_vblank_put" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x7ae9e7eb, "__drm_dev_dbg" },
	{ 0x9cae219d, "drm_plane_get_damage_clips_count" },
	{ 0x79e7177c, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xf7578718, "drm_atomic_state_alloc" },
	{ 0x866ed9f5, "drm_client_modeset_commit" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xc82d407f, "drm_atomic_bridge_chain_post_disable" },
	{ 0xac846ed4, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x51dc2d47, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd5247924, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xa2399c08, "drm_client_release" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x6ba312bf, "__drm_atomic_helper_set_config" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9972c08f, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x336b1857, "drm_connector_cleanup" },
	{ 0xe04f515d, "drm_get_format_info" },
	{ 0xc382e1d1, "drm_universal_plane_init" },
	{ 0x1b41d34c, "drm_any_plane_has_format" },
	{ 0x659b3fc, "drm_connector_list_iter_next" },
	{ 0xd4150c65, "drm_modeset_acquire_fini" },
	{ 0x84ad49d5, "drm_encoder_init" },
	{ 0xdfb4e655, "drm_object_property_get_default_value" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0x3b8a4f30, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x93ff7a92, "drm_modeset_backoff" },
	{ 0x49f138a0, "drm_panel_prepare" },
	{ 0x2feb2b47, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x4c0dab2d, "drm_atomic_get_plane_state" },
	{ 0x80c95772, "drm_atomic_bridge_chain_check" },
	{ 0x4152e6cd, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0xb772c5ca, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4a2aa2ff, "drm_property_blob_put" },
	{ 0x5fe6a315, "drm_mode_destroy" },
	{ 0x909c5c96, "drm_bridge_attach" },
	{ 0x7ac7083, "drm_set_preferred_mode" },
	{ 0xf6433615, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xab575903, "drm_atomic_state_clear" },
	{ 0xc499b313, "drm_mode_config_reset" },
	{ 0x68a427ca, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x1d8d59dc, "drm_modeset_drop_locks" },
	{ 0xb4284b7a, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x22e3bebb, "drm_atomic_bridge_chain_disable" },
	{ 0x95d754bd, "drm_mode_create_from_cmdline_mode" },
	{ 0xc9e2917d, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0xb20bfde4, "drm_atomic_nonblocking_commit" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0xf5f897f9, "drm_master_internal_release" },
	{ 0x917e7c09, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xe7532870, "drm_panel_unprepare" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xdde8eb3, "drm_atomic_add_encoder_bridges" },
	{ 0xf63cab58, "drm_atomic_get_connector_state" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x51d897fb, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B4625777CBC39D2ECB27FC1");
MODULE_INFO(rhelversion, "10.1");
