#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_has_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x90b81e1a, "");
SYMBOL_CRC(drm_sched_fault, 0xab40f22f, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xf623a10c, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x8909379d, "");
SYMBOL_CRC(drm_sched_stop, 0x7293d6aa, "");
SYMBOL_CRC(drm_sched_start, 0xcf8b3bab, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x1c8f58b0, "");
SYMBOL_CRC(drm_sched_job_init, 0x8a227329, "");
SYMBOL_CRC(drm_sched_job_arm, 0x0554aad5, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x9f7755ed, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x8b4758be, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xccb511f2, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x5ff78628, "");
SYMBOL_CRC(drm_sched_job_has_dependency, 0x5f05265b, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xc3a7ed1c, "");
SYMBOL_CRC(drm_sched_pick_best, 0x75279c6e, "");
SYMBOL_CRC(drm_sched_init, 0xe5ad8643, "");
SYMBOL_CRC(drm_sched_fini, 0xbe070328, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x048dfe98, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0xe74f996a, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x51d419a4, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x89cb6d35, "");
SYMBOL_CRC(to_drm_sched_fence, 0x0ca63c21, "");
SYMBOL_CRC(drm_sched_entity_init, 0xb3d68ac5, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xa60f4cb3, "");
SYMBOL_CRC(drm_sched_entity_error, 0x2f788c14, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x6e8597ed, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x0f665747, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xd93923df, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xe619d3d7, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xb48ea0ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe424af8c, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x495bddd6, "dma_fence_add_callback" },
	{ 0x225940fa, "dma_fence_set_deadline" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe2c8f915, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88d07099, "dma_resv_iter_next" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2e75c66, "dma_fence_remove_callback" },
	{ 0x94999e02, "drm_dev_printk" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0x4f866530, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x710f3395, "dma_fence_init" },
	{ 0x4feccce5, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf214365, "xa_destroy" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c2208d8, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x652d7d10, "dma_resv_iter_first" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "015A2D30DD4E0D93BEF9158");
MODULE_INFO(rhelversion, "10.1");
