#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xfd8f931b, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xf0c13fa6, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xd1677694, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xe98afb0c, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xbb0429d4, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xcadee3d3, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x215f1a1b, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x8eccd7a7, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x4cfaedcf, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xcf51e011, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x40b9b459, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x3017da59, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xbd7cbd13, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x37bec003, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x129895e0, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x4ad18b46, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xf263f5e6, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x8843ecb6, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xce64e61c, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x747642b3, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x0b47fe74, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x251ed28f, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x04846fab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1837c3a, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x3674df21, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf66f5cce, "__init_rwsem" },
	{ 0xbc7203cc, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbe04c3a6, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38668535, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc24ad340, "iommu_group_get" },
	{ 0xb02056e9, "iommu_iova_to_phys" },
	{ 0x7342be4b, "pin_user_pages_remote" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xa86d6102, "memfd_pin_folios" },
	{ 0xf11af308, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xa4903e4e, "fget" },
	{ 0x5f75f75a, "__put_task_struct" },
	{ 0x34a013dd, "__xas_next" },
	{ 0xee66283a, "xas_find" },
	{ 0x7fd7c567, "iommu_dev_disable_feature" },
	{ 0xf9a7319, "unpin_user_pages" },
	{ 0x64ed8e28, "fd_install" },
	{ 0xbaef0980, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fa7f319, "unpin_user_page_range_dirty_lock" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0x8031b99, "__account_locked_vm" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x507ddc52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x5404fe83, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xaa8442e1, "unpin_folios" },
	{ 0xf4bd5d57, "__tracepoint_mmap_lock_released" },
	{ 0xe70853a5, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4dae3cf3, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x36921e3d, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd75794f8, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8510e9b1, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x405c7d3e, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa5fab55, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xbb91fee3, "fput" },
	{ 0xff66aab6, "down_write" },
	{ 0x3f92551f, "iommu_domain_free" },
	{ 0x689cdbcc, "up_write" },
	{ 0x1aa28ba2, "iommu_get_msi_cookie" },
	{ 0xf347243c, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa7eb2c8, "iommu_unmap" },
	{ 0xcadf1ba2, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3247acb5, "xas_load" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1cb9eae4, "iommu_attach_handle_get" },
	{ 0x8fbd2b07, "iommu_replace_group_handle" },
	{ 0xa8ec38cd, "iommu_device_release_dma_owner" },
	{ 0x9800689f, "folio_add_pins" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x25881d45, "misc_register" },
	{ 0x51d5cec5, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6ae6cf09, "iommu_paging_domain_alloc_flags" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xf9e2c04f, "iommu_put_resv_regions" },
	{ 0xa41fe023, "_iommufd_object_alloc" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0xaa7b910e, "__mmdrop" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9a000857, "__xa_cmpxchg" },
	{ 0x2501c46e, "nonseekable_open" },
	{ 0x4c4b5de0, "xa_erase" },
	{ 0x3bd62ec, "__mmap_lock_do_trace_start_locking" },
	{ 0x29d4bd81, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x581ca2bd, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x65a8b7ad, "mmput" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf214365, "xa_destroy" },
	{ 0x9b9e8fee, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xef4dfd93, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe11d4ad0, "__mmap_lock_do_trace_released" },
	{ 0x4c2208d8, "xa_store" },
	{ 0x15c2d8ba, "set_page_dirty_lock" },
	{ 0xba2ff726, "device_iommu_capable" },
	{ 0xeae64b98, "xas_nomem" },
	{ 0x7dcf7445, "iommu_map" },
	{ 0x62efca88, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x22736307, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0xa1652d39, "iommu_attach_group_handle" },
	{ 0x3aaddd4e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x9c9615b3, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x957d0e06, "up_read" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb93f9fe3, "pci_bus_type" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6BBAF30833ACE1C1AEA08F9");
MODULE_INFO(rhelversion, "10.1");
