#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x38afed6c, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xd5eae958, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x13e3e2ee, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x3da91326, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x4a38078d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xfb459648, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8923560, "mdiobus_alloc_size" },
	{ 0x8e0e619, "__tracepoint_xdp_exception" },
	{ 0x2abb2df2, "xsk_tx_completed" },
	{ 0xe67b1fc3, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3dc2e73c, "xp_alloc" },
	{ 0xf05bac78, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x38452215, "bpf_prog_put" },
	{ 0x71d9091c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaa9543cc, "xp_dma_map" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0x2b8fd4e0, "eth_mac_addr" },
	{ 0x2d782fab, "skb_put" },
	{ 0xc9cae5d9, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xefcc4349, "netdev_update_features" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xed24a6e4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc61d1e86, "hrtimer_try_to_cancel" },
	{ 0x6799d09d, "bpf_warn_invalid_xdp_action" },
	{ 0x8155a0ee, "unregister_netdev" },
	{ 0x7855abc3, "xdp_convert_zc_to_xdp_frame" },
	{ 0xb2a4886, "xdp_features_set_redirect_target" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x8e231923, "dma_unmap_page_attrs" },
	{ 0x487ee9e5, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xe8149ac3, "ptp_clock_index" },
	{ 0xb550f5fd, "phy_attached_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa324b0cd, "page_pool_destroy" },
	{ 0x9e111206, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x386e5a09, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xea6ffe34, "flow_rule_match_ipv4_addrs" },
	{ 0x682cca6c, "xdp_rxq_info_unreg_mem_model" },
	{ 0xe9288762, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xc528d8cd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x124a7625, "pskb_expand_head" },
	{ 0xdc3f8605, "phylink_limit_mac_speed" },
	{ 0x773a35f7, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0xf6aa3d40, "pinctrl_pm_select_default_state" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0x76d29799, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf46e447f, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4f129b5, "__pm_runtime_set_status" },
	{ 0x5aa5609, "dma_map_page_attrs" },
	{ 0xf260ec2, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4b69c703, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5463cce7, "pm_wakeup_dev_event" },
	{ 0xde10a760, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xafe9e743, "__napi_schedule" },
	{ 0x77f17dc5, "pm_runtime_enable" },
	{ 0x532219d4, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x6a63f6ce, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf00d83c5, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xcaa2fd3d, "rt_write_unlock" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x4cefa7ad, "xpcs_create_mdiodev" },
	{ 0xa973dfc, "napi_gro_receive" },
	{ 0x23b533d0, "netif_device_attach" },
	{ 0xc4e21d2d, "xdp_features_clear_redirect_target" },
	{ 0x4083cdc5, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xe52ed1c2, "netdev_pick_tx" },
	{ 0xba4b4162, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3a84b3f8, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77dad06a, "xdp_rxq_info_is_reg" },
	{ 0x93772901, "devm_alloc_etherdev_mqs" },
	{ 0x5a284fe9, "flow_block_cb_setup_simple" },
	{ 0x158f61df, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x2537c47f, "dev_open" },
	{ 0x78973217, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x87a6a5df, "xpcs_destroy" },
	{ 0xe3a1e6c2, "pinctrl_pm_select_sleep_state" },
	{ 0xd4f8e22b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcda1fe58, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3c0c61, "ptp_clock_register" },
	{ 0x572b5b8e, "xsk_tx_peek_desc" },
	{ 0x4101e4a8, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7e1329ef, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xc60dd88f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xea9a004, "skb_push" },
	{ 0x3ec6ae03, "dma_alloc_attrs" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x6b397375, "napi_enable" },
	{ 0x89258008, "xsk_clear_rx_need_wakeup" },
	{ 0x5fbf3905, "xpcs_get_interfaces" },
	{ 0x8941f7e9, "xsk_uses_need_wakeup" },
	{ 0x6d2de1f6, "register_netdev" },
	{ 0x2a514b4f, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe8d4cdcd, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3f383bb8, "debugfs_change_name" },
	{ 0x6fa88118, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x12a45d99, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7e432f26, "__SCK__tp_func_xdp_exception" },
	{ 0x85fea365, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x314c0103, "netif_tx_wake_queue" },
	{ 0xdb9c950b, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe72052e3, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x5a554840, "flow_rule_match_ports" },
	{ 0x92ffc9d9, "phylink_fwnode_phy_connect" },
	{ 0x24bd40a4, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcc6e4bd6, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xaeb5e0e3, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3a285136, "fwnode_get_named_child_node" },
	{ 0xe4288f43, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x25b8f69d, "ptp_clock_unregister" },
	{ 0x9ce68fcd, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x65eec3d4, "xpcs_get_an_mode" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23c006ba, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd9c3042a, "xdp_return_frame_rx_napi" },
	{ 0xcffd0046, "netdev_alert" },
	{ 0x3494a4e3, "dma_set_coherent_mask" },
	{ 0xba8ed045, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9235bc5, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xdbf48c24, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0xdb1ca17, "rt_read_lock" },
	{ 0xa3125b22, "fwnode_property_present" },
	{ 0xd57fe029, "xsk_set_tx_need_wakeup" },
	{ 0x9f1fdf7, "netdev_reset_tc" },
	{ 0x9ae8ca43, "dma_free_attrs" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa568b8b8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa8f653c6, "xp_set_rxq_info" },
	{ 0x9037cb9b, "flow_rule_match_vlan" },
	{ 0x5911471b, "xdp_rxq_info_unreg" },
	{ 0x76f8732e, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb96ed0cb, "__xdp_rxq_info_reg" },
	{ 0xd0877ac4, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9e1468d5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xeb7dbad4, "mdiobus_get_phy" },
	{ 0xf59081ef, "netif_carrier_on" },
	{ 0xb3167265, "netdev_set_num_tc" },
	{ 0x515faece, "rt_write_lock" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xf6b05610, "__mdiobus_register" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x376ac3e8, "hrtimer_cancel" },
	{ 0xdc40421a, "xp_free" },
	{ 0x4d7e0be8, "single_release" },
	{ 0x73f749ab, "dma_set_mask" },
	{ 0x7fd8fed0, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xdf22a17c, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x140d6a0b, "skb_add_rx_frag_netmem" },
	{ 0x6bdd9070, "xdp_master_redirect" },
	{ 0xefe89422, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x67238113, "napi_schedule_prep" },
	{ 0x9b581db8, "napi_disable" },
	{ 0xc8643e1a, "dev_kfree_skb_any_reason" },
	{ 0xe51d5460, "eth_header_parse_protocol" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0xae8f4914, "phylink_pcs_pre_init" },
	{ 0x2bb97beb, "single_open" },
	{ 0x1007e9f2, "__pm_runtime_disable" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x96d59880, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x521db17d, "__pm_runtime_idle" },
	{ 0xb4f031d4, "ethtool_op_get_ts_info" },
	{ 0x980ac413, "xsk_tx_release" },
	{ 0x807ef15d, "__dev_fwnode" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x41353f85, "netdev_info" },
	{ 0xf5dd9986, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "8F451B7A74FD18F3AD0A217");
MODULE_INFO(rhelversion, "10.1");
