#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcd52ecd8, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x9817d2b4, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x5af898db, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x2ff7fba2, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xf652cf34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a0f135b, "__do_once_done" },
	{ 0x207d9dd, "ip6_route_input_lookup" },
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1f36e62a, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc22914bd, "dev_mc_sync" },
	{ 0x64b8aecb, "ida_destroy" },
	{ 0xe81bd66c, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xefcc4349, "netdev_update_features" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xfc8b3778, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xa4453a9, "dev_uc_sync" },
	{ 0xf848b499, "rtnl_link_register" },
	{ 0x999f3273, "netif_inherit_tso_max" },
	{ 0xa708cd49, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xddb16bec, "ip_route_output_flow" },
	{ 0x3737ec44, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb279bd8c, "dev_uc_unsync" },
	{ 0x63924af5, "ether_setup" },
	{ 0xc528d8cd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57ca9122, "netdev_upper_dev_link" },
	{ 0x91aa4dc6, "register_pernet_subsys" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf381d8df, "netdev_rx_handler_unregister" },
	{ 0x24cca881, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6ee7359, "eth_header_cache_update" },
	{ 0x8c2e91ed, "nf_register_net_hooks" },
	{ 0xa667ae0c, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xaa2115f0, "ip_route_input_noref" },
	{ 0x1510d979, "__dev_get_by_index" },
	{ 0x8ab99014, "rtnl_link_unregister" },
	{ 0xd4f8e22b, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xef62b04e, "netif_stacked_transfer_operstate" },
	{ 0xcfbfac7b, "netdev_upper_dev_unlink" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2b1c061b, "ns_capable" },
	{ 0x2af9c1ae, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x12a45d99, "ethtool_op_get_link" },
	{ 0xb4ed8a37, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x72e036ce, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xb2804724, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6b56cf9e, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xc0a1b727, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf037f526, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdf417f25, "call_netdevice_notifiers" },
	{ 0x53004baa, "vlan_vid_del" },
	{ 0x3d9f129c, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf4e2e3c0, "skb_clone" },
	{ 0x8df587f1, "dst_release" },
	{ 0x65bdf834, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x919eb54f, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe51d5460, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x746f7687, "dev_mc_unsync" },
	{ 0x53bbfacb, "dev_change_flags" },
	{ 0x2615ee8c, "netdev_core_stats_inc" },
	{ 0x16bdc838, "dev_forward_skb" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc18aebbd, "register_netdevice" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "785F23A10B224742DCF1D58");
MODULE_INFO(rhelversion, "10.1");
