#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0x65eec3d4, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0x5fbf3905, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0xf00d83c5, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x2b7b0711, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0x559c672f, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x4cefa7ad, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x7fd8fed0, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x87a6a5df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33317804, "mdiobus_c45_modify_changed" },
	{ 0x1746ebd2, "mdiobus_c45_read" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xf5b4684d, "devm_pm_runtime_enable" },
	{ 0x57e9407c, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xb86cede7, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x60b5c197, "platform_get_resource_byname" },
	{ 0x5404fe83, "get_device" },
	{ 0xaae40adf, "fwnode_mdio_find_device" },
	{ 0x26c364da, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a7d5347, "mdiobus_c45_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4f129b5, "__pm_runtime_set_status" },
	{ 0x471eed13, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf323c58a, "device_property_read_u32_array" },
	{ 0xadfb1f4d, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0xe49ad042, "phylink_mii_c45_pcs_get_state" },
	{ 0xdb15a78d, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf599391f, "_dev_warn" },
	{ 0xf5ff0a21, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd003205, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xb2b2cf18, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x170e81d2, "__platform_driver_register" },
	{ 0xffa94d7b, "fwnode_device_is_available" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0x9a08b7cd, "devm_ioremap_resource" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbf5cd8ad, "clk_bulk_get_optional" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x29b0296e, "phylink_mii_c22_pcs_decode_state" },
	{ 0xbf711e31, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xdf22a17c, "dev_err_probe" },
	{ 0xa37fe2a1, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x521db17d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x807ef15d, "__dev_fwnode" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "phylink");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "AC790F5A8CE6E48436D0D6B");
MODULE_INFO(rhelversion, "10.1");
