#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x5cb8ec9f, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x0608695c, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x9869a200, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x0687db57, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xcd424457, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xbecae950, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x354b0844, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x8a268f74, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x0a947639, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x8c18a157, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x92164bdf, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xf53754c7, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xf81da97e, "_gpl");
SYMBOL_CRC(usbnet_open, 0x6537859b, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x0cddc005, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xd6404006, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xaecae278, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xa48494ae, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x8cb2a0f1, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xb4470218, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x496b6e15, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x00703483, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x67ef2a81, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x510b82df, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x8020b437, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x90ce01ce, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xf6963491, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xd2f256eb, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xabf0d9f0, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x8040e781, "");
SYMBOL_CRC(usbnet_manage_power, 0x33342daa, "");
SYMBOL_CRC(usbnet_link_change, 0x346437c2, "");
SYMBOL_CRC(usbnet_read_cmd, 0x322b927d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xc629e15c, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x83196b36, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x0a40c1cb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x60e16d90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f7b0d00, "usb_set_interface" },
	{ 0xd12b328e, "usb_string" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe6f2b92c, "skb_defer_rx_timestamp" },
	{ 0xb2804724, "netif_rx" },
	{ 0xf46e447f, "eth_type_trans" },
	{ 0x7379dd39, "skb_queue_tail" },
	{ 0x23c006ba, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xeb50ff27, "skb_queue_purge_reason" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x5a44df3, "usb_get_urb" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xfa1966d3, "usb_unlink_urb" },
	{ 0x6af94bdb, "usb_free_urb" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4ab31c28, "add_wait_queue" },
	{ 0x20f78d01, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac00489f, "usb_submit_urb" },
	{ 0xc528d8cd, "netdev_err" },
	{ 0xfcc15881, "mii_ethtool_get_link_ksettings" },
	{ 0x21df2fa8, "mii_ethtool_set_link_ksettings" },
	{ 0xd2bcc93a, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x8155a0ee, "unregister_netdev" },
	{ 0x296c6c23, "consume_skb" },
	{ 0x903e9b7b, "usb_get_from_anchor" },
	{ 0x73351b51, "usb_kill_urb" },
	{ 0x71ea51b, "free_netdev" },
	{ 0x41353f85, "netdev_info" },
	{ 0x6a63f6ce, "netif_device_detach" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x23b533d0, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5cb5a1fc, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40377e7e, "usb_autopm_get_interface" },
	{ 0x5168a384, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xabf05b04, "usb_alloc_urb" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x9903d2fc, "mii_link_ok" },
	{ 0x12a45d99, "ethtool_op_get_link" },
	{ 0xbbacb444, "usb_autopm_put_interface_async" },
	{ 0xf59081ef, "netif_carrier_on" },
	{ 0x9e1468d5, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x891d1eb9, "skb_dequeue" },
	{ 0x12c8bd67, "alloc_etherdev_mqs" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6d2de1f6, "register_netdev" },
	{ 0x77f17dc5, "pm_runtime_enable" },
	{ 0xbaa515f1, "usb_check_bulk_endpoints" },
	{ 0x96d59880, "skb_clone_tx_timestamp" },
	{ 0xf04ae360, "usb_autopm_get_interface_async" },
	{ 0xc8643e1a, "dev_kfree_skb_any_reason" },
	{ 0xc9cae5d9, "skb_tstamp_tx" },
	{ 0xb21e85f3, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd0c52bda, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x314c0103, "netif_tx_wake_queue" },
	{ 0x535b210e, "usb_autopm_get_interface_no_resume" },
	{ 0x2d782fab, "skb_put" },
	{ 0x2491db1b, "usb_clear_halt" },
	{ 0x2b8fd4e0, "eth_mac_addr" },
	{ 0xe6551c1b, "eth_validate_addr" },
	{ 0xb4f031d4, "ethtool_op_get_ts_info" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");
MODULE_INFO(rhelversion, "10.1");
