#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x8d41d1f6, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xfbdd1c1e, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xb298f8bb, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x220fb622, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xfd4f24d, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0xc77f1db1, "__nlmsg_put" },
	{ 0x750441d7, "netdev_adjacent_change_commit" },
	{ 0x2b8fd4e0, "eth_mac_addr" },
	{ 0x2d782fab, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa550c08c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8e69f641, "ip6_dst_hoplimit" },
	{ 0x30b91e2c, "param_ops_ushort" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x838fede8, "nla_put_64bit" },
	{ 0xaab6a795, "udp_sock_create4" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xb0c61d3f, "udp_tunnel6_xmit_skb" },
	{ 0xf848b499, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x10feb143, "__unregister_nexthop_notifier" },
	{ 0x999f3273, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xe6551c1b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x897a642b, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf9033d59, "rtnl_create_link" },
	{ 0x3737ec44, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3c6fc1e, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x63924af5, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b89e3f0, "udp_tunnel_drop_rx_port" },
	{ 0x124a7625, "pskb_expand_head" },
	{ 0x57ca9122, "netdev_upper_dev_link" },
	{ 0x91aa4dc6, "register_pernet_subsys" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0xf46e447f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19f2618b, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x3264126c, "__alloc_skb" },
	{ 0xd7571f76, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1a8eb06, "eth_gro_complete" },
	{ 0x251335b8, "rtnl_set_sk_err" },
	{ 0x6f72f873, "eth_gro_receive" },
	{ 0xa9ac5b46, "rtnl_configure_link" },
	{ 0x81641f93, "skb_tunnel_check_pmtu" },
	{ 0x97de7355, "udp_tunnel_dst_lookup" },
	{ 0x374105d1, "rtnl_unicast" },
	{ 0xc6cf94f6, "peernet2id" },
	{ 0x73b6c0ca, "__skb_get_hash_net" },
	{ 0x3192557d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x1510d979, "__dev_get_by_index" },
	{ 0x8ab99014, "rtnl_link_unregister" },
	{ 0xb78a2983, "ipv6_stub" },
	{ 0xd4f8e22b, "skb_pull" },
	{ 0x4c27197e, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7067b75, "dev_get_by_index_rcu" },
	{ 0xf30ffe2e, "gro_cells_receive" },
	{ 0xea9a004, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xcfbfac7b, "netdev_upper_dev_unlink" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xa8b317ce, "__rtnl_register_many" },
	{ 0x71ea51b, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfc5d940f, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x99b43098, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x302266c7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x12a45d99, "ethtool_op_get_link" },
	{ 0x8f3d260b, "nexthop_find_by_id" },
	{ 0xd046d472, "arp_create" },
	{ 0xb4ed8a37, "__ethtool_get_link_ksettings" },
	{ 0xf57c0544, "netdev_adjacent_change_prepare" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x72e036ce, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9e1d5751, "rhashtable_free_and_destroy" },
	{ 0x465481f2, "rht_bucket_nested_insert" },
	{ 0x524aae3d, "netdev_adjacent_change_abort" },
	{ 0xa58fc526, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf3c622f7, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91148598, "__iptunnel_pull_header" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb2804724, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xcc6a7e43, "rhashtable_destroy" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x6430eaa7, "setup_udp_tunnel_sock" },
	{ 0x4ae09c36, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc097bf68, "skb_trim" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23c006ba, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b56cf9e, "skb_scrub_packet" },
	{ 0xb3915541, "nexthop_select_path" },
	{ 0x18ac1b85, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6eea5ddf, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbd2ffe0c, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xfd7ad7c3, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0x33198da9, "udp_tun_rx_dst" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x610b0f63, "rtnl_notify" },
	{ 0x4862b9fb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe157c325, "__netif_rx" },
	{ 0xf4e2e3c0, "skb_clone" },
	{ 0xa558dd4d, "metadata_dst_alloc" },
	{ 0x8df587f1, "dst_release" },
	{ 0xa2f66903, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xee1c56e2, "udp_tunnel_notify_del_rx_port" },
	{ 0x21d865d, "register_nexthop_notifier" },
	{ 0x3c622560, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c96879f, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x67c53092, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2615ee8c, "netdev_core_stats_inc" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x41353f85, "netdev_info" },
	{ 0xb6c06795, "neigh_lookup" },
	{ 0x6c66cfe6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc18aebbd, "register_netdevice" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "20034CCFB025299E39863E2");
MODULE_INFO(rhelversion, "10.1");
