#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xcd5bc7d0, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x1cfef7dc, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x36ef55c0, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x35ab3d0f, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x990b615e, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x9e133a0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x15a82b19, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc77f1db1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2d782fab, "skb_put" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x296c6c23, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x891d1eb9, "skb_dequeue" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xf848b499, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x809b6bbe, "device_for_each_child" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xf9033d59, "rtnl_create_link" },
	{ 0x3737ec44, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb50ff27, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66f2d8a6, "alloc_netdev_mqs" },
	{ 0xf954fd69, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8510e9b1, "put_device" },
	{ 0x3264126c, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x7379dd39, "skb_queue_tail" },
	{ 0xa9ac5b46, "rtnl_configure_link" },
	{ 0x26416bfc, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ab99014, "rtnl_link_unregister" },
	{ 0x4cb34413, "init_net" },
	{ 0xd4f8e22b, "skb_pull" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0x71ea51b, "free_netdev" },
	{ 0x433894d1, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4096982a, "device_find_child" },
	{ 0xc823a5a4, "class_dev_iter_init" },
	{ 0x2b8ceef7, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x1fdff986, "__register_chrdev" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x4f497294, "device_match_name" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa35cc9de, "stream_open" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x175bf906, "class_register" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x71b2047b, "skb_queue_head" },
	{ 0x30939ce6, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xc18aebbd, "register_netdevice" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09CCB27578244CCCB72718E");
MODULE_INFO(rhelversion, "10.1");
