#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xf39ca4a0, "");
SYMBOL_CRC(ntb_unregister_client, 0xc6c73540, "");
SYMBOL_CRC(ntb_register_device, 0x9087a4b6, "");
SYMBOL_CRC(ntb_unregister_device, 0xe107262f, "");
SYMBOL_CRC(ntb_set_ctx, 0xad87a346, "");
SYMBOL_CRC(ntb_clear_ctx, 0xc759a765, "");
SYMBOL_CRC(ntb_link_event, 0xa9455f58, "");
SYMBOL_CRC(ntb_db_event, 0xfd823f7f, "");
SYMBOL_CRC(ntb_msg_event, 0xd9041beb, "");
SYMBOL_CRC(ntb_default_port_number, 0x50af07ee, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xcc1a4458, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x834e22d9, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xb15fb017, "");
SYMBOL_CRC(ntb_msi_init, 0x3626c8da, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xd70d2a8c, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x3670a3b2, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xf9939366, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x85654c5d, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xa8195049, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x2cb75f02, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x348c40a4, "devm_request_threaded_irq" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x5017a278, "devm_iounmap" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xfcca0215, "devres_destroy" },
	{ 0x1a6bfb14, "msi_unlock_descs" },
	{ 0x8ca56ade, "devm_ioremap" },
	{ 0x5404fe83, "get_device" },
	{ 0x90d35877, "msi_lock_descs" },
	{ 0x3ad90291, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8510e9b1, "put_device" },
	{ 0xb8813e28, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ad682e5, "bus_unregister" },
	{ 0x761dbda0, "devm_kfree" },
	{ 0x733e8971, "irq_get_irq_data" },
	{ 0xe9259870, "__devres_alloc_node" },
	{ 0xb5e2f877, "driver_unregister" },
	{ 0x2b8ceef7, "device_register" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x82ea672c, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa63f74d5, "msi_next_desc" },
	{ 0x8f58ca77, "driver_register" },
	{ 0x721d8385, "bus_register" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");
MODULE_INFO(rhelversion, "10.1");
