#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x4b99c440, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x4f2253e8, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x247bc835, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x2eebc271, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xbfecdb48, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xcf6dfe63, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x9dba2379, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xce6e1ced, "");
SYMBOL_CRC(nvdimm_region_notify, 0x3ab6f290, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x0a374904, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xdf162694, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xf4acae2f, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x67036db8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x1f061752, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xd90470d9, "");
SYMBOL_CRC(nd_device_unregister, 0xafeba703, "");
SYMBOL_CRC(__nd_driver_register, 0x7f7cb777, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xe723f65f, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x74efe1c2, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x07d0bc89, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xdedbf51d, "_gpl");
SYMBOL_CRC(to_ndd, 0x1e6a252d, "");
SYMBOL_CRC(nvdimm_name, 0x909a89c6, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xa7b6c551, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xc0f351d4, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x8092fc83, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xbe965c74, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x49df20d2, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x9b994750, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x976eacda, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x3ca53a8a, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x98ad3e9b, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x3fe615d6, "_gpl");
SYMBOL_CRC(to_nd_region, 0xe7be66e1, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x2f01ed05, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x29766bf7, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x44b3aa51, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x9ce49785, "");
SYMBOL_CRC(nd_region_release_lane, 0xb74a1040, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xc032eb39, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x35fc408b, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x0a8dd95f, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x9056d5e9, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x0d235929, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x1413a8d3, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x71986231, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x29c2d1cc, "");
SYMBOL_CRC(pmem_sector_size, 0x7f5ec808, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x1ad2d62c, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x85d5d4d2, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xdeeac0c8, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x5a52fa74, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x8a1e1e90, "");
SYMBOL_CRC(devm_namespace_enable, 0x38a909e2, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xebe1885c, "_gpl");
SYMBOL_CRC(badrange_init, 0x0790d3e2, "_gpl");
SYMBOL_CRC(badrange_add, 0x78a68b3b, "_gpl");
SYMBOL_CRC(badrange_forget, 0x3e562eb8, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x7a079f55, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_pfn, 0xa699412e, "");
SYMBOL_CRC(is_nd_pfn, 0xf38f60f0, "");
SYMBOL_CRC(nd_pfn_validate, 0xb875cfc3, "");
SYMBOL_CRC(nd_pfn_probe, 0x641c42c0, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xa79841c2, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x24e28dd6, "");
SYMBOL_CRC(is_nd_dax, 0x174e2bd6, "");
SYMBOL_CRC(nd_dax_probe, 0x524ff5a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6e02d941, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x326fb94d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x64b8aecb, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xc348daf0, "devm_memremap" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf85a4bb8, "badblocks_set" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdd51439, "badblocks_exit" },
	{ 0x809b6bbe, "device_for_each_child" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x5404fe83, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0xe79e110c, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14efbae7, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xc176def4, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8510e9b1, "put_device" },
	{ 0x728b0a92, "badblocks_show" },
	{ 0x27bd4d46, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x8f439d14, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x26416bfc, "compat_ptr_ioctl" },
	{ 0x800b2a27, "perf_pmu_migrate_context" },
	{ 0xec01bea6, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd761c3e4, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x7ad682e5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x958207b0, "__cpuhp_setup_state" },
	{ 0xb968caf4, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x7e18331d, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xf913ed9c, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x5462a21d, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0xb5e2f877, "driver_unregister" },
	{ 0xac53f682, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd14495c7, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x433894d1, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4096982a, "device_find_child" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xfa05f817, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x513543fb, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd263035b, "__devm_release_region" },
	{ 0x85617ce1, "request_key_tag" },
	{ 0x3cc1ab5, "kernfs_put" },
	{ 0x1fdff986, "__register_chrdev" },
	{ 0x5a96ab77, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f497294, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xe14e5dc8, "badblocks_check" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xa2f0f370, "badblocks_clear" },
	{ 0x7c9f42d7, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x957d0e06, "up_read" },
	{ 0x8f58ca77, "driver_register" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x175bf906, "class_register" },
	{ 0xef30e318, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x721d8385, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DA780389459847ACDA81352");
MODULE_INFO(rhelversion, "10.1");
