#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x5baa6271, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab28b3e0, "nvme_remove_admin_tag_set" },
	{ 0xb6b7c4d0, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1d850c3, "ida_alloc_range" },
	{ 0x4b7fe39a, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x64b8aecb, "ida_destroy" },
	{ 0x778817a7, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d57153e, "nvmf_free_options" },
	{ 0xc258041b, "nvmf_subsystem_reset" },
	{ 0xd793ca4c, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0xa9eb9e33, "nvme_stop_keep_alive" },
	{ 0xe4f1ecb8, "blk_mq_complete_request_remote" },
	{ 0x8e231923, "dma_unmap_page_attrs" },
	{ 0xe2e7a95b, "nvme_setup_cmd" },
	{ 0xff9e9949, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x412be798, "nvme_alloc_admin_tag_set" },
	{ 0x4b935535, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xeaf87a90, "nvmf_reg_read32" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0xa376fc62, "nvme_delete_ctrl" },
	{ 0x5404fe83, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7b6e63, "dev_driver_string" },
	{ 0x7c5df0d5, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5aa5609, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xfc20b3b6, "nvme_remove_io_tag_set" },
	{ 0x736c0048, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc5c5feab, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x48b74ffa, "nvmf_unregister_transport" },
	{ 0x925848a2, "blkcg_get_fc_appid" },
	{ 0x8510e9b1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc59beed2, "nvme_change_ctrl_state" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x3875eec8, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe1b2d1ca, "nvme_alloc_io_tag_set" },
	{ 0x74ad1fc7, "nvme_fail_nonready_command" },
	{ 0x67990221, "kobject_uevent_env" },
	{ 0x78973217, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x4410a090, "device_create" },
	{ 0x26b0205a, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x9583342d, "__blk_rq_map_sg" },
	{ 0xad3ab2e4, "ida_free" },
	{ 0x1c81851c, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x433894d1, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x4197ad03, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x90b48573, "nvme_enable_ctrl" },
	{ 0x79e2172c, "nvme_unquiesce_admin_queue" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb64d989b, "__init_waitqueue_head" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x786e6723, "nvme_unquiesce_io_queues" },
	{ 0xec195c20, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf2f6c54d, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1992b08, "nvmf_should_reconnect" },
	{ 0xa568b8b8, "__dma_sync_single_for_device" },
	{ 0x81dbfd82, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a96ab77, "device_destroy" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xba63a46b, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x62a4f59e, "nvmf_register_transport" },
	{ 0xad00d007, "blk_mq_start_request" },
	{ 0x83b403cd, "nvme_quiesce_io_queues" },
	{ 0x43d3514c, "blk_mq_tagset_busy_iter" },
	{ 0xa7a9d9a8, "nvme_stop_ctrl" },
	{ 0x8f46bab7, "dma_unmap_sg_attrs" },
	{ 0x9a6c186, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xe18c0f95, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xf3c097d5, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x175bf906, "class_register" },
	{ 0xb1e54ef3, "__nvme_check_ready" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x13d39b6f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf83e88ef, "nvme_add_ctrl" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "0DC05964C13AE07638D6D61");
MODULE_INFO(rhelversion, "10.1");
