#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xa0d79829, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0x24ebe418, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x1a159229, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0x2401f47b, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0x33c30ffe, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x62d565b0, "");
SYMBOL_CRC(wmi_driver_unregister, 0xb951a166, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x721d8385, "bus_register" },
	{ 0x170e81d2, "__platform_driver_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x7ad682e5, "bus_unregister" },
	{ 0x433894d1, "class_unregister" },
	{ 0x65498932, "device_for_each_child_reverse" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x809b6bbe, "device_for_each_child" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e9407c, "platform_driver_unregister" },
	{ 0xbdd5fc0d, "down_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x957d0e06, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xf66f5cce, "__init_rwsem" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0xf5ca40d2, "device_initialize" },
	{ 0xa74dfb33, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xca48a2a6, "device_link_add" },
	{ 0x7e18331d, "device_add" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x8510e9b1, "put_device" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x4410a090, "device_create" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xff66aab6, "down_write" },
	{ 0x689cdbcc, "up_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x313679e6, "bus_find_device" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x43fe8576, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x8f58ca77, "driver_register" },
	{ 0xb5e2f877, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x175bf906, "class_register" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "187BC9387AAA5C80B10749B");
MODULE_INFO(rhelversion, "10.1");
