#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xa32716ba, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x733806f6, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x5c10a125, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a83f950, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x263f51cf, "xfrm_state_lookup" },
	{ 0xf3a07c67, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x81929c0e, "__xfrm_state_destroy" },
	{ 0x4c61ed96, "ipv4_update_pmtu" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0xf90b0a6c, "skb_checksum" },
	{ 0xc4156cd6, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0x9a0b2506, "__put_devmap_managed_folio_refs" },
	{ 0x2dcc5e7a, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b1bba73, "sk_free" },
	{ 0x5273c026, "km_new_mapping" },
	{ 0xd74eb911, "skb_pull_rcsum" },
	{ 0x85ed3adc, "xfrm_input_resume" },
	{ 0x558e94d2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1e283873, "skb_to_sgvec" },
	{ 0x3a80fdc9, "crypto_aead_decrypt" },
	{ 0xea9a004, "skb_push" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0x21c3bf95, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaef3bc8b, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x46147ac1, "skb_page_frag_refill" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x33ddaf8e, "__inet_lookup_established" },
	{ 0x3697a826, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5abb55e, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69b5930, "espintcp_queue_out" },
	{ 0x1021c94c, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8369a3b8, "xfrm_state_mtu" },
	{ 0x6865d733, "xfrm_dev_resume" },
	{ 0x175c9170, "xfrm_output_resume" },
	{ 0x5d9cead1, "__skb_ext_del" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0x6bb8c260, "xfrm4_rcv" },
	{ 0x47e8bedc, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9872c8a9, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x4b47f5c5, "xfrm4_protocol_register" },
	{ 0xbf414f7f, "xfrm_unregister_type" },
	{ 0xe6644a7a, "crypto_destroy_tfm" },
	{ 0x3120b7df, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39c81302, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x47c791ce, "crypto_aead_setauthsize" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0BE36DA99303C4D51E92191");
MODULE_INFO(rhelversion, "10.1");
