#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x9d6a0233, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xb0c5c66f, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x61d25497, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xb6d1c93a, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x790ab24c, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x037cf43d, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xaf649710, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x5ab57404, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xfdc72b92, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x1064485a, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x0e462f18, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x2f684dea, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x843d08e3, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x472bf9be, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x6c9e0325, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x4cbca297, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x0fbd09c1, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xbc2ffc63, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc5ed1f90, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xcad4bf2c, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x98aca895, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x6aae6a53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9baccdf3, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x66f2d8a6, "alloc_netdev_mqs" },
	{ 0xc18aebbd, "register_netdevice" },
	{ 0x71ea51b, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3737ec44, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x897a642b, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e1a0cd7, "ipv4_mtu" },
	{ 0xb362ed66, "icmpv6_ndo_send" },
	{ 0x589614c8, "icmp_ndo_send" },
	{ 0xddb16bec, "ip_route_output_flow" },
	{ 0x8df587f1, "dst_release" },
	{ 0x1510d979, "__dev_get_by_index" },
	{ 0x3192557d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xdb1a5a03, "dev_addr_mod" },
	{ 0xe3fae4e9, "netdev_state_change" },
	{ 0x2b1c061b, "ns_capable" },
	{ 0x271f3d09, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4cb34413, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0xebfe9ade, "dst_cache_get_ip4" },
	{ 0xbf6ae7c8, "dst_cache_set_ip4" },
	{ 0x4a2dbd46, "iptunnel_xmit" },
	{ 0x73b6c0ca, "__skb_get_hash_net" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x124a7625, "pskb_expand_head" },
	{ 0xbd2ffe0c, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6b56cf9e, "skb_scrub_packet" },
	{ 0xf30ffe2e, "gro_cells_receive" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xf46e447f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E098C2036F0F104CEA461D1");
MODULE_INFO(rhelversion, "10.1");
