#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x8dc01e1a, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x377b3eb8, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x8f65afea, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xb5e5511f, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x4ff63ba6, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xa0918a87, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x53da4bc3, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x560f2feb, "");
SYMBOL_CRC(ip_vs_conn_put, 0x029377dc, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x3dd70ad2, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x6c368e96, "");
SYMBOL_CRC(register_ip_vs_app, 0x899f4e37, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x4e7bc0c3, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x2bfc674d, "");
SYMBOL_CRC(ip_vs_proto_get, 0xf55e7216, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x0f481e75, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe4287b0d, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x23f8edea, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xd94d888f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71772ab9, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xa80ce2f, "nf_conntrack_find_get" },
	{ 0x326fb94d, "try_module_get" },
	{ 0xd99d120, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x868027df, "skb_copy_bits" },
	{ 0x192b5944, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3eeb07a8, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba60262d, "housekeeping_cpumask" },
	{ 0x296c6c23, "consume_skb" },
	{ 0xfc8b3778, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xe0b7b773, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdb6ed956, "nf_register_sockopt" },
	{ 0x838fede8, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7a10d443, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0xd4eed976, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x5ee00583, "kernel_bind" },
	{ 0x8b88a221, "set_user_nice" },
	{ 0x23efe89, "genlmsg_put" },
	{ 0x3c1a9ebf, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x6ddafb6e, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc98227fa, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7ca98339, "__module_get" },
	{ 0xddb16bec, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3c6fc1e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x4b0129b6, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xdcaa30ac, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x124a7625, "pskb_expand_head" },
	{ 0x91aa4dc6, "register_pernet_subsys" },
	{ 0x5ca44a4, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7420ebc7, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb5cc1c88, "nf_unregister_sockopt" },
	{ 0x725c3292, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8c2e91ed, "nf_register_net_hooks" },
	{ 0xa667ae0c, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x3264126c, "__alloc_skb" },
	{ 0x39cc5096, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea9f816b, "ipv6_sock_mc_join" },
	{ 0x8f439d14, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x70aa570, "ipv6_dev_get_saddr" },
	{ 0x73b6c0ca, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4cb34413, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xdd3b4a64, "sk_skb_reason_drop" },
	{ 0x3bfeb11a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8aaaa40a, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x71b95986, "ip_route_me_harder" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xea9a004, "skb_push" },
	{ 0x716ebb0c, "kmem_cache_free" },
	{ 0x35532b5, "set_cpus_allowed_ptr" },
	{ 0x80827d79, "seq_putc" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x65a0d3dd, "proc_doulongvec_minmax" },
	{ 0x3f302104, "nf_ct_expect_alloc" },
	{ 0x9feff7c4, "skb_ensure_writable" },
	{ 0x48106c0e, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfc5d940f, "ip_mc_join_group" },
	{ 0xe931dbe1, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2b1c061b, "ns_capable" },
	{ 0x2af9c1ae, "nf_unregister_net_hooks" },
	{ 0xf20af64c, "inet_select_addr" },
	{ 0xbb2ed4da, "unregister_pernet_device" },
	{ 0x302266c7, "lock_sock_nested" },
	{ 0xb4d0277e, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x902a8d5f, "kthread_stop" },
	{ 0x7e3afb53, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x72e036ce, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4f14a52c, "kernel_connect" },
	{ 0xf90b0a6c, "skb_checksum" },
	{ 0x8277e43a, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc78445e4, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd60931f7, "__icmpv6_send" },
	{ 0x91fc56d1, "__pskb_pull_tail" },
	{ 0xb1eef9d9, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8f27bc7, "__kmem_cache_create_args" },
	{ 0x648fbc9e, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc097bf68, "skb_trim" },
	{ 0x8df56774, "nf_hook_slow" },
	{ 0x497779bb, "mutex_trylock" },
	{ 0x3775e945, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a4208d4, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x5567d20e, "nf_ct_deliver_cached_events" },
	{ 0x90ba1165, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x282c0b67, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9101dd22, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5e1a0cd7, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x25e7e349, "skb_set_owner_w" },
	{ 0xdbb27339, "__skb_checksum" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xda26150e, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc2a09019, "init_user_ns" },
	{ 0x38a59b71, "nf_ct_expect_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb9053b22, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x52aab47e, "remove_proc_entry" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xed9569e5, "seq_printf" },
	{ 0x7824ef65, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3140c0c3, "proc_create_net_single" },
	{ 0x4c61ed96, "ipv4_update_pmtu" },
	{ 0xff18d6c2, "nf_defrag_ipv6_enable" },
	{ 0x8df587f1, "dst_release" },
	{ 0xb17f9a89, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x39820fa9, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa71c4b01, "unregister_net_sysctl_table" },
	{ 0x919eb54f, "ip_local_out" },
	{ 0x2e0814ab, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x135b57d0, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8277e86b, "genl_register_family" },
	{ 0xdfcbd30b, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x46aabe90, "nf_ct_netns_put" },
	{ 0x5864afd2, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbceb567e, "kmem_cache_destroy" },
	{ 0x6c66cfe6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa71fab7e, "proc_dointvec_minmax" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AD1096E8AE1A26077FABBA9");
MODULE_INFO(rhelversion, "10.1");
