#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xf7a5463e, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x6b0f6233, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x98f1fb57, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x729c5337, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x3015e96d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x40a2c816, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x2a06b58b, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x517f4e50, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xab11fd5a, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x4847f11e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93f8c19c, "snd_soc_dapm_put_enum_double" },
	{ 0x85c52a82, "gpiod_get_value_cansleep" },
	{ 0x541b503a, "regcache_cache_only" },
	{ 0xa74dfb33, "is_acpi_device_node" },
	{ 0xb631ab00, "gpiod_put" },
	{ 0xb91140dd, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdbcbb6e1, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3cc36b9, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x69b320d, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe01e81e, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5fa8ba82, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe642724e, "devm_gpiod_get_optional" },
	{ 0x409e3a0f, "wm_adsp_stop" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebc44ed2, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4f129b5, "__pm_runtime_set_status" },
	{ 0x16eb33b6, "devm_snd_soc_register_component" },
	{ 0xf6233187, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7149c01, "sdw_write_no_pm" },
	{ 0xb8813e28, "devm_free_irq" },
	{ 0x77f17dc5, "pm_runtime_enable" },
	{ 0x20e09ff7, "fwnode_gpiod_get_index" },
	{ 0x43a43bf0, "regulator_bulk_disable" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x7d28ef9c, "acpi_dev_remove_driver_gpios" },
	{ 0x890fd678, "snd_soc_info_volsw" },
	{ 0xaa6691e7, "cs35l56_init_cs_dsp" },
	{ 0xb2019d21, "wm_adsp_power_down" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0x7b3d0cc0, "debugfs_create_bool" },
	{ 0xb621e313, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xb92c569c, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0x89227f05, "cs35l56_runtime_suspend_common" },
	{ 0xa013380a, "sdw_read_no_pm" },
	{ 0x89090b5a, "cs35l56_mbox_send" },
	{ 0x2ce60ceb, "cs35l56_hw_init" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x24937af2, "wm_adsp2_component_probe" },
	{ 0x367a456d, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ca74797, "cs35l56_system_reset" },
	{ 0x4291323f, "snd_soc_info_enum_double" },
	{ 0x703a5f3d, "regulator_bulk_enable" },
	{ 0x741adac8, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x774dca9c, "wm_adsp2_component_remove" },
	{ 0x45ebe83, "cs35l56_wait_for_firmware_boot" },
	{ 0xf9c519d9, "devm_kasprintf" },
	{ 0x9ab6d186, "snd_soc_get_volsw" },
	{ 0x1321c76f, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa3125b22, "fwnode_property_present" },
	{ 0x271ddbe3, "cs35l56_is_fw_reload_needed" },
	{ 0xb8dded1, "regmap_read" },
	{ 0x82b11d16, "snd_soc_put_volsw" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x6ff6168d, "cs_amp_write_cal_coeffs" },
	{ 0xf82f3c45, "device_get_named_child_node" },
	{ 0xb5ae37ba, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x20cba618, "sdw_stream_remove_slave" },
	{ 0xce10a8ab, "cs35l56_runtime_resume_common" },
	{ 0x752dbc04, "dapm_regulator_event" },
	{ 0xbba67ed1, "cs35l56_get_speaker_id" },
	{ 0x5e11ca0, "wm_adsp_run" },
	{ 0x759428b6, "regmap_update_bits_base" },
	{ 0xa8ef65e0, "acpi_dev_get_property" },
	{ 0xdf22a17c, "dev_err_probe" },
	{ 0xa59b39f9, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x5de7a2dc, "__devm_add_action" },
	{ 0x2cb24956, "snd_soc_dapm_get_enum_double" },
	{ 0xe65a09ba, "__pm_runtime_use_autosuspend" },
	{ 0x282bc65a, "wm_halo_init" },
	{ 0x1007e9f2, "__pm_runtime_disable" },
	{ 0xacc50914, "cs35l56_firmware_shutdown" },
	{ 0x57eeedc8, "sdw_stream_add_slave" },
	{ 0xe3956c9, "pm_runtime_force_suspend" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0xaf466d43, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "6072142227690706712F4D7");
MODULE_INFO(rhelversion, "10.1");
