#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xf2be7f3e, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x921ac373, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x7fca08b8, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x58614774, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xa7f1b51d, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x730f6777, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x573f65a9, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x59a96bed, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x63e15ac8, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xae129b3b, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x2a36c35a, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x2a69a1e3, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xec4fa031, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xe52dac9d, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x267e5c05, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x05b95c35, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x7ae0630f, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xb3219951, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x8fa3450a, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0xd5f88859, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xeb1e144f, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xd4c7d52c, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x70f6baa9, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x1ae99f55, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x84605a10, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xf7ac63b8, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x4dd58b83, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x618aa3b9, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xa823e8e7, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x5655410d, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x13c7d01b, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x1bd7237a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xe585f5a7, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x08fb80f0, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x2ed8c793, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x5e564113, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x91e595e4, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x9e4e15a9, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x18d25a6f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x946d7706, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x2e2ec7f7, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x4323127d, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x3fc90ee3, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x2e5cbbf4, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x2515a314, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x59046193, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xf6af42db, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xb77eb1d1, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xd96dce44, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x6246b89d, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xdf782a51, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x9d410c6c, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x1a74f895, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xff1a24f4, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0x7ff95f59, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xee6d2717, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x4c9545ab, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x8af57630, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xdaf86915, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xe97ca56d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xee4bf8f1, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x752dbc04, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x7b2942db, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x22661136, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x324098da, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x1b97e328, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x9a4b0cc3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xbc5c0056, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x8b021289, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x9c4b43e8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x6e58bca6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xc53441ff, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xf0f4721e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x0cfeb799, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xd0a071d9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x9d39fa4d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xb90140c2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x2cb24956, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x93f8c19c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x77f7718b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xd0711a66, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x4a98c655, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xfcb3179b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x77ee534e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x94e40f60, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xb74c7b69, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x17454133, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xd59c6372, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x460ada1c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x1d243eea, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x547998d6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xc287132e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x59c149f8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xcd2998ea, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x29e9e78f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x34000f82, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0xe79b13a2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x224fcbe8, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x39127e08, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x57188014, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x1d282b86, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0xf8c07830, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xaf84310b, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x6ac37cb8, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x8c47fbc2, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x6fa933ff, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x1b3b2c0a, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xcd5adb94, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x6271ae92, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x8080e385, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x9e920339, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xcf4dfd43, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xbee42131, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x01ab133d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xb3e88c67, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xd510bccc, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xcc2f89d6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x70982222, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0x63319439, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xa425bead, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x494a7e0e, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0xb16adf78, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x0713dbc8, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xd7f2df8d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x153ce7f9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x7e9de39b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x444fa20f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x26fee5af, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x085b0a55, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xcf7fca72, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x42c0ab77, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x906dc44a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x3495822b, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xa97bf4f5, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x0318b995, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xea3f9904, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xf0f3f28e, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x6e173514, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xd8a26309, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x1e0f3d37, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xea3a6010, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xb3c3c135, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x16a8a870, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x6f45766f, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x5c075af6, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x60899261, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x68fe7934, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x24e5e49f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xec020e64, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x633de325, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0xe7c7c1e9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xa2069e4e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x57906459, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x9648dbfb, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xad802f26, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x3a30c3d5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0xbafc8e52, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x1cd17041, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xc075e762, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xc1992840, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xd99f5b5c, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xfce91bc9, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xcb9552a8, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x3134052e, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xc0ec3482, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x2e160da8, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xed41adb1, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x62738464, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x38b0ace8, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x684589f4, "_gpl");
SYMBOL_CRC(widget_in_list, 0x3970d1d2, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xc9d9e66f, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x91c09d00, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x2b8ea6e6, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0xdc4bd0fa, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x16eb33b6, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xa7048651, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x4291323f, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x7029bafa, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xce486312, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x890fd678, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x3ae67280, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x9ab6d186, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x82b11d16, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x56a0dabe, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x52986fb7, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x974279a4, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0xa940fa95, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x1721237d, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x55caf142, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xebf97171, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x8d15b67c, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xe1343a32, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x649fc03a, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x564fda0e, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x146dd7f6, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x902b1da0, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x882cd130, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x44ea4af9, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0xb4fdde71, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0xf9f45596, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x94b2d901, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0xe11fa25a, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x2dba74bf, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x39400086, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x9fe151c5, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0xa0826ed5, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xe1c4e8d6, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xd6a0fb73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x85c52a82, "gpiod_get_value_cansleep" },
	{ 0x2f4411d7, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x326fb94d, "try_module_get" },
	{ 0xf66f5cce, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xb631ab00, "gpiod_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdbcbb6e1, "regmap_write" },
	{ 0x13aaa037, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xadc61b6e, "dev_set_name" },
	{ 0xe8a3c902, "regmap_get_val_bytes" },
	{ 0x57e9407c, "platform_driver_unregister" },
	{ 0x3d402388, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x589ddd83, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe55cfa62, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x549e482f, "trace_raw_output_prep" },
	{ 0x5dc00f61, "regmap_raw_read" },
	{ 0x53b6e530, "snd_card_register" },
	{ 0xbb924ed9, "device_unregister" },
	{ 0xb0451b54, "snd_card_free" },
	{ 0xe43c0f86, "__trace_trigger_soft_disabled" },
	{ 0xd11d8509, "rt_mutex_base_init" },
	{ 0x71c12c4d, "trace_event_printf" },
	{ 0xfcca0215, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x716fb8e9, "gpiod_get_index" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x520cc2d0, "snd_pcm_hw_constraint_minmax" },
	{ 0x2134b0c3, "trace_event_raw_init" },
	{ 0x315720a8, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4b1d676, "pcpu_hot" },
	{ 0xf59de1fe, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x5fa8ba82, "regcache_mark_dirty" },
	{ 0x6b219b9a, "bpf_trace_run2" },
	{ 0xb74d12fe, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xb52dc1f8, "regulator_disable_deferred" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6924e328, "__dynamic_dev_dbg" },
	{ 0x8e0ace50, "snd_ctl_free_one" },
	{ 0x5852a3d, "snd_ctl_find_id" },
	{ 0x26c364da, "devm_clk_get" },
	{ 0x3ad90291, "devres_add" },
	{ 0x1c01610a, "snd_pcm_new_internal" },
	{ 0x22cac714, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf6aa3d40, "pinctrl_pm_select_default_state" },
	{ 0x807a8900, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x1f92ed77, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x5dcda578, "snd_pcm_stream_unlock_irq" },
	{ 0x5463cce7, "pm_wakeup_dev_event" },
	{ 0xd950e600, "blocking_notifier_call_chain" },
	{ 0xf6233187, "devm_kstrdup" },
	{ 0xb921856, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9b7fd7fc, "debugfs_lookup_and_remove" },
	{ 0x8510e9b1, "put_device" },
	{ 0xcee2db45, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x74fb7b20, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6deab5, "_dev_info" },
	{ 0x8f439d14, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x48fc36e1, "snd_card_new" },
	{ 0xeb3805e5, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xce37c1eb, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5a53ea62, "perf_trace_run_bpf_submit" },
	{ 0x761dbda0, "devm_kfree" },
	{ 0xfb74f84a, "_dev_err" },
	{ 0xe3a1e6c2, "pinctrl_pm_select_sleep_state" },
	{ 0xb9678555, "simple_open" },
	{ 0x98e759e0, "snd_pcm_lib_ioctl" },
	{ 0x344ecd84, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x1538865a, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x44777e35, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xfb8e5271, "snd_jack_add_new_kctl" },
	{ 0xb2118f80, "mutex_lock" },
	{ 0xed9cb09b, "dev_get_regmap" },
	{ 0xa01b5c9d, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xe9259870, "__devres_alloc_node" },
	{ 0xe4887d23, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd4ce2d77, "snd_ctl_notify" },
	{ 0x89413c24, "regulator_allow_bypass" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf36eb843, "snd_pcm_set_ops" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x666dd59, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb8aaea6, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2b8ceef7, "device_register" },
	{ 0x4feccce5, "bpf_trace_run1" },
	{ 0xc6661c63, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf599391f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x625ab7bd, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x60f24b97, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9b086354, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x170e81d2, "__platform_driver_register" },
	{ 0xf9c519d9, "devm_kasprintf" },
	{ 0x1ce0aebe, "pinctrl_lookup_state" },
	{ 0x1ce04c99, "bpf_trace_run3" },
	{ 0xba8ed045, "seq_read" },
	{ 0x854c4e3f, "snd_compress_new" },
	{ 0xfec9886, "blocking_notifier_chain_unregister" },
	{ 0x3d6276da, "platform_device_register_full" },
	{ 0xb8dded1, "regmap_read" },
	{ 0x9fc54d1d, "trace_event_buffer_reserve" },
	{ 0xeb210aa9, "__pm_runtime_resume" },
	{ 0xe9610b08, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6ae2ccdc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9569e5, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x737ee7cb, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x100cc55e, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b60eb56, "pinctrl_select_state" },
	{ 0xb68ac918, "snd_power_wait" },
	{ 0xb77eec56, "snd_pcm_hw_constraint_msbits" },
	{ 0x4d7e0be8, "single_release" },
	{ 0x759428b6, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf22a17c, "dev_err_probe" },
	{ 0xb7d49353, "device_add_groups" },
	{ 0xa59b39f9, "__pm_runtime_suspend" },
	{ 0x9b1e624c, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xba6d4811, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0xe4b69a20, "param_ops_int" },
	{ 0x2bb97beb, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xc48390c2, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x344830bd, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x521db17d, "__pm_runtime_idle" },
	{ 0xff137f2b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5da0fc10, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-compress");


MODULE_INFO(srcversion, "0E912E5D632F2C63F600731");
MODULE_INFO(rhelversion, "10.1");
